import React from 'react';
import { Route, Routes } from 'react-router-dom';
import { Layout } from './components/Layout';
import { Home } from './components/Home';

import './custom.css'
import { Version } from "./components/Version";
import {Authentication} from "./components/Authentication";
import {My} from "./components/My";
import {Folder} from "./components/Folder";
import {Topic} from "./components/Topic";

const App = () => {
    return (
        <Layout>
            <Routes>
                <Route path='/' element={<Home/>} />
                <Route path='/version' element={<Version/>} />
                <Route path='/authentication' element={<Authentication/>} />
                <Route path='/my' element={<My/>} />
                <Route path='/folder' element={<Folder/>} />
                <Route path='/topic' element={<Topic/>} />
            </Routes>
        </Layout>
    );
}

export default App;