import React, { useState } from 'react';

import { Client } from '../openapi-client/openapi';

const Version = () => {
    const [loading, setLoading] = useState<boolean>(false);
    const [version, setVersion] = useState<string>('');

    const fetchVersion = async () => {
        setLoading(true);
        const client = new Client('/openapi');
        const response = await client.getApplicationVersion();
        setVersion(response);
        setLoading(false);
    }

    const getVersion = () => {
        return (
            <div className="badge bg-dark flex-lg-row">
                Tridion Docs version: {version}
            </div>
        )
    }

    let contents = loading ? <p><em>Loading...</em></p> : getVersion();

    return (
        <div>
            <h1>Tridion Docs Version</h1>
            <button className="btn btn-primary" onClick={fetchVersion}>Get Version</button>
            <br/>
            {contents}
        </div>
    );
}

export {Version}