//----------------------
// <auto-generated>
//     Generated using the NSwag toolchain v14.0.7.0 (NJsonSchema v11.0.0.0 (Newtonsoft.Json v13.0.0.0)) (http://NSwag.org)
// </auto-generated>
//----------------------

/* tslint:disable */
/* eslint-disable */
// ReSharper disable InconsistentNaming

export class Client {
    private http: { fetch(url: RequestInfo, init?: RequestInit): Promise<Response> };
    private baseUrl: string;
    protected jsonParseReviver: ((key: string, value: any) => any) | undefined = undefined;

    constructor(baseUrl?: string, http?: { fetch(url: RequestInfo, init?: RequestInit): Promise<Response> }) {
        this.http = http ? http : window as any;
        this.baseUrl = baseUrl ?? "https://demo.tridion-docs.com/ISHWS/api";
    }

    /**
     * Gets the version of the application server.
     * @return Success
     */
    getApplicationVersion(): Promise<string> {
        let url_ = this.baseUrl + "/Application/Version";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "text/plain"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetApplicationVersion(_response);
        });
    }

    protected processGetApplicationVersion(response: Response): Promise<string> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : _responseText;
                result200 = resultData200 !== undefined ? resultData200 : <any>null;
    
            return result200;
            });
        } else if (status !== 200 && status !== 204) {
            return response.text().then((_responseText) => {
            return throwException("An unexpected server error occurred.", status, _responseText, _headers);
            });
        }
        return Promise.resolve<string>(null as any);
    }

    /**
     * Creates a new background task.
     * @param inputData (optional) 
     * @param metadata (optional) 
     * @return Created
     */
    createBackgroundTask(inputData: FileParameter | null | undefined, metadata: CreateBackgroundTask | undefined): Promise<BackgroundTask> {
        let url_ = this.baseUrl + "/v3/BackgroundTasks";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = new FormData();
        if (inputData !== null && inputData !== undefined)
            content_.append("inputData", inputData.data, inputData.fileName ? inputData.fileName : "inputData");
        if (metadata === null || metadata === undefined)
            throw new Error("The parameter 'metadata' cannot be null.");
        else
            content_.append("metadata", JSON.stringify(metadata));

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateBackgroundTask(_response);
        });
    }

    protected processCreateBackgroundTask(response: Response): Promise<BackgroundTask> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = BackgroundTask.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets background task. - NOT IMPLEMENTED.
     * @return Success
     */
    getBackgroundTask(id: string): Promise<BackgroundTask> {
        let url_ = this.baseUrl + "/v3/BackgroundTasks/{Id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetBackgroundTask(_response);
        });
    }

    protected processGetBackgroundTask(response: Response): Promise<BackgroundTask> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = BackgroundTask.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all baselines in the repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getBaselineList(body: GetBaselineList | undefined): Promise<Baseline[]> {
        let url_ = this.baseUrl + "/v3/Baselines/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetBaselineList(_response);
        });
    }

    protected processGetBaselineList(response: Response): Promise<Baseline[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Baseline.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Expands and completes the baseline starting from the incoming logicalIds using the extend baseline and/or the autocomplete mode.
     * @param id The identifier of the baseline.
     * @param body (optional) Parameters which will be used to expand and complete the baseline starting from the incoming logicalIds using the extend baseline and/or the autocomplete mode.
     * @return Success
     */
    completeBaseline(id: string, body: CompleteBaseline | undefined): Promise<BaselineReportEntry[]> {
        let url_ = this.baseUrl + "/v3/Baselines/{Id}/Report/Complete";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCompleteBaseline(_response);
        });
    }

    protected processCompleteBaseline(response: Response): Promise<BaselineReportEntry[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(BaselineReportEntry.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Expands baseline reports in the repository that match the criteria given in the parameters.
     * @param id The identifier of the baseline.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    expandBaseline(id: string, body: ExpandBaseline | undefined): Promise<BaselineReportEntry[]> {
        let url_ = this.baseUrl + "/v3/Baselines/{Id}/Report/Expand";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processExpandBaseline(_response);
        });
    }

    protected processExpandBaseline(response: Response): Promise<BaselineReportEntry[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(BaselineReportEntry.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all document objects in the Repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getDocumentObjectListByLogicalId(body: GetDocumentObjectListByLogicalId | undefined): Promise<DocumentObject[]> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLogicalId/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectListByLogicalId(_response);
        });
    }

    protected processGetDocumentObjectListByLogicalId(response: Response): Promise<DocumentObject[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(DocumentObject.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all document objects in the Repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getDocumentObjectList(body: GetDocumentObjectList | undefined): Promise<DocumentObject[]> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectList(_response);
        });
    }

    protected processGetDocumentObjectList(response: Response): Promise<DocumentObject[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(DocumentObject.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all document objects in the Repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getDocumentObjectListByLanguageCardId(body: GetDocumentObjectListByLanguageCardId | undefined): Promise<DocumentObject[]> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectListByLanguageCardId(_response);
        });
    }

    protected processGetDocumentObjectListByLanguageCardId(response: Response): Promise<DocumentObject[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(DocumentObject.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the metadata of the document object specified by the logical identifier, version and language.
     * @param logicalId The logical identifier of the document object.
     * @param version (optional) The version of the document object.
     * @param language (optional) The language of the document object.
     * @param resolution (optional) The resolution of the document object.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getDocumentObjectByLogicalId(logicalId: string, version: string | null | undefined, language: string | null | undefined, resolution: string | null | undefined, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<DocumentObject> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLogicalId/{LogicalId}?";
        if (logicalId === undefined || logicalId === null)
            throw new Error("The parameter 'logicalId' must be defined.");
        url_ = url_.replace("{LogicalId}", encodeURIComponent("" + logicalId));
        if (version !== undefined && version !== null)
            url_ += "Version=" + encodeURIComponent("" + version) + "&";
        if (language !== undefined && language !== null)
            url_ += "Language=" + encodeURIComponent("" + language) + "&";
        if (resolution !== undefined && resolution !== null)
            url_ += "Resolution=" + encodeURIComponent("" + resolution) + "&";
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "SelectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "FieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "Field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "IncludeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectByLogicalId(_response);
        });
    }

    protected processGetDocumentObjectByLogicalId(response: Response): Promise<DocumentObject> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = DocumentObject.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Updates the document object by the logical identifier, version, language and resolution.
     * @param logicalId The logical identifier of the document object.
     * @param version (optional) The version of the document object.
     * @param language (optional) The language of the document object.
     * @param resolution (optional) The resolution of the document object.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    updateDocumentObjectByLogicalId(logicalId: string, version: string | null | undefined, language: string | null | undefined, resolution: string | null | undefined, body: UpdateDocumentObject | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLogicalId/{LogicalId}?";
        if (logicalId === undefined || logicalId === null)
            throw new Error("The parameter 'logicalId' must be defined.");
        url_ = url_.replace("{LogicalId}", encodeURIComponent("" + logicalId));
        if (version !== undefined && version !== null)
            url_ += "Version=" + encodeURIComponent("" + version) + "&";
        if (language !== undefined && language !== null)
            url_ += "Language=" + encodeURIComponent("" + language) + "&";
        if (resolution !== undefined && resolution !== null)
            url_ += "Resolution=" + encodeURIComponent("" + resolution) + "&";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateDocumentObjectByLogicalId(_response);
        });
    }

    protected processUpdateDocumentObjectByLogicalId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Deletes a document object by its logical identifier.
     * @param logicalId The logical identifier of the document object.
     * @param version (optional) The version of the document object.
     * @param language (optional) The language of the document object.
     * @param resolution (optional) The resolution of the document object.
     * @param body (optional) The parameters that will be used for delete operation.
     * @return Success
     */
    deleteDocumentObjectByLogicalId(logicalId: string, version: string | null | undefined, language: string | null | undefined, resolution: string | null | undefined, body: DeleteDocumentObjectByLogicalId | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLogicalId/{LogicalId}?";
        if (logicalId === undefined || logicalId === null)
            throw new Error("The parameter 'logicalId' must be defined.");
        url_ = url_.replace("{LogicalId}", encodeURIComponent("" + logicalId));
        if (version !== undefined && version !== null)
            url_ += "Version=" + encodeURIComponent("" + version) + "&";
        if (language !== undefined && language !== null)
            url_ += "Language=" + encodeURIComponent("" + language) + "&";
        if (resolution !== undefined && resolution !== null)
            url_ += "Resolution=" + encodeURIComponent("" + resolution) + "&";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "DELETE",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteDocumentObjectByLogicalId(_response);
        });
    }

    protected processDeleteDocumentObjectByLogicalId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the metadata of the document object by its language card identifier.
     * @param languageCardId The language card identifier of the document object.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getDocumentObjectByLanguageCardId(languageCardId: number, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<DocumentObject> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}?";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "SelectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "FieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "Field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "IncludeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectByLanguageCardId(_response);
        });
    }

    protected processGetDocumentObjectByLanguageCardId(response: Response): Promise<DocumentObject> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = DocumentObject.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Updates the document object by the language card identifier.
     * @param languageCardId The language card identifier of the document object.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    updateDocumentObjectByLanguageCardId(languageCardId: number, body: UpdateDocumentObject | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateDocumentObjectByLanguageCardId(_response);
        });
    }

    protected processUpdateDocumentObjectByLanguageCardId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Deletes a document object by its language card identifier.
     * @param languageCardId The language card identifier of the document object.
     * @param body (optional) The parameters that will be used for delete operation.
     * @return Success
     */
    deleteDocumentObjectByLanguageCardId(languageCardId: number, body: DeleteDocumentObjectByLanguageCardId | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "DELETE",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteDocumentObjectByLanguageCardId(_response);
        });
    }

    protected processDeleteDocumentObjectByLanguageCardId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the content by its language card identifier.
     * @param languageCardId The language card identifier of the document object.
     * @return Success
     */
    getDocumentObjectContentByLanguageCardId(languageCardId: number): Promise<FileResponse> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}/Content";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/octet-stream"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectContentByLanguageCardId(_response);
        });
    }

    protected processGetDocumentObjectContentByLanguageCardId(response: Response): Promise<FileResponse> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200 || status === 206) {
            const contentDisposition = response.headers ? response.headers.get("content-disposition") : undefined;
            let fileNameMatch = contentDisposition ? /filename\*=(?:(\\?['"])(.*?)\1|(?:[^\s]+'.*?')?([^;\n]*))/g.exec(contentDisposition) : undefined;
            let fileName = fileNameMatch && fileNameMatch.length > 1 ? fileNameMatch[3] || fileNameMatch[2] : undefined;
            if (fileName) {
                fileName = decodeURIComponent(fileName);
            } else {
                fileNameMatch = contentDisposition ? /filename="?([^"]*?)"?(;|$)/g.exec(contentDisposition) : undefined;
                fileName = fileNameMatch && fileNameMatch.length > 1 ? fileNameMatch[1] : undefined;
            }
            return response.blob().then(blob => { return { fileName: fileName, data: blob, status: status, headers: _headers }; });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Updates the document object content by its language card identifier.
     * @param languageCardId The language card identifier of the document object.
     * @param content (optional) 
     * @param metadata (optional) 
     * @return Success
     */
    updateDocumentObjectContentByLanguageCardId(languageCardId: number, content: FileParameter | undefined, metadata: UpdateDocumentObjectContent | null | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}/Content";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = new FormData();
        if (content === null || content === undefined)
            throw new Error("The parameter 'content' cannot be null.");
        else
            content_.append("content", content.data, content.fileName ? content.fileName : "content");
        if (metadata !== null && metadata !== undefined)
            content_.append("metadata", JSON.stringify(metadata));

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateDocumentObjectContentByLanguageCardId(_response);
        });
    }

    protected processUpdateDocumentObjectContentByLanguageCardId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Getting status (transition) list by language card identifier.
     * @param languageCardId The language card identifier of the document object.
     * @return Success
     */
    getDocumentObjectPossibleTargetStatusListByLanguageCardId(languageCardId: number): Promise<LovValue[]> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}/PossibleTargetStatuses";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectPossibleTargetStatusListByLanguageCardId(_response);
        });
    }

    protected processGetDocumentObjectPossibleTargetStatusListByLanguageCardId(response: Response): Promise<LovValue[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(LovValue.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Getting status (initial) list by document object type.
     * @param objectType (optional) Type of the document.
     * @param activityFilter (optional) Filter of activity that limits the possible target statuses to only the active or inactive ones. If not supplied, only the active ones will be returned.
     * @return Success
     */
    getDocumentObjectPossibleTargetStatusList(objectType: DocumentObjectTypeFilter | undefined, activityFilter: ActivityFilter | undefined): Promise<LovValue[]> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/PossibleTargetStatuses?";
        if (objectType === null)
            throw new Error("The parameter 'objectType' cannot be null.");
        else if (objectType !== undefined)
            url_ += "ObjectType=" + encodeURIComponent("" + objectType) + "&";
        if (activityFilter === null)
            throw new Error("The parameter 'activityFilter' cannot be null.");
        else if (activityFilter !== undefined)
            url_ += "ActivityFilter=" + encodeURIComponent("" + activityFilter) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectPossibleTargetStatusList(_response);
        });
    }

    protected processGetDocumentObjectPossibleTargetStatusList(response: Response): Promise<LovValue[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(LovValue.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates document object. - NOT IMPLEMENTED.
     * @return Created
     */
    createDocumentObject(): Promise<DocumentObject> {
        let url_ = this.baseUrl + "/v3/DocumentObjects";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "POST",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateDocumentObject(_response);
        });
    }

    protected processCreateDocumentObject(response: Response): Promise<DocumentObject> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = DocumentObject.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Check out the document object by its language card identifier.
     * @param languageCardId The language card identifier of the document object.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    checkOutDocumentObjectByLanguageCardId(languageCardId: number, body: CheckOutDocumentObject | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}/Content/CheckOut";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCheckOutDocumentObjectByLanguageCardId(_response);
        });
    }

    protected processCheckOutDocumentObjectByLanguageCardId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Checks in the document object specified by the language card identifier.
     * @param languageCardId The language card identifier of the document object.
     * @param content (optional) 
     * @param metadata (optional) 
     * @return Success
     */
    checkInDocumentObjectByLanguageCardId(languageCardId: number, content: FileParameter | undefined, metadata: CheckInDocumentObject | null | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}/Content/CheckIn";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = new FormData();
        if (content === null || content === undefined)
            throw new Error("The parameter 'content' cannot be null.");
        else
            content_.append("content", content.data, content.fileName ? content.fileName : "content");
        if (metadata !== null && metadata !== undefined)
            content_.append("metadata", JSON.stringify(metadata));

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCheckInDocumentObjectByLanguageCardId(_response);
        });
    }

    protected processCheckInDocumentObjectByLanguageCardId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Undo checkout of the document object by its language card identifier.
     * @param languageCardId The language card identifier of the document object.
     * @param body (optional) Required current metadata of the object.
     * @return Success
     */
    undoCheckoutDocumentObjectByLanguageCardId(languageCardId: number, body: UndoCheckoutDocumentObject | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}/Content/UndoCheckout";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUndoCheckoutDocumentObjectByLanguageCardId(_response);
        });
    }

    protected processUndoCheckoutDocumentObjectByLanguageCardId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get the location of a document object in the folder structure.
     * @param logicalId The logical identifier of the document object.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getDocumentObjectLocation(logicalId: string, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<Folder[]> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLogicalId/{LogicalId}/Location?";
        if (logicalId === undefined || logicalId === null)
            throw new Error("The parameter 'logicalId' must be defined.");
        url_ = url_.replace("{LogicalId}", encodeURIComponent("" + logicalId));
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "SelectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "FieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "Field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "IncludeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectLocation(_response);
        });
    }

    protected processGetDocumentObjectLocation(response: Response): Promise<Folder[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Folder.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates document object version. - NOT IMPLEMENTED
     * @return Created
     */
    createDocumentObjectVersion(): Promise<string> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/Versions";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "POST",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateDocumentObjectVersion(_response);
        });
    }

    protected processCreateDocumentObjectVersion(response: Response): Promise<string> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
                result201 = resultData201 !== undefined ? resultData201 : <any>null;
    
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates document object language. - NOT IMPLEMENTED.
     * @return Created
     */
    createDocumentObjectLanguage(): Promise<string> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/Languages";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "POST",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateDocumentObjectLanguage(_response);
        });
    }

    protected processCreateDocumentObjectLanguage(response: Response): Promise<string> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
                result201 = resultData201 !== undefined ? resultData201 : <any>null;
    
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the list of publications that are referencing the document object specified by the logical identifier and version.
     * @param logicalId The logical identifier of the referenced document object.
     * @param version The version of the referenced document object.
     * @param body (optional) Request body to get all publications in the Repository that are referencing the document object specified by the logical identifier and version.
     * @return Success
     */
    getPublicationListUsingDocumentObject(logicalId: string, version: string, body: GetPublicationListUsingDocumentObject | undefined): Promise<Publication[]> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLogicalId/{LogicalId}/ByVersion/{Version}/UsedInPublications/Get";
        if (logicalId === undefined || logicalId === null)
            throw new Error("The parameter 'logicalId' must be defined.");
        url_ = url_.replace("{LogicalId}", encodeURIComponent("" + logicalId));
        if (version === undefined || version === null)
            throw new Error("The parameter 'version' must be defined.");
        url_ = url_.replace("{Version}", encodeURIComponent("" + version));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetPublicationListUsingDocumentObject(_response);
        });
    }

    protected processGetPublicationListUsingDocumentObject(response: Response): Promise<Publication[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Publication.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the list of document objects that are referencing the document object specified by the logical identifier.
     * @param logicalId The logical identifier of the referenced document object.
     * @param body (optional) Request body to get all document objects in the Repository that are referencing the document object specified by the logical identifier.
     * @return Success
     */
    getDocumentObjectListUsingDocumentObject(logicalId: string, body: GetDocumentObjectListUsingDocumentObject | undefined): Promise<DocumentObject[]> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLogicalId/{LogicalId}/UsedInDocumentObjects/Get";
        if (logicalId === undefined || logicalId === null)
            throw new Error("The parameter 'logicalId' must be defined.");
        url_ = url_.replace("{LogicalId}", encodeURIComponent("" + logicalId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectListUsingDocumentObject(_response);
        });
    }

    protected processGetDocumentObjectListUsingDocumentObject(response: Response): Promise<DocumentObject[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(DocumentObject.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get the logical identifiers for all document objects referenced by the specified document object.
     * @param languageCardId The language card identifier of the document object.
     * @param linkType (optional) The enumeration indicating which link fields must be used.
     * @return Success
     */
    getDocumentObjectReferenceListByLanguageCardId(languageCardId: number, linkType: LinkType | undefined): Promise<string[]> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}/References?";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        if (linkType === null)
            throw new Error("The parameter 'linkType' cannot be null.");
        else if (linkType !== undefined)
            url_ += "LinkType=" + encodeURIComponent("" + linkType) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectReferenceListByLanguageCardId(_response);
        });
    }

    protected processGetDocumentObjectReferenceListByLanguageCardId(response: Response): Promise<string[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(item);
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the smart tags of a document object specified by the language card identifier.
     * @param languageCardId The language card identifier of the document object.
     * @param body (optional) Request body holding information such as requested fields and their current values.
     * @return Success
     */
    getDocumentObjectSmartTagListByLanguageCardId(languageCardId: number, body: GetDocumentObjectSmartTagsByLanguageCardId | undefined): Promise<FieldTag[]> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/{LanguageCardId}/SmartTags/Get";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{LanguageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetDocumentObjectSmartTagListByLanguageCardId(_response);
        });
    }

    protected processGetDocumentObjectSmartTagListByLanguageCardId(response: Response): Promise<FieldTag[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(FieldTag.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates a background task with given event type and language card identifiers.
     * @param body (optional) Parameters holding information such as even type and language card identifiers.
     * @return Created
     */
    createBackgroundTaskForDocumentObjectByLanguageCardId(body: CreateBackgroundTaskForDocumentObjectByLanguageCardId | undefined): Promise<BackgroundTask> {
        let url_ = this.baseUrl + "/v3/DocumentObjects/ByLanguageCardId/BackgroundTasks";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateBackgroundTaskForDocumentObjectByLanguageCardId(_response);
        });
    }

    protected processCreateBackgroundTaskForDocumentObjectByLanguageCardId(response: Response): Promise<BackgroundTask> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = BackgroundTask.fromJS(resultData201);
            return result201;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates a new event.
     * @param body (optional) The create event model.
     * @return Created
     */
    createEvent(body: CreateEvent | undefined): Promise<EventProgress> {
        let url_ = this.baseUrl + "/v3/Events";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateEvent(_response);
        });
    }

    protected processCreateEvent(response: Response): Promise<EventProgress> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = EventProgress.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Deletes an event.
     * @param body (optional) The delete event model.
     * @return Success
     */
    deleteEvent(progressId: number, body: DeleteEvent | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Events/ByProgressId/{ProgressId}";
        if (progressId === undefined || progressId === null)
            throw new Error("The parameter 'progressId' must be defined.");
        url_ = url_.replace("{ProgressId}", encodeURIComponent("" + progressId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "DELETE",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteEvent(_response);
        });
    }

    protected processDeleteEvent(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get an event - NOT IMPLEMENTED.
     * @return Success
     */
    getEventByProgressId(progressId: string): Promise<EventProgress> {
        let url_ = this.baseUrl + "/v3/Events/ByProgressId/{ProgressId}";
        if (progressId === undefined || progressId === null)
            throw new Error("The parameter 'progressId' must be defined.");
        url_ = url_.replace("{ProgressId}", encodeURIComponent("" + progressId));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetEventByProgressId(_response);
        });
    }

    protected processGetEventByProgressId(response: Response): Promise<EventProgress> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = EventProgress.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Terminates an event.
     * @param body (optional) The terminate event model.
     * @return Success
     */
    terminateEvent(progressId: number, body: TerminateEvent | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Events/ByProgressId/{ProgressId}/Terminate";
        if (progressId === undefined || progressId === null)
            throw new Error("The parameter 'progressId' must be defined.");
        url_ = url_.replace("{ProgressId}", encodeURIComponent("" + progressId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processTerminateEvent(_response);
        });
    }

    protected processTerminateEvent(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all events in the Repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getEventListByProgressId(body: GetEventListByProgressId | undefined): Promise<EventProgress[]> {
        let url_ = this.baseUrl + "/v3/Events/ByProgressId/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetEventListByProgressId(_response);
        });
    }

    protected processGetEventListByProgressId(response: Response): Promise<EventProgress[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(EventProgress.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all events in the Repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getEventListByParentProgressId(body: GetEventListByParentProgressId | undefined): Promise<EventProgress[]> {
        let url_ = this.baseUrl + "/v3/Events/ByParentProgressId/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetEventListByParentProgressId(_response);
        });
    }

    protected processGetEventListByParentProgressId(response: Response): Promise<EventProgress[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(EventProgress.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates a new event detail with its content.
     * @param content (optional) 
     * @param metadata (optional) 
     * @return Created
     */
    createEventDetail(content: FileParameter | null | undefined, metadata: CreateEventDetail | null | undefined): Promise<EventProgress> {
        let url_ = this.baseUrl + "/v3/Events/Details";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = new FormData();
        if (content !== null && content !== undefined)
            content_.append("content", content.data, content.fileName ? content.fileName : "content");
        if (metadata !== null && metadata !== undefined)
            content_.append("metadata", JSON.stringify(metadata));

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateEventDetail(_response);
        });
    }

    protected processCreateEventDetail(response: Response): Promise<EventProgress> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = EventProgress.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets a list of events matching the supplied filters.
     * @param body (optional) The event overview model.
     * @return Success
     */
    getEventOverview(body: GetEventOverview | undefined): Promise<EventProgress[]> {
        let url_ = this.baseUrl + "/v3/Events/Overview/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetEventOverview(_response);
        });
    }

    protected processGetEventOverview(response: Response): Promise<EventProgress[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(EventProgress.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets a list of events matching the supplied filters.
     * @param body (optional) The event overview by progressId model.
     * @return Success
     */
    getEventByProgressIdOverview(body: GetEventOverviewByProgressId | undefined): Promise<EventProgress[]> {
        let url_ = this.baseUrl + "/v3/Events/ByProgressId/Overview/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetEventByProgressIdOverview(_response);
        });
    }

    protected processGetEventByProgressIdOverview(response: Response): Promise<EventProgress[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(EventProgress.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets an event by the provided unique identifier of an event action/detail.
     * @param detailId The unique identifier of an event action/detail.
     * @param fieldGroup (optional) FieldGroup allows to add a group of fields to the requested metadata.
     * @param field (optional) The list with the requested fields of the Event to be returned.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getEventByDetailId(detailId: number, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<EventProgress> {
        let url_ = this.baseUrl + "/v3/Events/ByDetailId/{detailId}?";
        if (detailId === undefined || detailId === null)
            throw new Error("The parameter 'detailId' must be defined.");
        url_ = url_.replace("{detailId}", encodeURIComponent("" + detailId));
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "fieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "includeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetEventByDetailId(_response);
        });
    }

    protected processGetEventByDetailId(response: Response): Promise<EventProgress> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = EventProgress.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets an event progress identifier by the provided unique identifier of an event.
     * @param eventId The unique identifier of an event.
     * @return Success
     */
    getEventByEventId(eventId: string): Promise<EventProgress> {
        let url_ = this.baseUrl + "/v3/Events/ByEventId/{eventId}";
        if (eventId === undefined || eventId === null)
            throw new Error("The parameter 'eventId' must be defined.");
        url_ = url_.replace("{eventId}", encodeURIComponent("" + eventId));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetEventByEventId(_response);
        });
    }

    protected processGetEventByEventId(response: Response): Promise<EventProgress> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = EventProgress.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets an event content by the provided unique identifier of an event action/detail.
     * @param detailId The unique identifier of an event action/detail.
     * @return Success
     */
    getEventContentByDetailId(detailId: number): Promise<FileResponse> {
        let url_ = this.baseUrl + "/v3/Events/ByDetailId/{detailId}/Content";
        if (detailId === undefined || detailId === null)
            throw new Error("The parameter 'detailId' must be defined.");
        url_ = url_.replace("{detailId}", encodeURIComponent("" + detailId));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/octet-stream"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetEventContentByDetailId(_response);
        });
    }

    protected processGetEventContentByDetailId(response: Response): Promise<FileResponse> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200 || status === 206) {
            const contentDisposition = response.headers ? response.headers.get("content-disposition") : undefined;
            let fileNameMatch = contentDisposition ? /filename\*=(?:(\\?['"])(.*?)\1|(?:[^\s]+'.*?')?([^;\n]*))/g.exec(contentDisposition) : undefined;
            let fileName = fileNameMatch && fileNameMatch.length > 1 ? fileNameMatch[3] || fileNameMatch[2] : undefined;
            if (fileName) {
                fileName = decodeURIComponent(fileName);
            } else {
                fileNameMatch = contentDisposition ? /filename="?([^"]*?)"?(;|$)/g.exec(contentDisposition) : undefined;
                fileName = fileNameMatch && fileNameMatch.length > 1 ? fileNameMatch[1] : undefined;
            }
            return response.blob().then(blob => { return { fileName: fileName, data: blob, status: status, headers: _headers }; });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the root folders of types like Data, System, Favorites.
     * @param selectedProperties (optional) Selected properties to filter the properties. Default is Id.
     * @param fieldGroup (optional) Field group of Metadata fields. Default is None.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) `true` to include the links; otherwise, `false`. Default is `false`.
     * @return Success
     */
    getRootFolderList(selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<Folder[]> {
        let url_ = this.baseUrl + "/v3/Folders/RootFolders?";
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "selectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "fieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "includeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetRootFolderList(_response);
        });
    }

    protected processGetRootFolderList(response: Response): Promise<Folder[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Folder.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the objects in the folder specified by id.
     * @param id Card identifier of the folder whose objects will be returned, e.g. 25432.
     * @param objectType (optional) Specifies whether folders, contents or both will be returned. If not supplied, all types will be returned.
     * @param language (optional) The language for which to retrieve document metadata fields, e.g. <tt>VLANGUAGEEN</tt>, <tt>en</tt>. If not supplied, the user language will be used.
     * @param resolution (optional) The resolution for which to retrieve image metadata fields, e.g. <tt>VRESLOW</tt>, <tt>Low</tt>. If not supplied, the system resolution will be used.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @param includePartialItems (optional) <tt>true</tt> to include partial items when the version or language is missing; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getFolderObjectList(id: number, objectType: FolderObjectTypeFilter | undefined, language: string | undefined, resolution: string | undefined, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined, includePartialItems: boolean | undefined): Promise<BaseObject[]> {
        let url_ = this.baseUrl + "/v3/Folders/{id}/Objects?";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        if (objectType === null)
            throw new Error("The parameter 'objectType' cannot be null.");
        else if (objectType !== undefined)
            url_ += "objectType=" + encodeURIComponent("" + objectType) + "&";
        if (language === null)
            throw new Error("The parameter 'language' cannot be null.");
        else if (language !== undefined)
            url_ += "language=" + encodeURIComponent("" + language) + "&";
        if (resolution === null)
            throw new Error("The parameter 'resolution' cannot be null.");
        else if (resolution !== undefined)
            url_ += "resolution=" + encodeURIComponent("" + resolution) + "&";
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "selectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "fieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "includeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        if (includePartialItems === null)
            throw new Error("The parameter 'includePartialItems' cannot be null.");
        else if (includePartialItems !== undefined)
            url_ += "includePartialItems=" + encodeURIComponent("" + includePartialItems) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetFolderObjectList(_response);
        });
    }

    protected processGetFolderObjectList(response: Response): Promise<BaseObject[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(BaseObject.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Deletes a folder.
     * @param id Id of the folder to delete.
     * @return Success
     */
    deleteFolder(id: number): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Folders/{id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "DELETE",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteFolder(_response);
        });
    }

    protected processDeleteFolder(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the properties of the given folder.
     * @param id The identifier of the folder.
     * @param selectedProperties (optional) Specifies which properties to return.
     * @param fieldGroup (optional) Specifies the group of metadata fields to return.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) `true` to include the links; otherwise, `false`. Default is `false`.
     * @return Success
     */
    getFolder(id: number, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<Folder> {
        let url_ = this.baseUrl + "/v3/Folders/{id}?";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "selectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "fieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "includeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetFolder(_response);
        });
    }

    protected processGetFolder(response: Response): Promise<Folder> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Folder.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Updates the folder specified by id.
     * @param id The identifier of folder.
     * @param body (optional) The update folder model.
     * @return Success
     */
    updateFolder(id: number, body: UpdateFolder | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Folders/{id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateFolder(_response);
        });
    }

    protected processUpdateFolder(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates the new folder in the specified parent folder.
     * @param body (optional) The create folder model.
     * @return Created
     */
    createFolder(body: CreateFolder | undefined): Promise<FolderDescriptor> {
        let url_ = this.baseUrl + "/v3/Folders";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateFolder(_response);
        });
    }

    protected processCreateFolder(response: Response): Promise<FolderDescriptor> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = FolderDescriptor.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all folders in the Repository that match the criteria given in the parameters.
     * @param body (optional) Request folders with the criteria in its properties.
     * @return Success
     */
    getFolderList(body: GetFolderList | undefined): Promise<Folder[]> {
        let url_ = this.baseUrl + "/v3/Folders/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetFolderList(_response);
        });
    }

    protected processGetFolderList(response: Response): Promise<Folder[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Folder.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Moves a folder to another folder.
     * @param body (optional) Represents the model to move a folder.
     * @return Success
     */
    moveFolder(body: MoveFolder | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Folders/MoveFolder";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processMoveFolder(_response);
        });
    }

    protected processMoveFolder(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Moves an object to another folder.
     * @param body (optional) Represents the model to move an object.
     * @return Success
     */
    moveObjectToFolder(body: MoveObject | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Folders/MoveObject";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processMoveObjectToFolder(_response);
        });
    }

    protected processMoveObjectToFolder(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Removes shortcut from the specified reference folder.
     * @param id The identifier of the folder.
     * @param body (optional) Represents logical identifier model of the document object or publication for which to remove a shortcut.
     * @return Success
     */
    removeShortcutFromFolder(id: number, body: RemoveShortcut | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Folders/{id}/Shortcuts";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "DELETE",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processRemoveShortcutFromFolder(_response);
        });
    }

    protected processRemoveShortcutFromFolder(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Adds shortcut to the specified reference folder.
     * @param id Specifies the card identifier of the folder to which to add the shortcut.
     * @param body (optional) Represents logical identifier model of the document object or publication for which to create a shortcut.
     * @return Success
     */
    addShortcutToFolder(id: number, body: AddShortcut | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Folders/{id}/Shortcuts";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processAddShortcutToFolder(_response);
        });
    }

    protected processAddShortcutToFolder(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the parents of the given folder.
     * @param id The identifier of the folder.
     * @param selectedProperties (optional) Specifies which properties to return.
     * @param fieldGroup (optional) Specifies the group of metadata fields to return.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) `true` to include the links; otherwise, `false`. Default is `false`.
     * @return Success
     */
    getFolderLocation(id: number, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<Folder[]> {
        let url_ = this.baseUrl + "/v3/Folders/{id}/Location?";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "selectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "fieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "includeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetFolderLocation(_response);
        });
    }

    protected processGetFolderLocation(response: Response): Promise<Folder[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Folder.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the metadata of the folder specified by the folder path.
     * @param path The path of the folder.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param fields (optional) A collection of requested metadata fields.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getFolderByFolderPath(path: string, fieldGroup: FieldGroup | undefined, fields: string[] | undefined, selectedProperties: SelectedProperties | undefined, includeLinks: boolean | undefined): Promise<Folder> {
        let url_ = this.baseUrl + "/v3/Folders/ByFolderPath?";
        if (path === undefined || path === null)
            throw new Error("The parameter 'path' must be defined and cannot be null.");
        else
            url_ += "Path=" + encodeURIComponent("" + path) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "FieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (fields === null)
            throw new Error("The parameter 'fields' cannot be null.");
        else if (fields !== undefined)
            fields && fields.forEach(item => { url_ += "Fields=" + encodeURIComponent("" + item) + "&"; });
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "SelectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "IncludeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetFolderByFolderPath(_response);
        });
    }

    protected processGetFolderByFolderPath(response: Response): Promise<Folder> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Folder.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets a list of document objects for the specified inbox.
     * @param id Specify the id of the inbox.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getInboxObjectList(id: string, body: GetInboxObjectList | undefined): Promise<DocumentObject[]> {
        let url_ = this.baseUrl + "/v3/Inboxes/{id}/Objects/Get";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetInboxObjectList(_response);
        });
    }

    protected processGetInboxObjectList(response: Response): Promise<DocumentObject[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(DocumentObject.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the list of all inboxes.
     * @return Success
     */
    getInboxList(): Promise<Inbox[]> {
        let url_ = this.baseUrl + "/v3/Inboxes";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetInboxList(_response);
        });
    }

    protected processGetInboxList(response: Response): Promise<Inbox[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Inbox.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get the values for the specified list of values.
     * @param id The identifier of a list of values (e.g. DRESOLUTION).
     * @param activityFilter (optional) The filter to limit the result of the active LovValues.
     * @return Success
     */
    getLovValueList(id: string, activityFilter: ActivityFilter | undefined): Promise<LovValue[]> {
        let url_ = this.baseUrl + "/v3/Lists/{id}/Values?";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        if (activityFilter === null)
            throw new Error("The parameter 'activityFilter' cannot be null.");
        else if (activityFilter !== undefined)
            url_ += "activityFilter=" + encodeURIComponent("" + activityFilter) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetLovValueList(_response);
        });
    }

    protected processGetLovValueList(response: Response): Promise<LovValue[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(LovValue.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Create a lov value in the specified list of value.
     * @param id The list of values identifier (e.g. DRESOLUTION).
     * @param body (optional) Request object with the criteria in its properties.
     * @return Created
     */
    createLovValue(id: string, body: CreateLovValue | undefined): Promise<LovValue> {
        let url_ = this.baseUrl + "/v3/Lists/{id}/Values";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateLovValue(_response);
        });
    }

    protected processCreateLovValue(response: Response): Promise<LovValue> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = LovValue.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Update Lov value based on the specified parameters.
     * @param id The list of values identifier (e.g. DRESOLUTION).
     * @param valueId The lov value identifier.
     * @param body (optional) Update Lov value model.
     * @return Success
     */
    updateLovValue(id: string, valueId: string, body: UpdateLovValue | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Lists/{id}/Values/{valueId}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        if (valueId === undefined || valueId === null)
            throw new Error("The parameter 'valueId' must be defined.");
        url_ = url_.replace("{valueId}", encodeURIComponent("" + valueId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateLovValue(_response);
        });
    }

    protected processUpdateLovValue(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Delete lov value based on the specified parameters.
     * @param id The list of values identifier (e.g. DRESOLUTION).
     * @param valueId The lov value identifier.
     * @return Success
     */
    deleteLovValue(id: string, valueId: string): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Lists/{id}/Values/{valueId}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        if (valueId === undefined || valueId === null)
            throw new Error("The parameter 'valueId' must be defined.");
        url_ = url_.replace("{valueId}", encodeURIComponent("" + valueId));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "DELETE",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteLovValue(_response);
        });
    }

    protected processDeleteLovValue(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get the lov value based on the specified parameters.
     * @param id The identifier of a list of values (e.g. DRESOLUTION).
     * @param valueId The lov value identifier (e.g. VRESHIGH for DRESOLUTION).
     * @return Success
     */
    getLovValue(id: string, valueId: string): Promise<LovValue> {
        let url_ = this.baseUrl + "/v3/Lists/{id}/Values/{valueId}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        if (valueId === undefined || valueId === null)
            throw new Error("The parameter 'valueId' must be defined.");
        url_ = url_.replace("{valueId}", encodeURIComponent("" + valueId));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetLovValue(_response);
        });
    }

    protected processGetLovValue(response: Response): Promise<LovValue> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = LovValue.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get the public list of LOVs.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getLovList(body: GetLovList | undefined): Promise<LovList[]> {
        let url_ = this.baseUrl + "/v3/Lists/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetLovList(_response);
        });
    }

    protected processGetLovList(response: Response): Promise<LovList[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(LovList.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets list of tags that match the criteria given in the parameters for specified field.
     * @param fieldName Element name of a field.
     * @param fieldLevel Level of an object.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getMetadataBindingTagList(fieldName: string, fieldLevel: Level, body: GetMetadataBindingTagList | undefined): Promise<TagList> {
        let url_ = this.baseUrl + "/v3/MetadataBinding/Fields/{fieldName}/Levels/{fieldLevel}/Tags/Get";
        if (fieldName === undefined || fieldName === null)
            throw new Error("The parameter 'fieldName' must be defined.");
        url_ = url_.replace("{fieldName}", encodeURIComponent("" + fieldName));
        if (fieldLevel === undefined || fieldLevel === null)
            throw new Error("The parameter 'fieldLevel' must be defined.");
        url_ = url_.replace("{fieldLevel}", encodeURIComponent("" + fieldLevel));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetMetadataBindingTagList(_response);
        });
    }

    protected processGetMetadataBindingTagList(response: Response): Promise<TagList> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = TagList.fromJS(resultData200);
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets tags structure that match the criteria given in the parameters for specified field.
     * @param fieldName Element name of a field.
     * @param fieldLevel Level of an object.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getMetadataBindingTagStructure(fieldName: string, fieldLevel: Level, body: GetMetadataBindingTagStructure | undefined): Promise<TagStructure> {
        let url_ = this.baseUrl + "/v3/MetadataBinding/Fields/{fieldName}/Levels/{fieldLevel}/TagStructure/Get";
        if (fieldName === undefined || fieldName === null)
            throw new Error("The parameter 'fieldName' must be defined.");
        url_ = url_.replace("{fieldName}", encodeURIComponent("" + fieldName));
        if (fieldLevel === undefined || fieldLevel === null)
            throw new Error("The parameter 'fieldLevel' must be defined.");
        url_ = url_.replace("{fieldLevel}", encodeURIComponent("" + fieldLevel));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetMetadataBindingTagStructure(_response);
        });
    }

    protected processGetMetadataBindingTagStructure(response: Response): Promise<TagStructure> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = TagStructure.fromJS(resultData200);
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the smart tags of given content.
     * @param content (optional) 
     * @param metadata (optional) 
     * @return Success
     */
    getMetadataBindingSmartTags(content: FileParameter | undefined, metadata: GetMetadataBindingSmartTags | undefined): Promise<FieldTag[]> {
        let url_ = this.baseUrl + "/v3/MetadataBinding/SmartTags/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = new FormData();
        if (content === null || content === undefined)
            throw new Error("The parameter 'content' cannot be null.");
        else
            content_.append("content", content.data, content.fileName ? content.fileName : "content");
        if (metadata === null || metadata === undefined)
            throw new Error("The parameter 'metadata' cannot be null.");
        else
            content_.append("metadata", JSON.stringify(metadata));

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetMetadataBindingSmartTags(_response);
        });
    }

    protected processGetMetadataBindingSmartTags(response: Response): Promise<FieldTag[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(FieldTag.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets current user in the repository.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getCurrentUser(selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<User> {
        let url_ = this.baseUrl + "/v3/My?";
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "SelectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "FieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "Field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "IncludeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetCurrentUser(_response);
        });
    }

    protected processGetCurrentUser(response: Response): Promise<User> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = User.fromJS(resultData200);
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else if (status !== 200 && status !== 204) {
            return response.text().then((_responseText) => {
            return throwException("An unexpected server error occurred.", status, _responseText, _headers);
            });
        }
        return Promise.resolve<User>(null as any);
    }

    /**
     * Update user who made the call.
     * @param body (optional) Specifies fields that should be updated and values for them.
     * @return Success
     */
    updateCurrentUser(body: UpdateUser | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/My";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateCurrentUser(_response);
        });
    }

    protected processUpdateCurrentUser(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get preference set for the current user.
     * @param setName The name of the preference set to be retrieved, if the set name can not be found empty preference set is returned.
     * @return Success
     */
    getMyPreferences(setName: string): Promise<PreferenceSet> {
        let url_ = this.baseUrl + "/v3/My/PreferenceSets/{SetName}";
        if (setName === undefined || setName === null)
            throw new Error("The parameter 'setName' must be defined.");
        url_ = url_.replace("{SetName}", encodeURIComponent("" + setName));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetMyPreferences(_response);
        });
    }

    protected processGetMyPreferences(response: Response): Promise<PreferenceSet> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = PreferenceSet.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Update current user preferences.
     * @param setName The name of the preference set to be updated.
     * @param body (optional) Update current user preference set model.
     * @return Success
     */
    setMyPreferences(setName: string, body: UpdatePreferenceSet | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/My/PreferenceSets/{SetName}";
        if (setName === undefined || setName === null)
            throw new Error("The parameter 'setName' must be defined.");
        url_ = url_.replace("{SetName}", encodeURIComponent("" + setName));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processSetMyPreferences(_response);
        });
    }

    protected processSetMyPreferences(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Delete current user preferences.
     * @param setName The name of the preference set to delete.
     * @param itemName (optional) The name of the preference item to delete.
     * @return Success
     */
    deleteMyPreferences(setName: string, itemName: string | null | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/My/PreferenceSets/{SetName}?";
        if (setName === undefined || setName === null)
            throw new Error("The parameter 'setName' must be defined.");
        url_ = url_.replace("{SetName}", encodeURIComponent("" + setName));
        if (itemName !== undefined && itemName !== null)
            url_ += "ItemName=" + encodeURIComponent("" + itemName) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "DELETE",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteMyPreferences(_response);
        });
    }

    protected processDeleteMyPreferences(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get privileges for the current user.
     * @return Success
     */
    getMyPrivileges(): Promise<LovValue[]> {
        let url_ = this.baseUrl + "/v3/My/Privileges";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetMyPrivileges(_response);
        });
    }

    protected processGetMyPrivileges(response: Response): Promise<LovValue[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(LovValue.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status !== 200 && status !== 204) {
            return response.text().then((_responseText) => {
            return throwException("An unexpected server error occurred.", status, _responseText, _headers);
            });
        }
        return Promise.resolve<LovValue[]>(null as any);
    }

    /**
     * Gets the object type based on the object identifier.
     * @param id The object identifier (e.g. logical id <tt>GUID-...</tt>, language card, folder id <tt>12345678</tt>, user id <tt>VUSERAUTHOR</tt>, user group id <tt>VUSERGROUPDEFAULTDEPARTMENT)</tt>.
     * @return Success
     */
    getObject(id: string): Promise<BaseObject> {
        let url_ = this.baseUrl + "/v3/Objects/{id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetObject(_response);
        });
    }

    protected processGetObject(response: Response): Promise<BaseObject> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = BaseObject.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the output format.
     * @param id Identifier of the output format.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getOutputFormat(id: string, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<OutputFormat> {
        let url_ = this.baseUrl + "/v3/OutputFormats/{Id}?";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "SelectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "FieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "Field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "IncludeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetOutputFormat(_response);
        });
    }

    protected processGetOutputFormat(response: Response): Promise<OutputFormat> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = OutputFormat.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Update output format with given id in the repository.
     * @param id Identifier of the output format.
     * @param body (optional) Request body with a list of the fields.
     * @return Success
     */
    updateOutputFormat(id: string, body: UpdateOutputFormat | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/OutputFormats/{Id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateOutputFormat(_response);
        });
    }

    protected processUpdateOutputFormat(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Delete output format with given id in the repository.
     * @param id Identifier of the output format.
     * @return Success
     */
    deleteOutputFormat(id: string): Promise<Message> {
        let url_ = this.baseUrl + "/v3/OutputFormats/{Id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "DELETE",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteOutputFormat(_response);
        });
    }

    protected processDeleteOutputFormat(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates output format.
     * @param body (optional) Request body with a list of the fields.
     * @return Created
     */
    createOutputFormat(body: CreateOutputFormat | undefined): Promise<OutputFormat> {
        let url_ = this.baseUrl + "/v3/OutputFormats";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateOutputFormat(_response);
        });
    }

    protected processCreateOutputFormat(response: Response): Promise<OutputFormat> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = OutputFormat.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the output formats.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getOutputFormatList(body: GetOutputFormatList | undefined): Promise<OutputFormat[]> {
        let url_ = this.baseUrl + "/v3/OutputFormats/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetOutputFormatList(_response);
        });
    }

    protected processGetOutputFormatList(response: Response): Promise<OutputFormat[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(OutputFormat.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get a project - NOT IMPLEMENTED.
     * @return Success
     */
    getProjectByProjectId(projectId: string): Promise<Project> {
        let url_ = this.baseUrl + "/v3/Projects/ByProjectId/{ProjectId}";
        if (projectId === undefined || projectId === null)
            throw new Error("The parameter 'projectId' must be defined.");
        url_ = url_.replace("{ProjectId}", encodeURIComponent("" + projectId));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetProjectByProjectId(_response);
        });
    }

    protected processGetProjectByProjectId(response: Response): Promise<Project> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Project.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get an assignee - NOT IMPLEMENTED.
     * @return Success
     */
    getProjectByAssigneeCardId(assigneeCardId: string): Promise<Project> {
        let url_ = this.baseUrl + "/v3/Projects/ByAssigneeCardId/{AssigneeCardId}";
        if (assigneeCardId === undefined || assigneeCardId === null)
            throw new Error("The parameter 'assigneeCardId' must be defined.");
        url_ = url_.replace("{AssigneeCardId}", encodeURIComponent("" + assigneeCardId));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetProjectByAssigneeCardId(_response);
        });
    }

    protected processGetProjectByAssigneeCardId(response: Response): Promise<Project> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Project.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates a new project.
     * @param body (optional) The create project model.
     * @return Created
     */
    createProject(body: CreateProject | undefined): Promise<Project> {
        let url_ = this.baseUrl + "/v3/Projects";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateProject(_response);
        });
    }

    protected processCreateProject(response: Response): Promise<Project> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = Project.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all projects in the Repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getProjectList(body: GetProjectList | undefined): Promise<Project[]> {
        let url_ = this.baseUrl + "/v3/Projects/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetProjectList(_response);
        });
    }

    protected processGetProjectList(response: Response): Promise<Project[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Project.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all projects in the Repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getProjectListByProjectId(body: GetProjectListByProjectId | undefined): Promise<Project[]> {
        let url_ = this.baseUrl + "/v3/Projects/ByProjectId/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetProjectListByProjectId(_response);
        });
    }

    protected processGetProjectListByProjectId(response: Response): Promise<Project[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Project.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Updates the project based on the specified parameters.
     * @param projectId The project identifier.
     * @param body (optional) Update project model.
     * @return Success
     */
    updateProject(projectId: string, body: UpdateProject | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Projects/ByProjectId/{projectId}";
        if (projectId === undefined || projectId === null)
            throw new Error("The parameter 'projectId' must be defined.");
        url_ = url_.replace("{projectId}", encodeURIComponent("" + projectId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateProject(_response);
        });
    }

    protected processUpdateProject(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Deletes the project based on the specified parameters.
     * @param projectId The project identifier.
     * @param body (optional) Delete project model.
     * @return Success
     */
    deleteProject(projectId: string, body: DeleteProject | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Projects/ByProjectId/{projectId}";
        if (projectId === undefined || projectId === null)
            throw new Error("The parameter 'projectId' must be defined.");
        url_ = url_.replace("{projectId}", encodeURIComponent("" + projectId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "DELETE",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteProject(_response);
        });
    }

    protected processDeleteProject(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates a new project assignee.
     * @param body (optional) The create project assignee model.
     * @return Created
     */
    createProjectAssignee(body: CreateProjectAssignee | undefined): Promise<Project> {
        let url_ = this.baseUrl + "/v3/Projects/Assignees";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateProjectAssignee(_response);
        });
    }

    protected processCreateProjectAssignee(response: Response): Promise<Project> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = Project.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Updates the project's assignee based on the specified parameters.
     * @param assigneeCardId The assignee card identifier.
     * @param body (optional) Update project's assignee model.
     * @return Success
     */
    updateProjectAssignee(assigneeCardId: number, body: UpdateProjectAssignee | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Projects/ByAssigneeCardId/{assigneeCardId}";
        if (assigneeCardId === undefined || assigneeCardId === null)
            throw new Error("The parameter 'assigneeCardId' must be defined.");
        url_ = url_.replace("{assigneeCardId}", encodeURIComponent("" + assigneeCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateProjectAssignee(_response);
        });
    }

    protected processUpdateProjectAssignee(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Deletes the project's assignee based on the specified parameters.
     * @param assigneeCardId The assignee card identifier.
     * @param body (optional) Delete project's assignee model.
     * @return Success
     */
    deleteProjectAssignee(assigneeCardId: number, body: DeleteProjectAssignee | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Projects/ByAssigneeCardId/{assigneeCardId}";
        if (assigneeCardId === undefined || assigneeCardId === null)
            throw new Error("The parameter 'assigneeCardId' must be defined.");
        url_ = url_.replace("{assigneeCardId}", encodeURIComponent("" + assigneeCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "DELETE",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteProjectAssignee(_response);
        });
    }

    protected processDeleteProjectAssignee(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates publication. - NOT IMPLEMENTED.
     * @return Created
     */
    createPublication(): Promise<Publication> {
        let url_ = this.baseUrl + "/v3/Publications";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "POST",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreatePublication(_response);
        });
    }

    protected processCreatePublication(response: Response): Promise<Publication> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = Publication.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates version of a publication. - NOT IMPLEMENTED.
     * @return Created
     */
    createPublicationVersion(): Promise<Publication> {
        let url_ = this.baseUrl + "/v3/Publications/Versions";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "POST",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreatePublicationVersion(_response);
        });
    }

    protected processCreatePublicationVersion(response: Response): Promise<Publication> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = Publication.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates language of a publication. - NOT IMPLEMENTED.
     * @return Created
     */
    createPublicationLanguage(): Promise<Publication> {
        let url_ = this.baseUrl + "/v3/Publications/Languages";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "POST",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreatePublicationLanguage(_response);
        });
    }

    protected processCreatePublicationLanguage(response: Response): Promise<Publication> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = Publication.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Updates the publication output by its language card identifier.
     * @param languageCardId Language card identifier of the publication output.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    updatePublicationByLanguageCardId(languageCardId: number, body: UpdatePublication | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Publications/ByLanguageCardId/{languageCardId}";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{languageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdatePublicationByLanguageCardId(_response);
        });
    }

    protected processUpdatePublicationByLanguageCardId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Deletes the publication output by its language card identifier.
     * @param languageCardId The language card identifier of the publication output.
     * @param body (optional) The parameters that will be used for delete operation.
     * @return Success
     */
    deletePublicationByLanguageCardId(languageCardId: number, body: DeletePublicationByLanguageCardId | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Publications/ByLanguageCardId/{languageCardId}";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{languageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "DELETE",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeletePublicationByLanguageCardId(_response);
        });
    }

    protected processDeletePublicationByLanguageCardId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get publication in the Repository that match the criteria given in the parameters.
     * @param languageCardId Language card identifier of the publication.
     * @param selectedProperties (optional) Selected properties to filter the properties. Default is Id.
     * @param fieldGroup (optional) Field group of metadata fields. Default is None.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) `true` to include the links; otherwise, `false`. Default is `false`.
     * @return Success
     */
    getPublicationByLanguageCardId(languageCardId: number, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<Publication> {
        let url_ = this.baseUrl + "/v3/Publications/ByLanguageCardId/{languageCardId}?";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{languageCardId}", encodeURIComponent("" + languageCardId));
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "selectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "fieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "includeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetPublicationByLanguageCardId(_response);
        });
    }

    protected processGetPublicationByLanguageCardId(response: Response): Promise<Publication> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Publication.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Updates publication in the repository that match the criteria given in the parameters.
     * @param logicalId Logical identifier of the publication.
     * @param version (optional) The version of the publication to update.
     * @param outputFormat (optional) The output Format of the publication to update.
     * @param languageCombination (optional) The languageCombination of the publication to update.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    updatePublicationByLogicalId(logicalId: string, version: string | undefined, outputFormat: string | undefined, languageCombination: string[] | undefined, body: UpdatePublication | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Publications/ByLogicalId/{logicalId}?";
        if (logicalId === undefined || logicalId === null)
            throw new Error("The parameter 'logicalId' must be defined.");
        url_ = url_.replace("{logicalId}", encodeURIComponent("" + logicalId));
        if (version === null)
            throw new Error("The parameter 'version' cannot be null.");
        else if (version !== undefined)
            url_ += "version=" + encodeURIComponent("" + version) + "&";
        if (outputFormat === null)
            throw new Error("The parameter 'outputFormat' cannot be null.");
        else if (outputFormat !== undefined)
            url_ += "outputFormat=" + encodeURIComponent("" + outputFormat) + "&";
        if (languageCombination === null)
            throw new Error("The parameter 'languageCombination' cannot be null.");
        else if (languageCombination !== undefined)
            languageCombination && languageCombination.forEach(item => { url_ += "languageCombination=" + encodeURIComponent("" + item) + "&"; });
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdatePublicationByLogicalId(_response);
        });
    }

    protected processUpdatePublicationByLogicalId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Deletes a publication that match the criteria given in the parameters.
     * @param logicalId The logical identifier of the publication.
     * @param version (optional) The version number.
     * @param outputFormatId (optional) The element name of the output format.
     * @param languageCombination (optional) The language combination of the PublicationOutput (e.g. en, en+fr+nl,...)
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    deletePublicationByLogicalId(logicalId: string, version: string | undefined, outputFormatId: string | undefined, languageCombination: string[] | undefined, body: DeletePublicationByLogicalId | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Publications/ByLogicalId/{logicalId}?";
        if (logicalId === undefined || logicalId === null)
            throw new Error("The parameter 'logicalId' must be defined.");
        url_ = url_.replace("{logicalId}", encodeURIComponent("" + logicalId));
        if (version === null)
            throw new Error("The parameter 'version' cannot be null.");
        else if (version !== undefined)
            url_ += "version=" + encodeURIComponent("" + version) + "&";
        if (outputFormatId === null)
            throw new Error("The parameter 'outputFormatId' cannot be null.");
        else if (outputFormatId !== undefined)
            url_ += "outputFormatId=" + encodeURIComponent("" + outputFormatId) + "&";
        if (languageCombination === null)
            throw new Error("The parameter 'languageCombination' cannot be null.");
        else if (languageCombination !== undefined)
            languageCombination && languageCombination.forEach(item => { url_ += "languageCombination=" + encodeURIComponent("" + item) + "&"; });
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "DELETE",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeletePublicationByLogicalId(_response);
        });
    }

    protected processDeletePublicationByLogicalId(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get publication in the Repository that match the criteria given in the parameters.
     * @param logicalId The logical identifier of the object.
     * @param version (optional) The version number.
     * @param outputFormat (optional) The label/name of the OutputFormat (e.g. Manual, Documentation Online,...).
     * @param languageCombination (optional) The language combination of the PublicationOutput (e.g. en, en+fr+nl,...).
     * @param selectedProperties (optional) Selected properties to filter the properties. Default is Id.
     * @param fieldGroup (optional) Field group of metadata fields. Default is None.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) `true` to include the links; otherwise, `false`. Default is `false`.
     * @return Success
     */
    getPublicationByLogicalId(logicalId: string, version: string | undefined, outputFormat: string | undefined, languageCombination: string[] | undefined, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<Publication> {
        let url_ = this.baseUrl + "/v3/Publications/ByLogicalId/{logicalId}?";
        if (logicalId === undefined || logicalId === null)
            throw new Error("The parameter 'logicalId' must be defined.");
        url_ = url_.replace("{logicalId}", encodeURIComponent("" + logicalId));
        if (version === null)
            throw new Error("The parameter 'version' cannot be null.");
        else if (version !== undefined)
            url_ += "version=" + encodeURIComponent("" + version) + "&";
        if (outputFormat === null)
            throw new Error("The parameter 'outputFormat' cannot be null.");
        else if (outputFormat !== undefined)
            url_ += "outputFormat=" + encodeURIComponent("" + outputFormat) + "&";
        if (languageCombination === null)
            throw new Error("The parameter 'languageCombination' cannot be null.");
        else if (languageCombination !== undefined)
            languageCombination && languageCombination.forEach(item => { url_ += "languageCombination=" + encodeURIComponent("" + item) + "&"; });
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "selectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "fieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "includeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetPublicationByLogicalId(_response);
        });
    }

    protected processGetPublicationByLogicalId(response: Response): Promise<Publication> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Publication.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Releases the publication output by its language card identifier.
     * @param languageCardId Language card identifier of the publication output.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    releasePublication(languageCardId: number, body: ReleasePublication | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Publications/ByLanguageCardId/{languageCardId}/Release";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{languageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processReleasePublication(_response);
        });
    }

    protected processReleasePublication(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Unreleases the publication output by its language card identifier.
     * @param languageCardId Language card identifier of the publication output.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    unreleasePublication(languageCardId: number, body: UnreleasePublication | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Publications/ByLanguageCardId/{languageCardId}/Unrelease";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{languageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUnreleasePublication(_response);
        });
    }

    protected processUnreleasePublication(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all publications in the Repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getPublicationListByLogicalId(body: GetPublicationListByLogicalId | undefined): Promise<Publication[]> {
        let url_ = this.baseUrl + "/v3/Publications/ByLogicalId/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetPublicationListByLogicalId(_response);
        });
    }

    protected processGetPublicationListByLogicalId(response: Response): Promise<Publication[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Publication.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all publications in the Repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getPublicationList(body: GetPublicationList | undefined): Promise<Publication[]> {
        let url_ = this.baseUrl + "/v3/Publications/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetPublicationList(_response);
        });
    }

    protected processGetPublicationList(response: Response): Promise<Publication[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Publication.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get publication.
     * @param body (optional) 
     * @return Success
     */
    getPublicationListByLanguageCardId(body: GetPublicationListByLanguageCardId | undefined): Promise<Publication[]> {
        let url_ = this.baseUrl + "/v3/Publications/ByLanguageCardId/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetPublicationListByLanguageCardId(_response);
        });
    }

    protected processGetPublicationListByLanguageCardId(response: Response): Promise<Publication[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Publication.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the content by its language card identifier.
     * @param languageCardId Language card identifier of the publication.
     * @return Success
     */
    getPublicationContentByLanguageCardId(languageCardId: number): Promise<FileResponse> {
        let url_ = this.baseUrl + "/v3/Publications/ByLanguageCardId/{languageCardId}/Content";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{languageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/octet-stream"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetPublicationContentByLanguageCardId(_response);
        });
    }

    protected processGetPublicationContentByLanguageCardId(response: Response): Promise<FileResponse> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200 || status === 206) {
            const contentDisposition = response.headers ? response.headers.get("content-disposition") : undefined;
            let fileNameMatch = contentDisposition ? /filename\*=(?:(\\?['"])(.*?)\1|(?:[^\s]+'.*?')?([^;\n]*))/g.exec(contentDisposition) : undefined;
            let fileName = fileNameMatch && fileNameMatch.length > 1 ? fileNameMatch[3] || fileNameMatch[2] : undefined;
            if (fileName) {
                fileName = decodeURIComponent(fileName);
            } else {
                fileNameMatch = contentDisposition ? /filename="?([^"]*?)"?(;|$)/g.exec(contentDisposition) : undefined;
                fileName = fileNameMatch && fileNameMatch.length > 1 ? fileNameMatch[1] : undefined;
            }
            return response.blob().then(blob => { return { fileName: fileName, data: blob, status: status, headers: _headers }; });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the location of a publication in the folder structure.
     * @param logicalId Logical identifier of the publication.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getPublicationLocation(logicalId: string, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<Folder[]> {
        let url_ = this.baseUrl + "/v3/Publications/ByLogicalId/{logicalId}/Location?";
        if (logicalId === undefined || logicalId === null)
            throw new Error("The parameter 'logicalId' must be defined.");
        url_ = url_.replace("{logicalId}", encodeURIComponent("" + logicalId));
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "selectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "fieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "includeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetPublicationLocation(_response);
        });
    }

    protected processGetPublicationLocation(response: Response): Promise<Folder[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(Folder.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Cancels the publishing of the publication output.
     * @param languageCardId Language card identifier of the publication output.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    cancelPublicationPublish(languageCardId: number, body: CancelPublicationPublish | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Publications/ByLanguageCardId/{languageCardId}/CancelPublish";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{languageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCancelPublicationPublish(_response);
        });
    }

    protected processCancelPublicationPublish(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Publishes a publication output.
     * @param languageCardId Language card identifier of the publication output.
     * @param body (optional) Required current metadata of the object.
     * @return Success
     */
    publishPublication(languageCardId: number, body: PublishPublication | undefined): Promise<EventProgress> {
        let url_ = this.baseUrl + "/v3/Publications/ByLanguageCardId/{languageCardId}/Publish";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{languageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processPublishPublication(_response);
        });
    }

    protected processPublishPublication(response: Response): Promise<EventProgress> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = EventProgress.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Unpublish a publication output.
     * @param languageCardId Language card identifier of the publication output.
     * @param body (optional) Required current metadata of the object.
     * @return Success
     */
    unpublishPublication(languageCardId: number, body: UnpublishPublication | undefined): Promise<EventProgress> {
        let url_ = this.baseUrl + "/v3/Publications/ByLanguageCardId/{languageCardId}/Unpublish";
        if (languageCardId === undefined || languageCardId === null)
            throw new Error("The parameter 'languageCardId' must be defined.");
        url_ = url_.replace("{languageCardId}", encodeURIComponent("" + languageCardId));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUnpublishPublication(_response);
        });
    }

    protected processUnpublishPublication(response: Response): Promise<EventProgress> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = EventProgress.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Search all document object types in the repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    search(body: SearchRequest | undefined): Promise<SearchResponse> {
        let url_ = this.baseUrl + "/v3/Search";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processSearch(_response);
        });
    }

    protected processSearch(response: Response): Promise<SearchResponse> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = SearchResponse.fromJS(resultData200);
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get settings in the repository that match the criteria given in the parameters.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @return Success
     */
    getSettings(field: string[] | undefined, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined): Promise<Setting> {
        let url_ = this.baseUrl + "/v3/Settings?";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "Field=" + encodeURIComponent("" + item) + "&"; });
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "SelectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "FieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetSettings(_response);
        });
    }

    protected processGetSettings(response: Response): Promise<Setting> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Setting.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Update submitted settings fields if the current required fields conditions are satisfied
     * @param body (optional) Update settings model
     * @return Success
     */
    updateSettings(body: UpdateSettings | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Settings";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateSettings(_response);
        });
    }

    protected processUpdateSettings(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get settings of the workflow report.
     * @return Success
     */
    getWorkflowReportSettings(): Promise<WorkflowReportSettings> {
        let url_ = this.baseUrl + "/v3/Settings/WorkflowReport";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetWorkflowReportSettings(_response);
        });
    }

    protected processGetWorkflowReportSettings(response: Response): Promise<WorkflowReportSettings> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = WorkflowReportSettings.fromJS(resultData200);
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get settings of the translation report.
     * @return Success
     */
    getTranslationReportSettings(): Promise<TranslationReportSettings> {
        let url_ = this.baseUrl + "/v3/Settings/TranslationReport";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetTranslationReportSettings(_response);
        });
    }

    protected processGetTranslationReportSettings(response: Response): Promise<TranslationReportSettings> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = TranslationReportSettings.fromJS(resultData200);
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the user group.
     * @param id Identifier of the group.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getUserGroup(id: string, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<UserGroup> {
        let url_ = this.baseUrl + "/v3/UserGroups/{Id}?";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "SelectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "FieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "Field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "IncludeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetUserGroup(_response);
        });
    }

    protected processGetUserGroup(response: Response): Promise<UserGroup> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = UserGroup.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Update user group with given id in the repository.
     * @param id Identifier of the group.
     * @param body (optional) Request body with a list of the fields.
     * @return Success
     */
    updateUserGroup(id: string, body: UpdateUserGroup | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/UserGroups/{Id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateUserGroup(_response);
        });
    }

    protected processUpdateUserGroup(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Delete user group with given id in the repository.
     * @param id Identifier of the user group.
     * @return Success
     */
    deleteUserGroup(id: string): Promise<Message> {
        let url_ = this.baseUrl + "/v3/UserGroups/{Id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "DELETE",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteUserGroup(_response);
        });
    }

    protected processDeleteUserGroup(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the user groups.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getUserGroupList(body: GetUserGroupList | undefined): Promise<UserGroup[]> {
        let url_ = this.baseUrl + "/v3/UserGroups/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetUserGroupList(_response);
        });
    }

    protected processGetUserGroupList(response: Response): Promise<UserGroup[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(UserGroup.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates user group.
     * @param body (optional) Request body with a list of the fields.
     * @return Created
     */
    createUserGroup(body: CreateUserGroup | undefined): Promise<UserGroup> {
        let url_ = this.baseUrl + "/v3/UserGroups";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateUserGroup(_response);
        });
    }

    protected processCreateUserGroup(response: Response): Promise<UserGroup> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = UserGroup.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets the user role.
     * @param id Identifier of the role.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getUserRole(id: string, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<UserRole> {
        let url_ = this.baseUrl + "/v3/UserRoles/{Id}?";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "SelectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "FieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "Field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "IncludeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetUserRole(_response);
        });
    }

    protected processGetUserRole(response: Response): Promise<UserRole> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = UserRole.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Update user role with given id in the repository.
     * @param id Identifier of the role.
     * @param body (optional) Request body with a list of the fields.
     * @return Success
     */
    updateUserRole(id: string, body: UpdateUserRole | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/UserRoles/{Id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateUserRole(_response);
        });
    }

    protected processUpdateUserRole(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Delete user role with given id in the repository.
     * @param id Identifier of the user role.
     * @return Success
     */
    deleteUserRole(id: string): Promise<Message> {
        let url_ = this.baseUrl + "/v3/UserRoles/{Id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "DELETE",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteUserRole(_response);
        });
    }

    protected processDeleteUserRole(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates user role.
     * @param body (optional) Request body with a list of the fields.
     * @return Created
     */
    createUserRole(body: CreateUserRole | undefined): Promise<UserRole> {
        let url_ = this.baseUrl + "/v3/UserRoles";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateUserRole(_response);
        });
    }

    protected processCreateUserRole(response: Response): Promise<UserRole> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = UserRole.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all user roles in the repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getUserRoleList(body: GetUserRoleList | undefined): Promise<UserRole[]> {
        let url_ = this.baseUrl + "/v3/UserRoles/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetUserRoleList(_response);
        });
    }

    protected processGetUserRoleList(response: Response): Promise<UserRole[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(UserRole.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets all users in the repository that match the criteria given in the parameters.
     * @param body (optional) Request object with the criteria in its properties.
     * @return Success
     */
    getUserList(body: GetUserList | undefined): Promise<User[]> {
        let url_ = this.baseUrl + "/v3/Users/Get";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetUserList(_response);
        });
    }

    protected processGetUserList(response: Response): Promise<User[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(User.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets a user in the repository that match the criteria given in the parameters.
     * @param id The identifier of the user.
     * @param selectedProperties (optional) Specifies the properties that will be returned. If not supplied, only the identifier will be returned.
     * @param fieldGroup (optional) Group of metadata fields that will be returned. If not supplied, no fields will be returned.
     * @param field (optional) Specifies one or more metadata fields to return.
     * @param includeLinks (optional) <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>.
     * @return Success
     */
    getUser(id: string, selectedProperties: SelectedProperties | undefined, fieldGroup: FieldGroup | undefined, field: string[] | undefined, includeLinks: boolean | undefined): Promise<User> {
        let url_ = this.baseUrl + "/v3/Users/{Id}?";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        if (selectedProperties === null)
            throw new Error("The parameter 'selectedProperties' cannot be null.");
        else if (selectedProperties !== undefined)
            url_ += "SelectedProperties=" + encodeURIComponent("" + selectedProperties) + "&";
        if (fieldGroup === null)
            throw new Error("The parameter 'fieldGroup' cannot be null.");
        else if (fieldGroup !== undefined)
            url_ += "FieldGroup=" + encodeURIComponent("" + fieldGroup) + "&";
        if (field === null)
            throw new Error("The parameter 'field' cannot be null.");
        else if (field !== undefined)
            field && field.forEach(item => { url_ += "Field=" + encodeURIComponent("" + item) + "&"; });
        if (includeLinks === null)
            throw new Error("The parameter 'includeLinks' cannot be null.");
        else if (includeLinks !== undefined)
            url_ += "IncludeLinks=" + encodeURIComponent("" + includeLinks) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetUser(_response);
        });
    }

    protected processGetUser(response: Response): Promise<User> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = User.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Updates user with given id in the repository.
     * @param id The identifier of the user.
     * @param body (optional) Request body with a list of the fields.
     * @return Success
     */
    updateUser(id: string, body: UpdateUser | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Users/{Id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateUser(_response);
        });
    }

    protected processUpdateUser(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Delete user with given id in the repository.
     * @param id Identifier of the user.
     * @return Success
     */
    deleteUser(id: string): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Users/{Id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "DELETE",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteUser(_response);
        });
    }

    protected processDeleteUser(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Creates user.
     * @param body (optional) 
     * @return Created
     */
    createUser(body: CreateUser | undefined): Promise<User> {
        let url_ = this.baseUrl + "/v3/Users";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateUser(_response);
        });
    }

    protected processCreateUser(response: Response): Promise<User> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = User.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Gets preference set for the user.
     * @param id The identifier of the user.
     * @param setName The name of the preference set to be retrieved, if the set name can not be found empty preference set is returned.
     * @return Success
     */
    getUserPreferences(id: string, setName: string): Promise<PreferenceSet> {
        let url_ = this.baseUrl + "/v3/Users/{Id}/PreferenceSets/{SetName}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        if (setName === undefined || setName === null)
            throw new Error("The parameter 'setName' must be defined.");
        url_ = url_.replace("{SetName}", encodeURIComponent("" + setName));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetUserPreferences(_response);
        });
    }

    protected processGetUserPreferences(response: Response): Promise<PreferenceSet> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = PreferenceSet.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Sets user preferences based on the specified parameters.
     * @param id The identifier of the user.
     * @param setName The name of the preference set to be updated.
     * @param body (optional) Request body with a preference list.
     * @return Success
     */
    setUserPreferences(id: string, setName: string, body: UpdatePreferenceSet | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Users/{Id}/PreferenceSets/{SetName}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        if (setName === undefined || setName === null)
            throw new Error("The parameter 'setName' must be defined.");
        url_ = url_.replace("{SetName}", encodeURIComponent("" + setName));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processSetUserPreferences(_response);
        });
    }

    protected processSetUserPreferences(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Deletes user preferences.
     * @param id The identifier of the user.
     * @param setName The name of the preference set to be deleted.
     * @param itemName (optional) The item name of the preference item which need to be deleted from the set; if null or empty - the entire set with all the items will be deleted.
     * @return Success
     */
    deleteUserPreferences(id: string, setName: string, itemName: string | null | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Users/{Id}/PreferenceSets/{SetName}?";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{Id}", encodeURIComponent("" + id));
        if (setName === undefined || setName === null)
            throw new Error("The parameter 'setName' must be defined.");
        url_ = url_.replace("{SetName}", encodeURIComponent("" + setName));
        if (itemName !== undefined && itemName !== null)
            url_ += "ItemName=" + encodeURIComponent("" + itemName) + "&";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "DELETE",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteUserPreferences(_response);
        });
    }

    protected processDeleteUserPreferences(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get all status definitions.
     * @return Success
     */
    getStatusDefinitionList(): Promise<StatusDefinition[]> {
        let url_ = this.baseUrl + "/v3/Workflows/StatusDefinitions";
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetStatusDefinitionList(_response);
        });
    }

    protected processGetStatusDefinitionList(response: Response): Promise<StatusDefinition[]> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            if (Array.isArray(resultData200)) {
                result200 = [] as any;
                for (let item of resultData200)
                    result200!.push(StatusDefinition.fromJS(item));
            }
            else {
                result200 = <any>null;
            }
            return result200;
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Create a status definition.
     * @param body (optional) The create status definition model.
     * @return Created
     */
    createStatusDefinition(body: CreateStatusDefinition | undefined): Promise<StatusDefinition> {
        let url_ = this.baseUrl + "/v3/Workflows/StatusDefinitions";
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "POST",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processCreateStatusDefinition(_response);
        });
    }

    protected processCreateStatusDefinition(response: Response): Promise<StatusDefinition> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 201) {
            return response.text().then((_responseText) => {
            let result201: any = null;
            let resultData201 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result201 = StatusDefinition.fromJS(resultData201);
            return result201;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Get a status definition.
     * @param id The status definition id.
     * @return Success
     */
    getStatusDefinition(id: string): Promise<StatusDefinition> {
        let url_ = this.baseUrl + "/v3/Workflows/StatusDefinitions/{id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "GET",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processGetStatusDefinition(_response);
        });
    }

    protected processGetStatusDefinition(response: Response): Promise<StatusDefinition> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = StatusDefinition.fromJS(resultData200);
            return result200;
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Update status definition.
     * @param id The identifier of the status definition.
     * @param body (optional) Update status definition model.
     * @return Success
     */
    updateStatusDefinition(id: string, body: UpdateStatusDefinition | undefined): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Workflows/StatusDefinitions/{id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        const content_ = JSON.stringify(body);

        let options_: RequestInit = {
            body: content_,
            method: "PUT",
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processUpdateStatusDefinition(_response);
        });
    }

    protected processUpdateStatusDefinition(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }

    /**
     * Deletes a status definition by its identifier.
     * @param id The identifier of the status definition.
     * @return Success
     */
    deleteStatusDefinition(id: string): Promise<Message> {
        let url_ = this.baseUrl + "/v3/Workflows/StatusDefinitions/{id}";
        if (id === undefined || id === null)
            throw new Error("The parameter 'id' must be defined.");
        url_ = url_.replace("{id}", encodeURIComponent("" + id));
        url_ = url_.replace(/[?&]$/, "");

        let options_: RequestInit = {
            method: "DELETE",
            headers: {
                "Accept": "application/json"
            }
        };

        return this.http.fetch(url_, options_).then((_response: Response) => {
            return this.processDeleteStatusDefinition(_response);
        });
    }

    protected processDeleteStatusDefinition(response: Response): Promise<Message> {
        const status = response.status;
        let _headers: any = {}; if (response.headers && response.headers.forEach) { response.headers.forEach((v: any, k: any) => _headers[k] = v); };
        if (status === 200) {
            return response.text().then((_responseText) => {
            let result200: any = null;
            let resultData200 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result200 = Message.fromJS(resultData200);
            return result200;
            });
        } else if (status === 403) {
            return response.text().then((_responseText) => {
            let result403: any = null;
            let resultData403 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result403 = InfoShareProblemDetails.fromJS(resultData403);
            return throwException("Forbidden", status, _responseText, _headers, result403);
            });
        } else if (status === 404) {
            return response.text().then((_responseText) => {
            let result404: any = null;
            let resultData404 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result404 = InfoShareProblemDetails.fromJS(resultData404);
            return throwException("Not Found", status, _responseText, _headers, result404);
            });
        } else if (status === 400) {
            return response.text().then((_responseText) => {
            let result400: any = null;
            let resultData400 = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            result400 = InfoShareProblemDetails.fromJS(resultData400);
            return throwException("Bad Request", status, _responseText, _headers, result400);
            });
        } else {
            return response.text().then((_responseText) => {
            let resultdefault: any = null;
            let resultDatadefault = _responseText === "" ? null : JSON.parse(_responseText, this.jsonParseReviver);
            resultdefault = InfoShareProblemDetails.fromJS(resultDatadefault);
            return throwException("Error", status, _responseText, _headers, resultdefault);
            });
        }
    }
}

/** Allows explicit filtering. */
export enum ActivityFilter {
    None = "none",
    Active = "active",
    Inactive = "inactive",
}

/** Represents logical identifier model. */
export class AddShortcut implements IAddShortcut {
    /** Specify logical identifier of the document object or publication for which to create a shortcut. */
    logicalId!: string;

    constructor(data?: IAddShortcut) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.logicalId = _data["logicalId"];
        }
    }

    static fromJS(data: any): AddShortcut {
        data = typeof data === 'object' ? data : {};
        let result = new AddShortcut();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["logicalId"] = this.logicalId;
        return data;
    }
}

/** Represents logical identifier model. */
export interface IAddShortcut {
    /** Specify logical identifier of the document object or publication for which to create a shortcut. */
    logicalId: string;
}

/** Represents base search expressions. */
export class SearchExpression implements ISearchExpression {

    protected _discriminator: string;

    constructor(data?: ISearchExpression) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "SearchExpression";
    }

    init(_data?: any) {
    }

    static fromJS(data: any): SearchExpression {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "GroupSearchExpression") {
            let result = new GroupSearchExpression();
            result.init(data);
            return result;
        }
        if (data["type"] === "AndSearchExpression") {
            let result = new AndSearchExpression();
            result.init(data);
            return result;
        }
        if (data["type"] === "AnywhereSearchFieldValue") {
            let result = new AnywhereSearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "CardSearchFieldValue") {
            let result = new CardSearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SearchFieldValue") {
            let result = new SearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "DateTimeSearchFieldValue") {
            let result = new DateTimeSearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "LovSearchFieldValue") {
            let result = new LovSearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "NumberSearchFieldValue") {
            let result = new NumberSearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "StringSearchFieldValue") {
            let result = new StringSearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "OrSearchExpression") {
            let result = new OrSearchExpression();
            result.init(data);
            return result;
        }
        let result = new SearchExpression();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        return data;
    }
}

/** Represents base search expressions. */
export interface ISearchExpression {
}

/** Represents a search expression group. */
export class GroupSearchExpression extends SearchExpression implements IGroupSearchExpression {
    /** Collection of search expressions. */
    expressions?: SearchExpression[];

    protected _discriminator: string;

    constructor(data?: IGroupSearchExpression) {
        super(data);
        this._discriminator = "GroupSearchExpression";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["expressions"])) {
                this.expressions = [] as any;
                for (let item of _data["expressions"])
                    this.expressions!.push(SearchExpression.fromJS(item));
            }
        }
    }

    static fromJS(data: any): GroupSearchExpression {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "AndSearchExpression") {
            let result = new AndSearchExpression();
            result.init(data);
            return result;
        }
        if (data["type"] === "OrSearchExpression") {
            let result = new OrSearchExpression();
            result.init(data);
            return result;
        }
        let result = new GroupSearchExpression();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        if (Array.isArray(this.expressions)) {
            data["expressions"] = [];
            for (let item of this.expressions)
                data["expressions"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

/** Represents a search expression group. */
export interface IGroupSearchExpression extends ISearchExpression {
    /** Collection of search expressions. */
    expressions?: SearchExpression[];
}

/** Represents collection of search expression to be evaluated with AND logical operator. */
export class AndSearchExpression extends GroupSearchExpression implements IAndSearchExpression {

    constructor(data?: IAndSearchExpression) {
        super(data);
        this._discriminator = "AndSearchExpression";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): AndSearchExpression {
        data = typeof data === 'object' ? data : {};
        let result = new AndSearchExpression();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents collection of search expression to be evaluated with AND logical operator. */
export interface IAndSearchExpression extends IGroupSearchExpression {
}

/** Represents anywhere search field value. */
export class AnywhereSearchFieldValue extends SearchExpression implements IAnywhereSearchFieldValue {
    /** The search operator. */
    operator?: FullTextSearchOperator;
    /** The value to search for. */
    value!: string;

    constructor(data?: IAnywhereSearchFieldValue) {
        super(data);
        this._discriminator = "AnywhereSearchFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.operator = _data["operator"];
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): AnywhereSearchFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new AnywhereSearchFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["operator"] = this.operator;
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

/** Represents anywhere search field value. */
export interface IAnywhereSearchFieldValue extends ISearchExpression {
    /** The search operator. */
    operator?: FullTextSearchOperator;
    /** The value to search for. */
    value: string;
}

/** Represents a background task. */
export class BackgroundTask implements IBackgroundTask {
    /** The identifier of the task. */
    taskId?: number;
    /** The progress id. */
    progressId?: number;
    /** The event id. */
    eventId?: string;

    constructor(data?: IBackgroundTask) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.taskId = _data["taskId"];
            this.progressId = _data["progressId"];
            this.eventId = _data["eventId"];
        }
    }

    static fromJS(data: any): BackgroundTask {
        data = typeof data === 'object' ? data : {};
        let result = new BackgroundTask();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["taskId"] = this.taskId;
        data["progressId"] = this.progressId;
        data["eventId"] = this.eventId;
        return data;
    }
}

/** Represents a background task. */
export interface IBackgroundTask {
    /** The identifier of the task. */
    taskId?: number;
    /** The progress id. */
    progressId?: number;
    /** The event id. */
    eventId?: string;
}

/** Enumeration holding all base folders. */
export enum BaseFolder {
    None = "none",
    Data = "data",
    System = "system",
    Favorites = "favorites",
    EditorTemplate = "editorTemplate",
}

/** A list of additional information. */
export class RelatedInfo implements IRelatedInfo {

    protected _discriminator: string;

    constructor(data?: IRelatedInfo) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "RelatedInfo";
    }

    init(_data?: any) {
    }

    static fromJS(data: any): RelatedInfo {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "User") {
            let result = new User();
            result.init(data);
            return result;
        }
        if (data["type"] === "BaseObject") {
            let result = new BaseObject();
            result.init(data);
            return result;
        }
        if (data["type"] === "BaseItem") {
            let result = new BaseItem();
            result.init(data);
            return result;
        }
        if (data["type"] === "UserRole") {
            let result = new UserRole();
            result.init(data);
            return result;
        }
        if (data["type"] === "UserGroup") {
            let result = new UserGroup();
            result.init(data);
            return result;
        }
        if (data["type"] === "Setting") {
            let result = new Setting();
            result.init(data);
            return result;
        }
        if (data["type"] === "SearchObject") {
            let result = new SearchObject();
            result.init(data);
            return result;
        }
        if (data["type"] === "Publication") {
            let result = new Publication();
            result.init(data);
            return result;
        }
        if (data["type"] === "Project") {
            let result = new Project();
            result.init(data);
            return result;
        }
        if (data["type"] === "OutputFormat") {
            let result = new OutputFormat();
            result.init(data);
            return result;
        }
        if (data["type"] === "EventProgress") {
            let result = new EventProgress();
            result.init(data);
            return result;
        }
        if (data["type"] === "LovList") {
            let result = new LovList();
            result.init(data);
            return result;
        }
        if (data["type"] === "LovValue") {
            let result = new LovValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "FormFieldOperator") {
            let result = new FormFieldOperator();
            result.init(data);
            return result;
        }
        if (data["type"] === "FullTextSearchFormFieldOperator") {
            let result = new FullTextSearchFormFieldOperator();
            result.init(data);
            return result;
        }
        if (data["type"] === "MetadataFilterFormFieldOperator") {
            let result = new MetadataFilterFormFieldOperator();
            result.init(data);
            return result;
        }
        if (data["type"] === "RevisionInfo") {
            let result = new RevisionInfo();
            result.init(data);
            return result;
        }
        if (data["type"] === "Tag") {
            let result = new Tag();
            result.init(data);
            return result;
        }
        if (data["type"] === "Folder") {
            let result = new Folder();
            result.init(data);
            return result;
        }
        if (data["type"] === "ElectronicDocumentType") {
            let result = new ElectronicDocumentType();
            result.init(data);
            return result;
        }
        if (data["type"] === "DocumentObject") {
            let result = new DocumentObject();
            result.init(data);
            return result;
        }
        if (data["type"] === "RevisionHistoryItem") {
            let result = new RevisionHistoryItem();
            result.init(data);
            return result;
        }
        if (data["type"] === "Baseline") {
            let result = new Baseline();
            result.init(data);
            return result;
        }
        if (data["type"] === "FieldValue") {
            let result = new FieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "CardFieldValue") {
            let result = new CardFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "DateTimeFieldValue") {
            let result = new DateTimeFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "LongFieldValue") {
            let result = new LongFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "LovFieldValue") {
            let result = new LovFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiCardFieldValue") {
            let result = new MultiCardFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiDateTimeFieldValue") {
            let result = new MultiDateTimeFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiLovFieldValue") {
            let result = new MultiLovFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiNumberFieldValue") {
            let result = new MultiNumberFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiStringFieldValue") {
            let result = new MultiStringFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiTagFieldValue") {
            let result = new MultiTagFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiVersionFieldValue") {
            let result = new MultiVersionFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "NumberFieldValue") {
            let result = new NumberFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "ObjectFieldValue") {
            let result = new ObjectFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "StringFieldValue") {
            let result = new StringFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "TagFieldValue") {
            let result = new TagFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "VersionFieldValue") {
            let result = new VersionFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "DocumentObjectLink") {
            let result = new DocumentObjectLink();
            result.init(data);
            return result;
        }
        if (data["type"] === "DocumentObjectParseError") {
            let result = new DocumentObjectParseError();
            result.init(data);
            return result;
        }
        if (data["type"] === "SchemaValidationError") {
            let result = new SchemaValidationError();
            result.init(data);
            return result;
        }
        let result = new RelatedInfo();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        return data;
    }
}

/** A list of additional information. */
export interface IRelatedInfo {
}

/** Represents an item. */
export class BaseItem extends RelatedInfo implements IBaseItem {
    /** The identifier. */
    id?: string;
    /** The title. */
    title?: string | undefined;
    /** The description. */
    description?: string | undefined;

    protected _discriminator: string;

    constructor(data?: IBaseItem) {
        super(data);
        this._discriminator = "BaseItem";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.id = _data["id"];
            this.title = _data["title"];
            this.description = _data["description"];
        }
    }

    static fromJS(data: any): BaseItem {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "User") {
            let result = new User();
            result.init(data);
            return result;
        }
        if (data["type"] === "BaseObject") {
            let result = new BaseObject();
            result.init(data);
            return result;
        }
        if (data["type"] === "UserRole") {
            let result = new UserRole();
            result.init(data);
            return result;
        }
        if (data["type"] === "UserGroup") {
            let result = new UserGroup();
            result.init(data);
            return result;
        }
        if (data["type"] === "Setting") {
            let result = new Setting();
            result.init(data);
            return result;
        }
        if (data["type"] === "SearchObject") {
            let result = new SearchObject();
            result.init(data);
            return result;
        }
        if (data["type"] === "Publication") {
            let result = new Publication();
            result.init(data);
            return result;
        }
        if (data["type"] === "Project") {
            let result = new Project();
            result.init(data);
            return result;
        }
        if (data["type"] === "OutputFormat") {
            let result = new OutputFormat();
            result.init(data);
            return result;
        }
        if (data["type"] === "EventProgress") {
            let result = new EventProgress();
            result.init(data);
            return result;
        }
        if (data["type"] === "LovList") {
            let result = new LovList();
            result.init(data);
            return result;
        }
        if (data["type"] === "LovValue") {
            let result = new LovValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "FormFieldOperator") {
            let result = new FormFieldOperator();
            result.init(data);
            return result;
        }
        if (data["type"] === "FullTextSearchFormFieldOperator") {
            let result = new FullTextSearchFormFieldOperator();
            result.init(data);
            return result;
        }
        if (data["type"] === "MetadataFilterFormFieldOperator") {
            let result = new MetadataFilterFormFieldOperator();
            result.init(data);
            return result;
        }
        if (data["type"] === "RevisionInfo") {
            let result = new RevisionInfo();
            result.init(data);
            return result;
        }
        if (data["type"] === "Tag") {
            let result = new Tag();
            result.init(data);
            return result;
        }
        if (data["type"] === "Folder") {
            let result = new Folder();
            result.init(data);
            return result;
        }
        if (data["type"] === "ElectronicDocumentType") {
            let result = new ElectronicDocumentType();
            result.init(data);
            return result;
        }
        if (data["type"] === "DocumentObject") {
            let result = new DocumentObject();
            result.init(data);
            return result;
        }
        if (data["type"] === "RevisionHistoryItem") {
            let result = new RevisionHistoryItem();
            result.init(data);
            return result;
        }
        if (data["type"] === "Baseline") {
            let result = new Baseline();
            result.init(data);
            return result;
        }
        let result = new BaseItem();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        data["id"] = this.id;
        data["title"] = this.title;
        data["description"] = this.description;
        super.toJSON(data);
        return data;
    }
}

/** Represents an item. */
export interface IBaseItem extends IRelatedInfo {
    /** The identifier. */
    id?: string;
    /** The title. */
    title?: string | undefined;
    /** The description. */
    description?: string | undefined;
}

/** Base definition for objects. */
export class BaseObject extends BaseItem implements IBaseObject {
    /** The list of field values. */
    fields?: FieldValue[] | undefined;
    /** A list of actions or links that are allowed on the object. */
    links?: Link[] | undefined;
    /** A list of messages related to the object. The messages can contain warnings and errors. */
    messages?: Message[] | undefined;

    protected _discriminator: string;

    constructor(data?: IBaseObject) {
        super(data);
        this._discriminator = "BaseObject";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(FieldValue.fromJS(item));
            }
            if (Array.isArray(_data["links"])) {
                this.links = [] as any;
                for (let item of _data["links"])
                    this.links!.push(Link.fromJS(item));
            }
            if (Array.isArray(_data["messages"])) {
                this.messages = [] as any;
                for (let item of _data["messages"])
                    this.messages!.push(Message.fromJS(item));
            }
        }
    }

    static fromJS(data: any): BaseObject {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "User") {
            let result = new User();
            result.init(data);
            return result;
        }
        if (data["type"] === "UserRole") {
            let result = new UserRole();
            result.init(data);
            return result;
        }
        if (data["type"] === "UserGroup") {
            let result = new UserGroup();
            result.init(data);
            return result;
        }
        if (data["type"] === "Setting") {
            let result = new Setting();
            result.init(data);
            return result;
        }
        if (data["type"] === "SearchObject") {
            let result = new SearchObject();
            result.init(data);
            return result;
        }
        if (data["type"] === "Publication") {
            let result = new Publication();
            result.init(data);
            return result;
        }
        if (data["type"] === "Project") {
            let result = new Project();
            result.init(data);
            return result;
        }
        if (data["type"] === "OutputFormat") {
            let result = new OutputFormat();
            result.init(data);
            return result;
        }
        if (data["type"] === "EventProgress") {
            let result = new EventProgress();
            result.init(data);
            return result;
        }
        if (data["type"] === "RevisionInfo") {
            let result = new RevisionInfo();
            result.init(data);
            return result;
        }
        if (data["type"] === "Folder") {
            let result = new Folder();
            result.init(data);
            return result;
        }
        if (data["type"] === "ElectronicDocumentType") {
            let result = new ElectronicDocumentType();
            result.init(data);
            return result;
        }
        if (data["type"] === "DocumentObject") {
            let result = new DocumentObject();
            result.init(data);
            return result;
        }
        if (data["type"] === "RevisionHistoryItem") {
            let result = new RevisionHistoryItem();
            result.init(data);
            return result;
        }
        if (data["type"] === "Baseline") {
            let result = new Baseline();
            result.init(data);
            return result;
        }
        let result = new BaseObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        if (Array.isArray(this.links)) {
            data["links"] = [];
            for (let item of this.links)
                data["links"].push(item.toJSON());
        }
        if (Array.isArray(this.messages)) {
            data["messages"] = [];
            for (let item of this.messages)
                data["messages"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

/** Base definition for objects. */
export interface IBaseObject extends IBaseItem {
    /** The list of field values. */
    fields?: FieldValue[] | undefined;
    /** A list of actions or links that are allowed on the object. */
    links?: Link[] | undefined;
    /** A list of messages related to the object. The messages can contain warnings and errors. */
    messages?: Message[] | undefined;
}

/** Represents Base Search Sort Fields */
export class BaseSearchSortField implements IBaseSearchSortField {
    /** The sort order type. */
    sortOrder?: SearchSortOrder;

    protected _discriminator: string;

    constructor(data?: IBaseSearchSortField) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "BaseSearchSortField";
    }

    init(_data?: any) {
        if (_data) {
            this.sortOrder = _data["sortOrder"];
        }
    }

    static fromJS(data: any): BaseSearchSortField {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "ScoreSearchSortField") {
            let result = new ScoreSearchSortField();
            result.init(data);
            return result;
        }
        if (data["type"] === "SearchSortField") {
            let result = new SearchSortField();
            result.init(data);
            return result;
        }
        let result = new BaseSearchSortField();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        data["sortOrder"] = this.sortOrder;
        return data;
    }
}

/** Represents Base Search Sort Fields */
export interface IBaseSearchSortField {
    /** The sort order type. */
    sortOrder?: SearchSortOrder;
}

/** Represents a baseline. */
export class Baseline extends BaseObject implements IBaseline {

    constructor(data?: IBaseline) {
        super(data);
        this._discriminator = "Baseline";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): Baseline {
        data = typeof data === 'object' ? data : {};
        let result = new Baseline();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a baseline. */
export interface IBaseline extends IBaseObject {
}

export enum BaselineAutoCompleteMode {
    None = "none",
    FirstVersion = "firstVersion",
    LatestReleased = "latestReleased",
    LatestAvailable = "latestAvailable",
}

/** Represents a baseline entry. */
export class BaselineEntry implements IBaselineEntry {
    /** The unique element name of the card on the logical level */
    id?: string;
    /** Who or what is responsible for the current version number of the object in the baseline. */
    source?: string;
    /** The version number of the version card. */
    version?: string | undefined;
    /** The Author of the object. */
    author?: User | undefined;
    /** The creation date of the object. */
    creationDate?: Date | undefined;
    /** The last modification date of the object. */
    modificationDate?: Date | undefined;

    protected _discriminator: string;

    constructor(data?: IBaselineEntry) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "BaselineEntry";
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.source = _data["source"];
            this.version = _data["version"];
            this.author = _data["author"] ? User.fromJS(_data["author"]) : <any>undefined;
            this.creationDate = _data["creationDate"] ? new Date(_data["creationDate"].toString()) : <any>undefined;
            this.modificationDate = _data["modificationDate"] ? new Date(_data["modificationDate"].toString()) : <any>undefined;
        }
    }

    static fromJS(data: any): BaselineEntry {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "BaselineReportEntry") {
            let result = new BaselineReportEntry();
            result.init(data);
            return result;
        }
        let result = new BaselineEntry();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        data["id"] = this.id;
        data["source"] = this.source;
        data["version"] = this.version;
        data["author"] = this.author ? this.author.toJSON() : <any>undefined;
        data["creationDate"] = this.creationDate ? this.creationDate.toISOString() : <any>undefined;
        data["modificationDate"] = this.modificationDate ? this.modificationDate.toISOString() : <any>undefined;
        return data;
    }
}

/** Represents a baseline entry. */
export interface IBaselineEntry {
    /** The unique element name of the card on the logical level */
    id?: string;
    /** Who or what is responsible for the current version number of the object in the baseline. */
    source?: string;
    /** The version number of the version card. */
    version?: string | undefined;
    /** The Author of the object. */
    author?: User | undefined;
    /** The creation date of the object. */
    creationDate?: Date | undefined;
    /** The last modification date of the object. */
    modificationDate?: Date | undefined;
}

/** Represents a baseline report entry. */
export class BaselineReportEntry extends BaselineEntry implements IBaselineReportEntry {
    /** The version of the baseline report entry. */
    versionCardId?: number | undefined;
    /** The document object type of the baseline report entry. */
    documentObjectType?: DocumentObjectType;
    /** The items of the baseline report entry. */
    items?: BaselineReportItem[] | undefined;

    constructor(data?: IBaselineReportEntry) {
        super(data);
        this._discriminator = "BaselineReportEntry";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.versionCardId = _data["versionCardId"];
            this.documentObjectType = _data["documentObjectType"];
            if (Array.isArray(_data["items"])) {
                this.items = [] as any;
                for (let item of _data["items"])
                    this.items!.push(BaselineReportItem.fromJS(item));
            }
        }
    }

    static fromJS(data: any): BaselineReportEntry {
        data = typeof data === 'object' ? data : {};
        let result = new BaselineReportEntry();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["versionCardId"] = this.versionCardId;
        data["documentObjectType"] = this.documentObjectType;
        if (Array.isArray(this.items)) {
            data["items"] = [];
            for (let item of this.items)
                data["items"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

/** Represents a baseline report entry. */
export interface IBaselineReportEntry extends IBaselineEntry {
    /** The version of the baseline report entry. */
    versionCardId?: number | undefined;
    /** The document object type of the baseline report entry. */
    documentObjectType?: DocumentObjectType;
    /** The items of the baseline report entry. */
    items?: BaselineReportItem[] | undefined;
}

/** Represents a baseline report item. */
export class BaselineReportItem implements IBaselineReportItem {
    /** The reporting language of the baseline */
    reportLanguage?: LovValue;
    /** The resolution of the illustration. For non-illustration object, the resolution is an empty string. */
    reportResolution?: LovValue;
    /** The result of the report. */
    reportResult?: BaselineReportResult;
    /** The language card id of the baseline report item. */
    languageCardId?: number | undefined;
    /** Source language of the baseline report item. */
    sourceLanguage?: LovValue | undefined;
    /** The list of languages of the baseline report item.
<remarks>
    For Topics, this property would contain a single language.
    For Illustrations, it may contain multiple languages.
</remarks> */
    languages?: LovValue[] | undefined;
    /** The status of the baseline report item. */
    status?: LovValue | undefined;
    /** The links of the baseline report item. */
    links?: string[] | undefined;
    /** The image links of the baseline report item. */
    imageLinks?: string[] | undefined;

    constructor(data?: IBaselineReportItem) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.reportLanguage = _data["reportLanguage"] ? LovValue.fromJS(_data["reportLanguage"]) : <any>undefined;
            this.reportResolution = _data["reportResolution"] ? LovValue.fromJS(_data["reportResolution"]) : <any>undefined;
            this.reportResult = _data["reportResult"];
            this.languageCardId = _data["languageCardId"];
            this.sourceLanguage = _data["sourceLanguage"] ? LovValue.fromJS(_data["sourceLanguage"]) : <any>undefined;
            if (Array.isArray(_data["languages"])) {
                this.languages = [] as any;
                for (let item of _data["languages"])
                    this.languages!.push(LovValue.fromJS(item));
            }
            this.status = _data["status"] ? LovValue.fromJS(_data["status"]) : <any>undefined;
            if (Array.isArray(_data["links"])) {
                this.links = [] as any;
                for (let item of _data["links"])
                    this.links!.push(item);
            }
            if (Array.isArray(_data["imageLinks"])) {
                this.imageLinks = [] as any;
                for (let item of _data["imageLinks"])
                    this.imageLinks!.push(item);
            }
        }
    }

    static fromJS(data: any): BaselineReportItem {
        data = typeof data === 'object' ? data : {};
        let result = new BaselineReportItem();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["reportLanguage"] = this.reportLanguage ? this.reportLanguage.toJSON() : <any>undefined;
        data["reportResolution"] = this.reportResolution ? this.reportResolution.toJSON() : <any>undefined;
        data["reportResult"] = this.reportResult;
        data["languageCardId"] = this.languageCardId;
        data["sourceLanguage"] = this.sourceLanguage ? this.sourceLanguage.toJSON() : <any>undefined;
        if (Array.isArray(this.languages)) {
            data["languages"] = [];
            for (let item of this.languages)
                data["languages"].push(item.toJSON());
        }
        data["status"] = this.status ? this.status.toJSON() : <any>undefined;
        if (Array.isArray(this.links)) {
            data["links"] = [];
            for (let item of this.links)
                data["links"].push(item);
        }
        if (Array.isArray(this.imageLinks)) {
            data["imageLinks"] = [];
            for (let item of this.imageLinks)
                data["imageLinks"].push(item);
        }
        return data;
    }
}

/** Represents a baseline report item. */
export interface IBaselineReportItem {
    /** The reporting language of the baseline */
    reportLanguage?: LovValue;
    /** The resolution of the illustration. For non-illustration object, the resolution is an empty string. */
    reportResolution?: LovValue;
    /** The result of the report. */
    reportResult?: BaselineReportResult;
    /** The language card id of the baseline report item. */
    languageCardId?: number | undefined;
    /** Source language of the baseline report item. */
    sourceLanguage?: LovValue | undefined;
    /** The list of languages of the baseline report item.
<remarks>
    For Topics, this property would contain a single language.
    For Illustrations, it may contain multiple languages.
</remarks> */
    languages?: LovValue[] | undefined;
    /** The status of the baseline report item. */
    status?: LovValue | undefined;
    /** The links of the baseline report item. */
    links?: string[] | undefined;
    /** The image links of the baseline report item. */
    imageLinks?: string[] | undefined;
}

/** Enumeration holding the possible values for the baseline report result. */
export enum BaselineReportResult {
    Ok = "ok",
    LanguageVersionMissing = "languageVersionMissing",
    NotInUse = "notInUse",
    NotReleased = "notReleased",
    NoValidVersionFound = "noValidVersionFound",
    ObjectMissing = "objectMissing",
    ObjectMissingInBaseline = "objectMissingInBaseline",
    VersionMissing = "versionMissing",
}

/** Represents an update model for CancelPublicationPublish. */
export class CancelPublicationPublish implements ICancelPublicationPublish {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: ICancelPublicationPublish) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CancelPublicationPublish {
        data = typeof data === 'object' ? data : {};
        let result = new CancelPublicationPublish();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an update model for CancelPublicationPublish. */
export interface ICancelPublicationPublish {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Represents a field value that contains information to access a field, and the value associated with the field. */
export class FieldValue extends RelatedInfo implements IFieldValue {
    name?: string;
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField?: IshField;
    /** The user-friendly title of the field. */
    title?: string | undefined;
    /** The description of the field. */
    description?: string | undefined;
    /** Indicates whether the value has been modified by the metadata
configuration since the object was created or its metadata was last set. */
    isModified?: boolean | undefined;
    /** A list of messages related to the field value.
<remarks>The messages can contain warnings and errors.</remarks> */
    messages?: Message[] | undefined;

    protected _discriminator: string;

    constructor(data?: IFieldValue) {
        super(data);
        this._discriminator = "FieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.name = _data["name"];
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : <any>undefined;
            this.title = _data["title"];
            this.description = _data["description"];
            this.isModified = _data["isModified"];
            if (Array.isArray(_data["messages"])) {
                this.messages = [] as any;
                for (let item of _data["messages"])
                    this.messages!.push(Message.fromJS(item));
            }
        }
    }

    static fromJS(data: any): FieldValue {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "CardFieldValue") {
            let result = new CardFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "DateTimeFieldValue") {
            let result = new DateTimeFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "LongFieldValue") {
            let result = new LongFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "LovFieldValue") {
            let result = new LovFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiCardFieldValue") {
            let result = new MultiCardFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiDateTimeFieldValue") {
            let result = new MultiDateTimeFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiLovFieldValue") {
            let result = new MultiLovFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiNumberFieldValue") {
            let result = new MultiNumberFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiStringFieldValue") {
            let result = new MultiStringFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiTagFieldValue") {
            let result = new MultiTagFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "MultiVersionFieldValue") {
            let result = new MultiVersionFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "NumberFieldValue") {
            let result = new NumberFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "ObjectFieldValue") {
            let result = new ObjectFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "StringFieldValue") {
            let result = new StringFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "TagFieldValue") {
            let result = new TagFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "VersionFieldValue") {
            let result = new VersionFieldValue();
            result.init(data);
            return result;
        }
        let result = new FieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        data["name"] = this.name;
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        data["title"] = this.title;
        data["description"] = this.description;
        data["isModified"] = this.isModified;
        if (Array.isArray(this.messages)) {
            data["messages"] = [];
            for (let item of this.messages)
                data["messages"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

/** Represents a field value that contains information to access a field, and the value associated with the field. */
export interface IFieldValue extends IRelatedInfo {
    name?: string;
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField?: IshField;
    /** The user-friendly title of the field. */
    title?: string | undefined;
    /** The description of the field. */
    description?: string | undefined;
    /** Indicates whether the value has been modified by the metadata
configuration since the object was created or its metadata was last set. */
    isModified?: boolean | undefined;
    /** A list of messages related to the field value.
<remarks>The messages can contain warnings and errors.</remarks> */
    messages?: Message[] | undefined;
}

export class CardFieldValue extends FieldValue implements ICardFieldValue {
    /** Base definition for objects. */
    value?: BaseObject | undefined;

    constructor(data?: ICardFieldValue) {
        super(data);
        this._discriminator = "CardFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"] ? BaseObject.fromJS(_data["value"]) : <any>undefined;
        }
    }

    static fromJS(data: any): CardFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new CardFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value ? this.value.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

export interface ICardFieldValue extends IFieldValue {
    /** Base definition for objects. */
    value?: BaseObject | undefined;
}

/** Represents a filter field that contains information to access a field, and the value associated with the field. */
export class FilterFieldValue implements IFilterFieldValue {
    /** The field with information about the name/label of the field in the Repository (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The filter operator (e.g. equal, not in, like). */
    operator?: MetadataFilterOperator | undefined;

    protected _discriminator: string;

    constructor(data?: IFilterFieldValue) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "FilterFieldValue";
    }

    init(_data?: any) {
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            this.operator = _data["operator"];
        }
    }

    static fromJS(data: any): FilterFieldValue {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "CardFilterFieldValue") {
            let result = new CardFilterFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "CardLikeFilterFieldValue") {
            let result = new CardLikeFilterFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "DateTimeFilterFieldValue") {
            let result = new DateTimeFilterFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "LongFilterFieldValue") {
            let result = new LongFilterFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "LovFilterFieldValue") {
            let result = new LovFilterFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "LovLikeFilterFieldValue") {
            let result = new LovLikeFilterFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "NumberFilterFieldValue") {
            let result = new NumberFilterFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "StringFilterFieldValue") {
            let result = new StringFilterFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "TagFilterFieldValue") {
            let result = new TagFilterFieldValue();
            result.init(data);
            return result;
        }
        let result = new FilterFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        data["operator"] = this.operator;
        return data;
    }
}

/** Represents a filter field that contains information to access a field, and the value associated with the field. */
export interface IFilterFieldValue {
    /** The field with information about the name/label of the field in the Repository (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The filter operator (e.g. equal, not in, like). */
    operator?: MetadataFilterOperator | undefined;
}

export class CardFilterFieldValue extends FilterFieldValue implements ICardFilterFieldValue {
    /** The filter field value. */
    value!: SetBaseObject[];

    constructor(data?: ICardFilterFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "CardFilterFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(SetBaseObject.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CardFilterFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new CardFilterFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

export interface ICardFilterFieldValue extends IFilterFieldValue {
    /** The filter field value. */
    value: SetBaseObject[];
}

export class CardLikeFilterFieldValue extends FilterFieldValue implements ICardLikeFilterFieldValue {
    /** The filter field value. */
    value!: string;

    constructor(data?: ICardLikeFilterFieldValue) {
        super(data);
        this._discriminator = "CardLikeFilterFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): CardLikeFilterFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new CardLikeFilterFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface ICardLikeFilterFieldValue extends IFilterFieldValue {
    /** The filter field value. */
    value: string;
}

/** Represents a search field value. */
export class SearchFieldValue extends SearchExpression implements ISearchFieldValue {
    /** The search operator. */
    fullTextSearchOperator?: FullTextSearchOperator;
    /** The search field. */
    ishField?: IshField;

    protected _discriminator: string;

    constructor(data?: ISearchFieldValue) {
        super(data);
        this._discriminator = "SearchFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.fullTextSearchOperator = _data["fullTextSearchOperator"];
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : <any>undefined;
        }
    }

    static fromJS(data: any): SearchFieldValue {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "CardSearchFieldValue") {
            let result = new CardSearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "DateTimeSearchFieldValue") {
            let result = new DateTimeSearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "LovSearchFieldValue") {
            let result = new LovSearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "NumberSearchFieldValue") {
            let result = new NumberSearchFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "StringSearchFieldValue") {
            let result = new StringSearchFieldValue();
            result.init(data);
            return result;
        }
        let result = new SearchFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        data["fullTextSearchOperator"] = this.fullTextSearchOperator;
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

/** Represents a search field value. */
export interface ISearchFieldValue extends ISearchExpression {
    /** The search operator. */
    fullTextSearchOperator?: FullTextSearchOperator;
    /** The search field. */
    ishField?: IshField;
}

/** Represents search field value of type System.Collections.Generic.IList`1. */
export class CardSearchFieldValue extends SearchFieldValue implements ICardSearchFieldValue {
    /** Collection of values to search for. */
    value!: SetBaseObject[];

    constructor(data?: ICardSearchFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "CardSearchFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(SetBaseObject.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CardSearchFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new CardSearchFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

/** Represents search field value of type System.Collections.Generic.IList`1. */
export interface ICardSearchFieldValue extends ISearchFieldValue {
    /** Collection of values to search for. */
    value: SetBaseObject[];
}

/** Request object to check in object content in the repository that match the criteria given in the properties. */
export class CheckInDocumentObject implements ICheckInDocumentObject {
    /** The list of field values to be changed. */
    fields?: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];

    constructor(data?: ICheckInDocumentObject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CheckInDocumentObject {
        data = typeof data === 'object' ? data : {};
        let result = new CheckInDocumentObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Request object to check in object content in the repository that match the criteria given in the properties. */
export interface ICheckInDocumentObject {
    /** The list of field values to be changed. */
    fields?: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];
}

/** Request parameters to check in the document object specified by the language card identifier. */
export class CheckInDocumentObjectParameters implements ICheckInDocumentObjectParameters {
    /** The language card identifier of the document object. */
    languageCardId!: number;

    constructor(data?: ICheckInDocumentObjectParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.languageCardId = _data["languageCardId"];
        }
    }

    static fromJS(data: any): CheckInDocumentObjectParameters {
        data = typeof data === 'object' ? data : {};
        let result = new CheckInDocumentObjectParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["languageCardId"] = this.languageCardId;
        return data;
    }
}

/** Request parameters to check in the document object specified by the language card identifier. */
export interface ICheckInDocumentObjectParameters {
    /** The language card identifier of the document object. */
    languageCardId: number;
}

/** Represents model to check out a document */
export class CheckOutDocumentObject implements ICheckOutDocumentObject {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to check out the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];

    constructor(data?: ICheckOutDocumentObject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CheckOutDocumentObject {
        data = typeof data === 'object' ? data : {};
        let result = new CheckOutDocumentObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents model to check out a document */
export interface ICheckOutDocumentObject {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to check out the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];
}

/** Request parameters to check out the document object specified by the language card identifier. */
export class CheckOutDocumentObjectParameters implements ICheckOutDocumentObjectParameters {
    /** The language card identifier of the document object. */
    languageCardId!: number;

    constructor(data?: ICheckOutDocumentObjectParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.languageCardId = _data["languageCardId"];
        }
    }

    static fromJS(data: any): CheckOutDocumentObjectParameters {
        data = typeof data === 'object' ? data : {};
        let result = new CheckOutDocumentObjectParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["languageCardId"] = this.languageCardId;
        return data;
    }
}

/** Request parameters to check out the document object specified by the language card identifier. */
export interface ICheckOutDocumentObjectParameters {
    /** The language card identifier of the document object. */
    languageCardId: number;
}

/** The model contains the parameters which will be used to expand and complete the baseline starting from the incoming logicalIds using the extend baseline and/or the autocomplete mode. */
export class CompleteBaseline implements ICompleteBaseline {
    /** Specify the element name of the Baseline that will be used to complete the Baseline. */
    extendId?: string | undefined;
    /** Specify the auto complete mode that must be used to select the versions in the Baseline. */
    autoCompleteMode?: BaselineAutoCompleteMode;
    /** Specify a list of logical identifiers of the root map or objects in the outline of the root map that will be used as the starting point for the baseline calculation. */
    startLogicalIds?: string[];
    /** Specify a list of logical identifiers of resources that will be used as the starting point for the Baseline calculation. */
    startResourceLogicalIds?: string[];
    /** Specify a list of languages. */
    languages?: string[];
    /** Specify a list of fallback languages for illustrations. */
    illustrationLanguages?: string[];
    /** Specify a list of fallback languages for resources. */
    resourceLanguages?: string[];
    /** Specify a list of resolutions. */
    resolutions?: string[];
    /** Specify how many levels should be returned. If no value is provided all levels will be returned.
Negative Depth means unlimited recursion. Depth 0 means just return the baseline entries for the supplied logical ids. */
    depth?: number;

    constructor(data?: ICompleteBaseline) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.autoCompleteMode = BaselineAutoCompleteMode.None;
            this.depth = -1;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.extendId = _data["extendId"];
            this.autoCompleteMode = _data["autoCompleteMode"] !== undefined ? _data["autoCompleteMode"] : BaselineAutoCompleteMode.None;
            if (Array.isArray(_data["startLogicalIds"])) {
                this.startLogicalIds = [] as any;
                for (let item of _data["startLogicalIds"])
                    this.startLogicalIds!.push(item);
            }
            if (Array.isArray(_data["startResourceLogicalIds"])) {
                this.startResourceLogicalIds = [] as any;
                for (let item of _data["startResourceLogicalIds"])
                    this.startResourceLogicalIds!.push(item);
            }
            if (Array.isArray(_data["languages"])) {
                this.languages = [] as any;
                for (let item of _data["languages"])
                    this.languages!.push(item);
            }
            if (Array.isArray(_data["illustrationLanguages"])) {
                this.illustrationLanguages = [] as any;
                for (let item of _data["illustrationLanguages"])
                    this.illustrationLanguages!.push(item);
            }
            if (Array.isArray(_data["resourceLanguages"])) {
                this.resourceLanguages = [] as any;
                for (let item of _data["resourceLanguages"])
                    this.resourceLanguages!.push(item);
            }
            if (Array.isArray(_data["resolutions"])) {
                this.resolutions = [] as any;
                for (let item of _data["resolutions"])
                    this.resolutions!.push(item);
            }
            this.depth = _data["depth"] !== undefined ? _data["depth"] : -1;
        }
    }

    static fromJS(data: any): CompleteBaseline {
        data = typeof data === 'object' ? data : {};
        let result = new CompleteBaseline();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["extendId"] = this.extendId;
        data["autoCompleteMode"] = this.autoCompleteMode;
        if (Array.isArray(this.startLogicalIds)) {
            data["startLogicalIds"] = [];
            for (let item of this.startLogicalIds)
                data["startLogicalIds"].push(item);
        }
        if (Array.isArray(this.startResourceLogicalIds)) {
            data["startResourceLogicalIds"] = [];
            for (let item of this.startResourceLogicalIds)
                data["startResourceLogicalIds"].push(item);
        }
        if (Array.isArray(this.languages)) {
            data["languages"] = [];
            for (let item of this.languages)
                data["languages"].push(item);
        }
        if (Array.isArray(this.illustrationLanguages)) {
            data["illustrationLanguages"] = [];
            for (let item of this.illustrationLanguages)
                data["illustrationLanguages"].push(item);
        }
        if (Array.isArray(this.resourceLanguages)) {
            data["resourceLanguages"] = [];
            for (let item of this.resourceLanguages)
                data["resourceLanguages"].push(item);
        }
        if (Array.isArray(this.resolutions)) {
            data["resolutions"] = [];
            for (let item of this.resolutions)
                data["resolutions"].push(item);
        }
        data["depth"] = this.depth;
        return data;
    }
}

/** The model contains the parameters which will be used to expand and complete the baseline starting from the incoming logicalIds using the extend baseline and/or the autocomplete mode. */
export interface ICompleteBaseline {
    /** Specify the element name of the Baseline that will be used to complete the Baseline. */
    extendId?: string | undefined;
    /** Specify the auto complete mode that must be used to select the versions in the Baseline. */
    autoCompleteMode?: BaselineAutoCompleteMode;
    /** Specify a list of logical identifiers of the root map or objects in the outline of the root map that will be used as the starting point for the baseline calculation. */
    startLogicalIds?: string[];
    /** Specify a list of logical identifiers of resources that will be used as the starting point for the Baseline calculation. */
    startResourceLogicalIds?: string[];
    /** Specify a list of languages. */
    languages?: string[];
    /** Specify a list of fallback languages for illustrations. */
    illustrationLanguages?: string[];
    /** Specify a list of fallback languages for resources. */
    resourceLanguages?: string[];
    /** Specify a list of resolutions. */
    resolutions?: string[];
    /** Specify how many levels should be returned. If no value is provided all levels will be returned.
Negative Depth means unlimited recursion. Depth 0 means just return the baseline entries for the supplied logical ids. */
    depth?: number;
}

/** The request object to complete baseline that match the criteria given in the properties. */
export class CompleteBaselineParameters implements ICompleteBaselineParameters {
    /** The identifier of the baseline. */
    id!: string;

    constructor(data?: ICompleteBaselineParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): CompleteBaselineParameters {
        data = typeof data === 'object' ? data : {};
        let result = new CompleteBaselineParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** The request object to complete baseline that match the criteria given in the properties. */
export interface ICompleteBaselineParameters {
    /** The identifier of the baseline. */
    id: string;
}

/** Represents the information required for creating background task. */
export class CreateBackgroundTask implements ICreateBackgroundTask {
    /** Type of event/background task. */
    eventType!: string;
    /** Unique identifier of the event log for this background task. If no progressId is provided, a new event log will be created. */
    progressId?: number | undefined;
    /** Description of the background task. This will only be used while creating a new event log. */
    eventDescription?: string | undefined;
    /** The hashId that will be used to skip older background task for the same action. For instance, synchronizing the same language object only once to SDL LiveContent. */
    hashId?: string | undefined;
    /** DateTime in UTC indicating that the background task should not be started before the specified time.
<remarks>If the background task service is still processing other background tasks, the background task will not start at the specified time but later.</remarks> */
    startAfter?: Date | undefined;

    constructor(data?: ICreateBackgroundTask) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.eventType = _data["eventType"];
            this.progressId = _data["progressId"];
            this.eventDescription = _data["eventDescription"];
            this.hashId = _data["hashId"];
            this.startAfter = _data["startAfter"] ? new Date(_data["startAfter"].toString()) : <any>undefined;
        }
    }

    static fromJS(data: any): CreateBackgroundTask {
        data = typeof data === 'object' ? data : {};
        let result = new CreateBackgroundTask();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["eventType"] = this.eventType;
        data["progressId"] = this.progressId;
        data["eventDescription"] = this.eventDescription;
        data["hashId"] = this.hashId;
        data["startAfter"] = this.startAfter ? this.startAfter.toISOString() : <any>undefined;
        return data;
    }
}

/** Represents the information required for creating background task. */
export interface ICreateBackgroundTask {
    /** Type of event/background task. */
    eventType: string;
    /** Unique identifier of the event log for this background task. If no progressId is provided, a new event log will be created. */
    progressId?: number | undefined;
    /** Description of the background task. This will only be used while creating a new event log. */
    eventDescription?: string | undefined;
    /** The hashId that will be used to skip older background task for the same action. For instance, synchronizing the same language object only once to SDL LiveContent. */
    hashId?: string | undefined;
    /** DateTime in UTC indicating that the background task should not be started before the specified time.
<remarks>If the background task service is still processing other background tasks, the background task will not start at the specified time but later.</remarks> */
    startAfter?: Date | undefined;
}

/** Request object to create background task for language card identifiers. */
export class CreateBackgroundTaskForDocumentObjectByLanguageCardId implements ICreateBackgroundTaskForDocumentObjectByLanguageCardId {
    /** Specify the type of event to be created. */
    eventType!: string;
    /** Language card identifiers of the objects. */
    languageCardIds!: number[];

    constructor(data?: ICreateBackgroundTaskForDocumentObjectByLanguageCardId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.languageCardIds = [];
        }
    }

    init(_data?: any) {
        if (_data) {
            this.eventType = _data["eventType"];
            if (Array.isArray(_data["languageCardIds"])) {
                this.languageCardIds = [] as any;
                for (let item of _data["languageCardIds"])
                    this.languageCardIds!.push(item);
            }
        }
    }

    static fromJS(data: any): CreateBackgroundTaskForDocumentObjectByLanguageCardId {
        data = typeof data === 'object' ? data : {};
        let result = new CreateBackgroundTaskForDocumentObjectByLanguageCardId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["eventType"] = this.eventType;
        if (Array.isArray(this.languageCardIds)) {
            data["languageCardIds"] = [];
            for (let item of this.languageCardIds)
                data["languageCardIds"].push(item);
        }
        return data;
    }
}

/** Request object to create background task for language card identifiers. */
export interface ICreateBackgroundTaskForDocumentObjectByLanguageCardId {
    /** Specify the type of event to be created. */
    eventType: string;
    /** Language card identifiers of the objects. */
    languageCardIds: number[];
}

/** Represents a create event model. */
export class CreateEvent implements ICreateEvent {
    /** Type of event you want to log information for. */
    eventType!: string;
    /** Description of the event. */
    description!: string;
    /** The maximum progress you expect for this type of event. */
    maximumProgress?: number;
    /** The identifier of the main event, if the event belongs to a cluster of smaller events. */
    parentProgressId?: number | undefined;

    constructor(data?: ICreateEvent) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.maximumProgress = 100;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.eventType = _data["eventType"];
            this.description = _data["description"];
            this.maximumProgress = _data["maximumProgress"] !== undefined ? _data["maximumProgress"] : 100;
            this.parentProgressId = _data["parentProgressId"];
        }
    }

    static fromJS(data: any): CreateEvent {
        data = typeof data === 'object' ? data : {};
        let result = new CreateEvent();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["eventType"] = this.eventType;
        data["description"] = this.description;
        data["maximumProgress"] = this.maximumProgress;
        data["parentProgressId"] = this.parentProgressId;
        return data;
    }
}

/** Represents a create event model. */
export interface ICreateEvent {
    /** Type of event you want to log information for. */
    eventType: string;
    /** Description of the event. */
    description: string;
    /** The maximum progress you expect for this type of event. */
    maximumProgress?: number;
    /** The identifier of the main event, if the event belongs to a cluster of smaller events. */
    parentProgressId?: number | undefined;
}

/** Create event detail request model. */
export class CreateEventDetail implements ICreateEventDetail {
    /** The unique identifier of an event. */
    progressId!: number;
    /** The event level. */
    eventLevel!: EventLevel;
    /** The action that is being logged. */
    action!: string;
    /** Description of the action that is being logged. */
    description!: string;
    /** Status of the event detail. */
    status!: DetailStatus;
    /** Type of the blob attached to this event detail. */
    dataType?: EventDataType | undefined;
    /** The current position within the progress range. */
    currentProgress?: number | undefined;
    /** The maximum progress you expect for this type of event. */
    maximumProgress?: number | undefined;

    constructor(data?: ICreateEventDetail) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.dataType = EventDataType.None;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.progressId = _data["progressId"];
            this.eventLevel = _data["eventLevel"];
            this.action = _data["action"];
            this.description = _data["description"];
            this.status = _data["status"];
            this.dataType = _data["dataType"] !== undefined ? _data["dataType"] : EventDataType.None;
            this.currentProgress = _data["currentProgress"];
            this.maximumProgress = _data["maximumProgress"];
        }
    }

    static fromJS(data: any): CreateEventDetail {
        data = typeof data === 'object' ? data : {};
        let result = new CreateEventDetail();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["progressId"] = this.progressId;
        data["eventLevel"] = this.eventLevel;
        data["action"] = this.action;
        data["description"] = this.description;
        data["status"] = this.status;
        data["dataType"] = this.dataType;
        data["currentProgress"] = this.currentProgress;
        data["maximumProgress"] = this.maximumProgress;
        return data;
    }
}

/** Create event detail request model. */
export interface ICreateEventDetail {
    /** The unique identifier of an event. */
    progressId: number;
    /** The event level. */
    eventLevel: EventLevel;
    /** The action that is being logged. */
    action: string;
    /** Description of the action that is being logged. */
    description: string;
    /** Status of the event detail. */
    status: DetailStatus;
    /** Type of the blob attached to this event detail. */
    dataType?: EventDataType | undefined;
    /** The current position within the progress range. */
    currentProgress?: number | undefined;
    /** The maximum progress you expect for this type of event. */
    maximumProgress?: number | undefined;
}

/** Represents a create folder model. */
export class CreateFolder implements ICreateFolder {
    /** The identifier of parent folder (e.g. 34567). */
    parentId!: string;
    /** The list of field values. */
    fields?: SetFieldValue[];

    constructor(data?: ICreateFolder) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.parentId = _data["parentId"];
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CreateFolder {
        data = typeof data === 'object' ? data : {};
        let result = new CreateFolder();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["parentId"] = this.parentId;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a create folder model. */
export interface ICreateFolder {
    /** The identifier of parent folder (e.g. 34567). */
    parentId: string;
    /** The list of field values. */
    fields?: SetFieldValue[];
}

/** Represents a create lov Value model. */
export class CreateLovValue implements ICreateLovValue {
    /** The lov value identifier */
    id?: string | undefined;
    /** The lov value title */
    title!: string;
    /** The lov value description */
    description?: string | undefined;

    constructor(data?: ICreateLovValue) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.title = _data["title"];
            this.description = _data["description"];
        }
    }

    static fromJS(data: any): CreateLovValue {
        data = typeof data === 'object' ? data : {};
        let result = new CreateLovValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        data["title"] = this.title;
        data["description"] = this.description;
        return data;
    }
}

/** Represents a create lov Value model. */
export interface ICreateLovValue {
    /** The lov value identifier */
    id?: string | undefined;
    /** The lov value title */
    title: string;
    /** The lov value description */
    description?: string | undefined;
}

/** Represents a create output format model */
export class CreateOutputFormat implements ICreateOutputFormat {
    /** The list of field values. */
    fields?: SetFieldValue[];

    constructor(data?: ICreateOutputFormat) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CreateOutputFormat {
        data = typeof data === 'object' ? data : {};
        let result = new CreateOutputFormat();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a create output format model */
export interface ICreateOutputFormat {
    /** The list of field values. */
    fields?: SetFieldValue[];
}

/** Represents a create project model. */
export class CreateProject implements ICreateProject {
    /** List with users that should be assigned. */
    users?: SetUser[] | undefined;
    /** Specify the fields of the object. */
    fields?: SetFieldValue[];

    constructor(data?: ICreateProject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["users"])) {
                this.users = [] as any;
                for (let item of _data["users"])
                    this.users!.push(SetUser.fromJS(item));
            }
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CreateProject {
        data = typeof data === 'object' ? data : {};
        let result = new CreateProject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.users)) {
            data["users"] = [];
            for (let item of this.users)
                data["users"].push(item.toJSON());
        }
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a create project model. */
export interface ICreateProject {
    /** List with users that should be assigned. */
    users?: SetUser[] | undefined;
    /** Specify the fields of the object. */
    fields?: SetFieldValue[];
}

/** Represents a create project assignee model. */
export class CreateProjectAssignee implements ICreateProjectAssignee {
    /** The project identifier. */
    projectId?: string;
    /** Specify the fields of the assignee. */
    fields?: SetFieldValue[];

    constructor(data?: ICreateProjectAssignee) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.projectId = _data["projectId"];
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CreateProjectAssignee {
        data = typeof data === 'object' ? data : {};
        let result = new CreateProjectAssignee();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["projectId"] = this.projectId;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a create project assignee model. */
export interface ICreateProjectAssignee {
    /** The project identifier. */
    projectId?: string;
    /** Specify the fields of the assignee. */
    fields?: SetFieldValue[];
}

/** Represents a model for create status definition. */
export class CreateStatusDefinition implements ICreateStatusDefinition {
    /** The lov value identifier */
    id?: string | undefined;
    /** The lov value title */
    title!: string;
    /** The lov value description */
    description?: string | undefined;
    /** StatusType: Type of the status described in Trisoft.InfoShare.WebApi.V30.Workflows.Models.CreateStatusDefinition.StatusType. */
    statusType?: StatusType;

    constructor(data?: ICreateStatusDefinition) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.statusType = StatusType.Draft;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.title = _data["title"];
            this.description = _data["description"];
            this.statusType = _data["statusType"] !== undefined ? _data["statusType"] : StatusType.Draft;
        }
    }

    static fromJS(data: any): CreateStatusDefinition {
        data = typeof data === 'object' ? data : {};
        let result = new CreateStatusDefinition();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        data["title"] = this.title;
        data["description"] = this.description;
        data["statusType"] = this.statusType;
        return data;
    }
}

/** Represents a model for create status definition. */
export interface ICreateStatusDefinition {
    /** The lov value identifier */
    id?: string | undefined;
    /** The lov value title */
    title: string;
    /** The lov value description */
    description?: string | undefined;
    /** StatusType: Type of the status described in Trisoft.InfoShare.WebApi.V30.Workflows.Models.CreateStatusDefinition.StatusType. */
    statusType?: StatusType;
}

/** Represents an create user model. */
export class CreateUser implements ICreateUser {
    /** The list of field values. */
    fields?: SetFieldValue[];

    constructor(data?: ICreateUser) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CreateUser {
        data = typeof data === 'object' ? data : {};
        let result = new CreateUser();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an create user model. */
export interface ICreateUser {
    /** The list of field values. */
    fields?: SetFieldValue[];
}

/** Represents a create user group model */
export class CreateUserGroup implements ICreateUserGroup {
    /** The list of field values. */
    fields?: SetFieldValue[];

    constructor(data?: ICreateUserGroup) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CreateUserGroup {
        data = typeof data === 'object' ? data : {};
        let result = new CreateUserGroup();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a create user group model */
export interface ICreateUserGroup {
    /** The list of field values. */
    fields?: SetFieldValue[];
}

/** Represents a create user role model */
export class CreateUserRole implements ICreateUserRole {
    /** The list of field values. */
    fields?: SetFieldValue[];

    constructor(data?: ICreateUserRole) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): CreateUserRole {
        data = typeof data === 'object' ? data : {};
        let result = new CreateUserRole();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a create user role model */
export interface ICreateUserRole {
    /** The list of field values. */
    fields?: SetFieldValue[];
}

export class DateTimeFieldValue extends FieldValue implements IDateTimeFieldValue {
    value?: Date | undefined;

    constructor(data?: IDateTimeFieldValue) {
        super(data);
        this._discriminator = "DateTimeFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"] ? new Date(_data["value"].toString()) : <any>undefined;
        }
    }

    static fromJS(data: any): DateTimeFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new DateTimeFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value ? this.value.toISOString() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

export interface IDateTimeFieldValue extends IFieldValue {
    value?: Date | undefined;
}

export class DateTimeFilterFieldValue extends FilterFieldValue implements IDateTimeFilterFieldValue {
    /** The filter field value. */
    value!: Date[];

    constructor(data?: IDateTimeFilterFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "DateTimeFilterFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(new Date(item));
            }
        }
    }

    static fromJS(data: any): DateTimeFilterFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new DateTimeFilterFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toISOString());
        }
        super.toJSON(data);
        return data;
    }
}

export interface IDateTimeFilterFieldValue extends IFilterFieldValue {
    /** The filter field value. */
    value: Date[];
}

/** Represents search field value of type System.Collections.Generic.IList`1. */
export class DateTimeSearchFieldValue extends SearchFieldValue implements IDateTimeSearchFieldValue {
    /** Collection of values to search for. */
    value!: Date[];

    constructor(data?: IDateTimeSearchFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "DateTimeSearchFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(new Date(item));
            }
        }
    }

    static fromJS(data: any): DateTimeSearchFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new DateTimeSearchFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toISOString());
        }
        super.toJSON(data);
        return data;
    }
}

/** Represents search field value of type System.Collections.Generic.IList`1. */
export interface IDateTimeSearchFieldValue extends ISearchFieldValue {
    /** Collection of values to search for. */
    value: Date[];
}

/** Request object to delete document object. */
export class DeleteDocumentObjectByLanguageCardId implements IDeleteDocumentObjectByLanguageCardId {
    /** The fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];

    constructor(data?: IDeleteDocumentObjectByLanguageCardId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): DeleteDocumentObjectByLanguageCardId {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteDocumentObjectByLanguageCardId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Request object to delete document object. */
export interface IDeleteDocumentObjectByLanguageCardId {
    /** The fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];
}

/** Request parameters to delete the document object specified by the language card identifier. */
export class DeleteDocumentObjectByLanguageCardIdParameters implements IDeleteDocumentObjectByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId!: number;

    constructor(data?: IDeleteDocumentObjectByLanguageCardIdParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.languageCardId = _data["languageCardId"];
        }
    }

    static fromJS(data: any): DeleteDocumentObjectByLanguageCardIdParameters {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteDocumentObjectByLanguageCardIdParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["languageCardId"] = this.languageCardId;
        return data;
    }
}

/** Request parameters to delete the document object specified by the language card identifier. */
export interface IDeleteDocumentObjectByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId: number;
}

/** Request object to delete document object. */
export class DeleteDocumentObjectByLogicalId implements IDeleteDocumentObjectByLogicalId {
    /** The fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];

    constructor(data?: IDeleteDocumentObjectByLogicalId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): DeleteDocumentObjectByLogicalId {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteDocumentObjectByLogicalId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Request object to delete document object. */
export interface IDeleteDocumentObjectByLogicalId {
    /** The fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];
}

/** Request parameters to delete the document object specified by the logical identifier, version, language or resolution. */
export class DeleteDocumentObjectByLogicalIdParameters implements IDeleteDocumentObjectByLogicalIdParameters {
    /** The logical identifier of the document object. */
    logicalId!: string;
    /** The version of the document object. */
    version?: string | undefined;
    /** The language of the document object. */
    language?: string | undefined;
    /** The resolution of the document object. */
    resolution?: string | undefined;

    constructor(data?: IDeleteDocumentObjectByLogicalIdParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.logicalId = _data["logicalId"];
            this.version = _data["version"];
            this.language = _data["language"];
            this.resolution = _data["resolution"];
        }
    }

    static fromJS(data: any): DeleteDocumentObjectByLogicalIdParameters {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteDocumentObjectByLogicalIdParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["logicalId"] = this.logicalId;
        data["version"] = this.version;
        data["language"] = this.language;
        data["resolution"] = this.resolution;
        return data;
    }
}

/** Request parameters to delete the document object specified by the logical identifier, version, language or resolution. */
export interface IDeleteDocumentObjectByLogicalIdParameters {
    /** The logical identifier of the document object. */
    logicalId: string;
    /** The version of the document object. */
    version?: string | undefined;
    /** The language of the document object. */
    language?: string | undefined;
    /** The resolution of the document object. */
    resolution?: string | undefined;
}

/** Represents a delete event model. */
export class DeleteEvent implements IDeleteEvent {
    /** `true` to delete events for which the status is Trisoft.InfoShare.WebApi.V30.Models.Enumerations.ProgressStatus.Failed; otherwise, `false`. */
    deleteFailedEvents?: boolean;
    /** `true` to delete events for which the status is Trisoft.InfoShare.WebApi.V30.Models.Enumerations.ProgressStatus.Busy; otherwise, `false`. */
    deleteBusyEvents?: boolean;

    constructor(data?: IDeleteEvent) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.deleteFailedEvents = false;
            this.deleteBusyEvents = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.deleteFailedEvents = _data["deleteFailedEvents"] !== undefined ? _data["deleteFailedEvents"] : false;
            this.deleteBusyEvents = _data["deleteBusyEvents"] !== undefined ? _data["deleteBusyEvents"] : false;
        }
    }

    static fromJS(data: any): DeleteEvent {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteEvent();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["deleteFailedEvents"] = this.deleteFailedEvents;
        data["deleteBusyEvents"] = this.deleteBusyEvents;
        return data;
    }
}

/** Represents a delete event model. */
export interface IDeleteEvent {
    /** `true` to delete events for which the status is Trisoft.InfoShare.WebApi.V30.Models.Enumerations.ProgressStatus.Failed; otherwise, `false`. */
    deleteFailedEvents?: boolean;
    /** `true` to delete events for which the status is Trisoft.InfoShare.WebApi.V30.Models.Enumerations.ProgressStatus.Busy; otherwise, `false`. */
    deleteBusyEvents?: boolean;
}

/** Request parameters identifying the event. */
export class DeleteEventParameters implements IDeleteEventParameters {
    progressId!: number;

    constructor(data?: IDeleteEventParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.progressId = _data["progressId"];
        }
    }

    static fromJS(data: any): DeleteEventParameters {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteEventParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["progressId"] = this.progressId;
        return data;
    }
}

/** Request parameters identifying the event. */
export interface IDeleteEventParameters {
    progressId: number;
}

/** Represents a delete preference set model for the current user. */
export class DeleteMyPreferencesParameters implements IDeleteMyPreferencesParameters {
    /** The name of the preference set to delete. */
    setName!: string;
    /** The name of the preference item to delete. */
    itemName?: string | undefined;

    constructor(data?: IDeleteMyPreferencesParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.setName = _data["setName"];
            this.itemName = _data["itemName"];
        }
    }

    static fromJS(data: any): DeleteMyPreferencesParameters {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteMyPreferencesParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["setName"] = this.setName;
        data["itemName"] = this.itemName;
        return data;
    }
}

/** Represents a delete preference set model for the current user. */
export interface IDeleteMyPreferencesParameters {
    /** The name of the preference set to delete. */
    setName: string;
    /** The name of the preference item to delete. */
    itemName?: string | undefined;
}

/** Represents the delete output format model. */
export class DeleteOutputFormatParameters implements IDeleteOutputFormatParameters {
    /** Identifier of the output format. */
    id!: string;

    constructor(data?: IDeleteOutputFormatParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): DeleteOutputFormatParameters {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteOutputFormatParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** Represents the delete output format model. */
export interface IDeleteOutputFormatParameters {
    /** Identifier of the output format. */
    id: string;
}

/** The request object to delete user preferences that match the criteria given in the properties. */
export class DeletePreferencesParameters implements IDeletePreferencesParameters {
    /** The identifier of the user. */
    id!: string;
    /** The name of the preference set to be deleted. */
    setName!: string;
    /** The item name of the preference item which need to be deleted from the set; if null or empty - the entire set with all the items will be deleted. */
    itemName?: string | undefined;

    constructor(data?: IDeletePreferencesParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.setName = _data["setName"];
            this.itemName = _data["itemName"];
        }
    }

    static fromJS(data: any): DeletePreferencesParameters {
        data = typeof data === 'object' ? data : {};
        let result = new DeletePreferencesParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        data["setName"] = this.setName;
        data["itemName"] = this.itemName;
        return data;
    }
}

/** The request object to delete user preferences that match the criteria given in the properties. */
export interface IDeletePreferencesParameters {
    /** The identifier of the user. */
    id: string;
    /** The name of the preference set to be deleted. */
    setName: string;
    /** The item name of the preference item which need to be deleted from the set; if null or empty - the entire set with all the items will be deleted. */
    itemName?: string | undefined;
}

/** Represents an delete project model. */
export class DeleteProject implements IDeleteProject {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the Trisoft.InfoShare.WebApi.V30.Projects.Models.Project */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IDeleteProject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): DeleteProject {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteProject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an delete project model. */
export interface IDeleteProject {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the Trisoft.InfoShare.WebApi.V30.Projects.Models.Project */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Represent delete project's assignee model. */
export class DeleteProjectAssignee implements IDeleteProjectAssignee {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the assignee. */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IDeleteProjectAssignee) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): DeleteProjectAssignee {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteProjectAssignee();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represent delete project's assignee model. */
export interface IDeleteProjectAssignee {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the assignee. */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Request object to delete publication. */
export class DeletePublicationByLanguageCardId implements IDeletePublicationByLanguageCardId {
    /** The fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IDeletePublicationByLanguageCardId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): DeletePublicationByLanguageCardId {
        data = typeof data === 'object' ? data : {};
        let result = new DeletePublicationByLanguageCardId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Request object to delete publication. */
export interface IDeletePublicationByLanguageCardId {
    /** The fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Request object to delete publication. */
export class DeletePublicationByLogicalId implements IDeletePublicationByLogicalId {
    /** The fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IDeletePublicationByLogicalId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): DeletePublicationByLogicalId {
        data = typeof data === 'object' ? data : {};
        let result = new DeletePublicationByLogicalId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Request object to delete publication. */
export interface IDeletePublicationByLogicalId {
    /** The fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to delete the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Represents an delete user model. */
export class DeleteUserById implements IDeleteUserById {
    /** Identifier of the user. */
    id!: string;

    constructor(data?: IDeleteUserById) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): DeleteUserById {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteUserById();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** Represents an delete user model. */
export interface IDeleteUserById {
    /** Identifier of the user. */
    id: string;
}

/** Represents the delete user group model. */
export class DeleteUserGroupParameters implements IDeleteUserGroupParameters {
    /** Identifier of the user group. */
    id!: string;

    constructor(data?: IDeleteUserGroupParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): DeleteUserGroupParameters {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteUserGroupParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** Represents the delete user group model. */
export interface IDeleteUserGroupParameters {
    /** Identifier of the user group. */
    id: string;
}

/** Represents the delete user role model. */
export class DeleteUserRoleParameters implements IDeleteUserRoleParameters {
    /** Identifier of the user role. */
    id!: string;

    constructor(data?: IDeleteUserRoleParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): DeleteUserRoleParameters {
        data = typeof data === 'object' ? data : {};
        let result = new DeleteUserRoleParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** Represents the delete user role model. */
export interface IDeleteUserRoleParameters {
    /** Identifier of the user role. */
    id: string;
}

/** Indicates the result of an action within an event. */
export enum DetailStatus {
    Success = "success",
    Warning = "warning",
    Failed = "failed",
}

/** Represents a document. */
export class DocumentObject extends BaseObject implements IDocumentObject {
    /** The document object type. */
    documentObjectType?: DocumentObjectType;
    /** The language card identifier. */
    languageCardId?: number | undefined;
    /** The version card identifier. */
    versionCardId?: number | undefined;
    /** The logical identifier. */
    logicalId?: string;
    /** The version. */
    version?: string | undefined;
    /** The language identifier. */
    languageId?: string | undefined;
    /** The resolution identifier. */
    resolutionId?: string | undefined;

    constructor(data?: IDocumentObject) {
        super(data);
        this._discriminator = "DocumentObject";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.documentObjectType = _data["documentObjectType"];
            this.languageCardId = _data["languageCardId"];
            this.versionCardId = _data["versionCardId"];
            this.logicalId = _data["logicalId"];
            this.version = _data["version"];
            this.languageId = _data["languageId"];
            this.resolutionId = _data["resolutionId"];
        }
    }

    static fromJS(data: any): DocumentObject {
        data = typeof data === 'object' ? data : {};
        let result = new DocumentObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["documentObjectType"] = this.documentObjectType;
        data["languageCardId"] = this.languageCardId;
        data["versionCardId"] = this.versionCardId;
        data["logicalId"] = this.logicalId;
        data["version"] = this.version;
        data["languageId"] = this.languageId;
        data["resolutionId"] = this.resolutionId;
        super.toJSON(data);
        return data;
    }
}

/** Represents a document. */
export interface IDocumentObject extends IBaseObject {
    /** The document object type. */
    documentObjectType?: DocumentObjectType;
    /** The language card identifier. */
    languageCardId?: number | undefined;
    /** The version card identifier. */
    versionCardId?: number | undefined;
    /** The logical identifier. */
    logicalId?: string;
    /** The version. */
    version?: string | undefined;
    /** The language identifier. */
    languageId?: string | undefined;
    /** The resolution identifier. */
    resolutionId?: string | undefined;
}

/** Represents a link to a node in the contents of a document object. */
export class DocumentObjectLink extends RelatedInfo implements IDocumentObjectLink {
    /** The type of the link. */
    linkType?: DocumentObjectLinkType;
    /** The reference to the contents that the link targets. */
    target?: string;
    /** Reference to the last element in the range when a range of elements inside the contents is referenced. */
    endTarget?: string | undefined;

    constructor(data?: IDocumentObjectLink) {
        super(data);
        this._discriminator = "DocumentObjectLink";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.linkType = _data["linkType"];
            this.target = _data["target"];
            this.endTarget = _data["endTarget"];
        }
    }

    static fromJS(data: any): DocumentObjectLink {
        data = typeof data === 'object' ? data : {};
        let result = new DocumentObjectLink();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["linkType"] = this.linkType;
        data["target"] = this.target;
        data["endTarget"] = this.endTarget;
        super.toJSON(data);
        return data;
    }
}

/** Represents a link to a node in the contents of a document object. */
export interface IDocumentObjectLink extends IRelatedInfo {
    /** The type of the link. */
    linkType?: DocumentObjectLinkType;
    /** The reference to the contents that the link targets. */
    target?: string;
    /** Reference to the last element in the range when a range of elements inside the contents is referenced. */
    endTarget?: string | undefined;
}

/** Defines the type of a link in the contents of a document object. */
export enum DocumentObjectLinkType {
    ContentReference = "contentReference",
    Hyperlink = "hyperlink",
    Link = "link",
    Variable = "variable",
}

/** Returns detailed information about a parsing error in the contents of a document object. */
export class DocumentObjectParseError extends RelatedInfo implements IDocumentObjectParseError {
    /** Message describing the current error. */
    reason?: string | undefined;
    /** The line number indicating where the error occurred. Line numbers start at 1. */
    lineNumber?: number | undefined;
    /** The line position indicating where the error occurred. Line position starts at 1. */
    linePosition?: number | undefined;
    /** The error code. */
    errorCode?: string | undefined;
    /** The text of the content that causes the error. */
    sourceText?: string | undefined;

    constructor(data?: IDocumentObjectParseError) {
        super(data);
        this._discriminator = "DocumentObjectParseError";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.reason = _data["reason"];
            this.lineNumber = _data["lineNumber"];
            this.linePosition = _data["linePosition"];
            this.errorCode = _data["errorCode"];
            this.sourceText = _data["sourceText"];
        }
    }

    static fromJS(data: any): DocumentObjectParseError {
        data = typeof data === 'object' ? data : {};
        let result = new DocumentObjectParseError();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["reason"] = this.reason;
        data["lineNumber"] = this.lineNumber;
        data["linePosition"] = this.linePosition;
        data["errorCode"] = this.errorCode;
        data["sourceText"] = this.sourceText;
        super.toJSON(data);
        return data;
    }
}

/** Returns detailed information about a parsing error in the contents of a document object. */
export interface IDocumentObjectParseError extends IRelatedInfo {
    /** Message describing the current error. */
    reason?: string | undefined;
    /** The line number indicating where the error occurred. Line numbers start at 1. */
    lineNumber?: number | undefined;
    /** The line position indicating where the error occurred. Line position starts at 1. */
    linePosition?: number | undefined;
    /** The error code. */
    errorCode?: string | undefined;
    /** The text of the content that causes the error. */
    sourceText?: string | undefined;
}

/** Enumeration holding the type of document. */
export enum DocumentObjectType {
    Undefined = "undefined",
    Illustration = "illustration",
    Library = "library",
    Map = "map",
    Other = "other",
    Topic = "topic",
}

/** Enumeration holding the type of document for filtering. */
export enum DocumentObjectTypeFilter {
    Any = "any",
    Illustration = "illustration",
    Library = "library",
    Map = "map",
    Other = "other",
    Topic = "topic",
}

/** Represents a edt. */
export class ElectronicDocumentType extends BaseObject implements IElectronicDocumentType {

    constructor(data?: IElectronicDocumentType) {
        super(data);
        this._discriminator = "ElectronicDocumentType";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): ElectronicDocumentType {
        data = typeof data === 'object' ? data : {};
        let result = new ElectronicDocumentType();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a edt. */
export interface IElectronicDocumentType extends IBaseObject {
}

/** An event message. */
export class Message implements IMessage {
    /** A short, human-readable summary of the event message. */
    title?: string | undefined;
    /** A human-readable explanation specific to this occurrence of the event message. */
    detail?: string | undefined;
    /** The severity level of the event message. */
    severity?: SeverityLevel;
    /** The identifier of the corresponding event. */
    eventId?: number | undefined;
    /** The name of the corresponding event. */
    eventName?: string | undefined;
    /** The identifier of the corresponding entry in the log. */
    logId?: number | undefined;
    /** A list of additional information related to this occurrence of the event message. */
    relatedInfo?: RelatedInfo[] | undefined;

    protected _discriminator: string;

    constructor(data?: IMessage) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "Message";
    }

    init(_data?: any) {
        if (_data) {
            this.title = _data["title"];
            this.detail = _data["detail"];
            this.severity = _data["severity"];
            this.eventId = _data["eventId"];
            this.eventName = _data["eventName"];
            this.logId = _data["logId"];
            if (Array.isArray(_data["relatedInfo"])) {
                this.relatedInfo = [] as any;
                for (let item of _data["relatedInfo"])
                    this.relatedInfo!.push(RelatedInfo.fromJS(item));
            }
        }
    }

    static fromJS(data: any): Message {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "Error") {
            let result = new ErrorDto();
            result.init(data);
            return result;
        }
        let result = new Message();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        data["title"] = this.title;
        data["detail"] = this.detail;
        data["severity"] = this.severity;
        data["eventId"] = this.eventId;
        data["eventName"] = this.eventName;
        data["logId"] = this.logId;
        if (Array.isArray(this.relatedInfo)) {
            data["relatedInfo"] = [];
            for (let item of this.relatedInfo)
                data["relatedInfo"].push(item.toJSON());
        }
        return data;
    }
}

/** An event message. */
export interface IMessage {
    /** A short, human-readable summary of the event message. */
    title?: string | undefined;
    /** A human-readable explanation specific to this occurrence of the event message. */
    detail?: string | undefined;
    /** The severity level of the event message. */
    severity?: SeverityLevel;
    /** The identifier of the corresponding event. */
    eventId?: number | undefined;
    /** The name of the corresponding event. */
    eventName?: string | undefined;
    /** The identifier of the corresponding entry in the log. */
    logId?: number | undefined;
    /** A list of additional information related to this occurrence of the event message. */
    relatedInfo?: RelatedInfo[] | undefined;
}

/** An error message. */
export class ErrorDto extends Message implements IErrorDto {

    constructor(data?: IErrorDto) {
        super(data);
        this._discriminator = "Error";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): ErrorDto {
        data = typeof data === 'object' ? data : {};
        let result = new ErrorDto();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** An error message. */
export interface IErrorDto extends IMessage {
}

/** Indicates the data type of the event data content. */
export enum EventDataType {
    None = "none",
    String = "string",
    List = "list",
    Xml = "xml",
    SendEventData = "sendEventData",
    LogObject = "logObject",
    StatusReport = "statusReport",
    CommandOutput = "commandOutput",
    DitaotLogFile = "ditaotLogFile",
    Other = "other",
}

/** Identifies the level of an event detail. */
export enum EventLevel {
    Exception = "exception",
    Warning = "warning",
    Configuration = "configuration",
    Information = "information",
    Verbose = "verbose",
    Debug = "debug",
}

/** Represents an event. */
export class EventProgress extends BaseObject implements IEventProgress {
    /** The progress id. */
    progressId?: number;
    /** The detail id. */
    detailId?: number | undefined;
    /** The event id. */
    eventId?: string | undefined;

    constructor(data?: IEventProgress) {
        super(data);
        this._discriminator = "EventProgress";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.progressId = _data["progressId"];
            this.detailId = _data["detailId"];
            this.eventId = _data["eventId"];
        }
    }

    static fromJS(data: any): EventProgress {
        data = typeof data === 'object' ? data : {};
        let result = new EventProgress();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["progressId"] = this.progressId;
        data["detailId"] = this.detailId;
        data["eventId"] = this.eventId;
        super.toJSON(data);
        return data;
    }
}

/** Represents an event. */
export interface IEventProgress extends IBaseObject {
    /** The progress id. */
    progressId?: number;
    /** The detail id. */
    detailId?: number | undefined;
    /** The event id. */
    eventId?: string | undefined;
}

/** Represents a ExpandBaseline. */
export class ExpandBaseline implements IExpandBaseline {
    /** Specify a list of logical identifiers of the root map or objects in the outline of the root map that will be used as the starting point for the Baseline calculation. */
    startLogicalIds?: string[];
    /** Specify a list of logical identifiers of resources that will be used as the starting point for the Baseline calculation. */
    startResourceLogicalIds?: string[];
    /** Specify a list of languages. */
    languages?: string[];
    /** Specify a list of fallback languages for illustrations. */
    illustrationLanguages?: string[];
    /** Specify a list of fallback languages for resources. */
    resourceLanguages?: string[];
    /** Specify a list of resolutions. */
    resolutions?: string[];
    /** Specify how many levels should be returned. If no value is provided all levels will be returned. Valid values are greater than or equal to 1. */
    depth?: number;

    constructor(data?: IExpandBaseline) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.depth = -1;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["startLogicalIds"])) {
                this.startLogicalIds = [] as any;
                for (let item of _data["startLogicalIds"])
                    this.startLogicalIds!.push(item);
            }
            if (Array.isArray(_data["startResourceLogicalIds"])) {
                this.startResourceLogicalIds = [] as any;
                for (let item of _data["startResourceLogicalIds"])
                    this.startResourceLogicalIds!.push(item);
            }
            if (Array.isArray(_data["languages"])) {
                this.languages = [] as any;
                for (let item of _data["languages"])
                    this.languages!.push(item);
            }
            if (Array.isArray(_data["illustrationLanguages"])) {
                this.illustrationLanguages = [] as any;
                for (let item of _data["illustrationLanguages"])
                    this.illustrationLanguages!.push(item);
            }
            if (Array.isArray(_data["resourceLanguages"])) {
                this.resourceLanguages = [] as any;
                for (let item of _data["resourceLanguages"])
                    this.resourceLanguages!.push(item);
            }
            if (Array.isArray(_data["resolutions"])) {
                this.resolutions = [] as any;
                for (let item of _data["resolutions"])
                    this.resolutions!.push(item);
            }
            this.depth = _data["depth"] !== undefined ? _data["depth"] : -1;
        }
    }

    static fromJS(data: any): ExpandBaseline {
        data = typeof data === 'object' ? data : {};
        let result = new ExpandBaseline();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.startLogicalIds)) {
            data["startLogicalIds"] = [];
            for (let item of this.startLogicalIds)
                data["startLogicalIds"].push(item);
        }
        if (Array.isArray(this.startResourceLogicalIds)) {
            data["startResourceLogicalIds"] = [];
            for (let item of this.startResourceLogicalIds)
                data["startResourceLogicalIds"].push(item);
        }
        if (Array.isArray(this.languages)) {
            data["languages"] = [];
            for (let item of this.languages)
                data["languages"].push(item);
        }
        if (Array.isArray(this.illustrationLanguages)) {
            data["illustrationLanguages"] = [];
            for (let item of this.illustrationLanguages)
                data["illustrationLanguages"].push(item);
        }
        if (Array.isArray(this.resourceLanguages)) {
            data["resourceLanguages"] = [];
            for (let item of this.resourceLanguages)
                data["resourceLanguages"].push(item);
        }
        if (Array.isArray(this.resolutions)) {
            data["resolutions"] = [];
            for (let item of this.resolutions)
                data["resolutions"].push(item);
        }
        data["depth"] = this.depth;
        return data;
    }
}

/** Represents a ExpandBaseline. */
export interface IExpandBaseline {
    /** Specify a list of logical identifiers of the root map or objects in the outline of the root map that will be used as the starting point for the Baseline calculation. */
    startLogicalIds?: string[];
    /** Specify a list of logical identifiers of resources that will be used as the starting point for the Baseline calculation. */
    startResourceLogicalIds?: string[];
    /** Specify a list of languages. */
    languages?: string[];
    /** Specify a list of fallback languages for illustrations. */
    illustrationLanguages?: string[];
    /** Specify a list of fallback languages for resources. */
    resourceLanguages?: string[];
    /** Specify a list of resolutions. */
    resolutions?: string[];
    /** Specify how many levels should be returned. If no value is provided all levels will be returned. Valid values are greater than or equal to 1. */
    depth?: number;
}

/** The request object to expand baseline report that match the criteria given in the properties. */
export class ExpandBaselineParameters implements IExpandBaselineParameters {
    /** The identifier of the baseline. */
    id!: string;

    constructor(data?: IExpandBaselineParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): ExpandBaselineParameters {
        data = typeof data === 'object' ? data : {};
        let result = new ExpandBaselineParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** The request object to expand baseline report that match the criteria given in the properties. */
export interface IExpandBaselineParameters {
    /** The identifier of the baseline. */
    id: string;
}

/** Groups of metadata fields. */
export enum FieldGroup {
    None = "none",
    Basic = "basic",
    Descriptive = "descriptive",
    System = "system",
    All = "all",
}

/** Represents a list with tags. */
export class TagList implements ITagList {
    /** The list of tags. */
    tags?: Tag[];
    /** The list of messages. */
    messages?: Message[] | undefined;

    protected _discriminator: string;

    constructor(data?: ITagList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "TagList";
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["tags"])) {
                this.tags = [] as any;
                for (let item of _data["tags"])
                    this.tags!.push(Tag.fromJS(item));
            }
            if (Array.isArray(_data["messages"])) {
                this.messages = [] as any;
                for (let item of _data["messages"])
                    this.messages!.push(Message.fromJS(item));
            }
        }
    }

    static fromJS(data: any): TagList {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "FieldTag") {
            let result = new FieldTag();
            result.init(data);
            return result;
        }
        let result = new TagList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        if (Array.isArray(this.tags)) {
            data["tags"] = [];
            for (let item of this.tags)
                data["tags"].push(item.toJSON());
        }
        if (Array.isArray(this.messages)) {
            data["messages"] = [];
            for (let item of this.messages)
                data["messages"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a list with tags. */
export interface ITagList {
    /** The list of tags. */
    tags?: Tag[];
    /** The list of messages. */
    messages?: Message[] | undefined;
}

/** Represents a tag list with an field. */
export class FieldTag extends TagList implements IFieldTag {
    /** Gets or sets the field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField?: IshField;

    constructor(data?: IFieldTag) {
        super(data);
        this._discriminator = "FieldTag";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : <any>undefined;
        }
    }

    static fromJS(data: any): FieldTag {
        data = typeof data === 'object' ? data : {};
        let result = new FieldTag();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

/** Represents a tag list with an field. */
export interface IFieldTag extends ITagList {
    /** Gets or sets the field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField?: IshField;
}

/** Represents a folder. */
export class Folder extends BaseObject implements IFolder {
    /** The type of the folder (e.g. ReferenceFolder, PublicationFolder, TopicFolder). */
    folderType?: FolderType;
    /** The type of the base folder (e.g. Data, System, Favorites, EditorTemplate). */
    baseFolder?: BaseFolder;

    constructor(data?: IFolder) {
        super(data);
        this._discriminator = "Folder";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.folderType = _data["folderType"];
            this.baseFolder = _data["baseFolder"];
        }
    }

    static fromJS(data: any): Folder {
        data = typeof data === 'object' ? data : {};
        let result = new Folder();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["folderType"] = this.folderType;
        data["baseFolder"] = this.baseFolder;
        super.toJSON(data);
        return data;
    }
}

/** Represents a folder. */
export interface IFolder extends IBaseObject {
    /** The type of the folder (e.g. ReferenceFolder, PublicationFolder, TopicFolder). */
    folderType?: FolderType;
    /** The type of the base folder (e.g. Data, System, Favorites, EditorTemplate). */
    baseFolder?: BaseFolder;
}

/** Represents a folder descriptor model. */
export class FolderDescriptor implements IFolderDescriptor {
    /** The identifier (e.g. 34567). */
    id?: string;
    /** The type of the folder (e.g. ReferenceFolder, PublicationFolder, TopicFolder). */
    folderType?: FolderType;

    constructor(data?: IFolderDescriptor) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.folderType = _data["folderType"];
        }
    }

    static fromJS(data: any): FolderDescriptor {
        data = typeof data === 'object' ? data : {};
        let result = new FolderDescriptor();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        data["folderType"] = this.folderType;
        return data;
    }
}

/** Represents a folder descriptor model. */
export interface IFolderDescriptor {
    /** The identifier (e.g. 34567). */
    id?: string;
    /** The type of the folder (e.g. ReferenceFolder, PublicationFolder, TopicFolder). */
    folderType?: FolderType;
}

/** Enumeration that lists possible folder item types. */
export enum FolderObjectTypeFilter {
    Any = "any",
    Contents = "contents",
    Folders = "folders",
}

/** Enumeration holding the type of a folder. */
export enum FolderType {
    Folder = "folder",
    IllustrationFolder = "illustrationFolder",
    LibraryFolder = "libraryFolder",
    MapFolder = "mapFolder",
    OtherFolder = "otherFolder",
    PublicationFolder = "publicationFolder",
    ReferenceFolder = "referenceFolder",
    TopicFolder = "topicFolder",
}

/** Represents an item in a value list. */
export class LovValue extends BaseItem implements ILovValue {
    /** The active value. */
    active?: boolean | undefined;

    protected _discriminator: string;

    constructor(data?: ILovValue) {
        super(data);
        this._discriminator = "LovValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.active = _data["active"];
        }
    }

    static fromJS(data: any): LovValue {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "FormFieldOperator") {
            let result = new FormFieldOperator();
            result.init(data);
            return result;
        }
        if (data["type"] === "FullTextSearchFormFieldOperator") {
            let result = new FullTextSearchFormFieldOperator();
            result.init(data);
            return result;
        }
        if (data["type"] === "MetadataFilterFormFieldOperator") {
            let result = new MetadataFilterFormFieldOperator();
            result.init(data);
            return result;
        }
        let result = new LovValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        data["active"] = this.active;
        super.toJSON(data);
        return data;
    }
}

/** Represents an item in a value list. */
export interface ILovValue extends IBaseItem {
    /** The active value. */
    active?: boolean | undefined;
}

/** Represents an operator on a Trisoft.InfoShare.WebApi.V30.Models.Forms.FormField. */
export class FormFieldOperator extends LovValue implements IFormFieldOperator {

    protected _discriminator: string;

    constructor(data?: IFormFieldOperator) {
        super(data);
        this._discriminator = "FormFieldOperator";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): FormFieldOperator {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "FullTextSearchFormFieldOperator") {
            let result = new FullTextSearchFormFieldOperator();
            result.init(data);
            return result;
        }
        if (data["type"] === "MetadataFilterFormFieldOperator") {
            let result = new MetadataFilterFormFieldOperator();
            result.init(data);
            return result;
        }
        let result = new FormFieldOperator();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        super.toJSON(data);
        return data;
    }
}

/** Represents an operator on a Trisoft.InfoShare.WebApi.V30.Models.Forms.FormField. */
export interface IFormFieldOperator extends ILovValue {
}

/** Represents a full text search operator on a Trisoft.InfoShare.WebApi.V30.Models.Forms.FormField. */
export class FullTextSearchFormFieldOperator extends FormFieldOperator implements IFullTextSearchFormFieldOperator {
    /** Search operator that will be used in search operations. */
    operator?: FullTextSearchOperator | undefined;

    constructor(data?: IFullTextSearchFormFieldOperator) {
        super(data);
        this._discriminator = "FullTextSearchFormFieldOperator";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.operator = _data["operator"];
        }
    }

    static fromJS(data: any): FullTextSearchFormFieldOperator {
        data = typeof data === 'object' ? data : {};
        let result = new FullTextSearchFormFieldOperator();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["operator"] = this.operator;
        super.toJSON(data);
        return data;
    }
}

/** Represents a full text search operator on a Trisoft.InfoShare.WebApi.V30.Models.Forms.FormField. */
export interface IFullTextSearchFormFieldOperator extends IFormFieldOperator {
    /** Search operator that will be used in search operations. */
    operator?: FullTextSearchOperator | undefined;
}

/** Enumeration holding search operator options. */
export enum FullTextSearchOperator {
    Equal = "equal",
    NotEqual = "notEqual",
    LessThan = "lessThan",
    GreaterThan = "greaterThan",
    LessThanOrEqual = "lessThanOrEqual",
    GreaterThanOrEqual = "greaterThanOrEqual",
    Contains = "contains",
}

/** Request object to get all baselines in the repository that match the criteria given in the properties. */
export class GetBaselineList implements IGetBaselineList {
    /** List with baselineIds which can be used to limit the result to baselines within this list that match the other filters.
If not supplied, all the baselines will be returned. */
    ids?: string[];
    /** Filter of activity that limits the baselines to only the active or inactive ones. If not supplied, all the baselines will be returned. */
    activityFilter?: ActivityFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];

    constructor(data?: IGetBaselineList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.activityFilter = ActivityFilter.None;
            this.fieldGroup = FieldGroup.None;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["ids"])) {
                this.ids = [] as any;
                for (let item of _data["ids"])
                    this.ids!.push(item);
            }
            this.activityFilter = _data["activityFilter"] !== undefined ? _data["activityFilter"] : ActivityFilter.None;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
        }
    }

    static fromJS(data: any): GetBaselineList {
        data = typeof data === 'object' ? data : {};
        let result = new GetBaselineList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.ids)) {
            data["ids"] = [];
            for (let item of this.ids)
                data["ids"].push(item);
        }
        data["activityFilter"] = this.activityFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Request object to get all baselines in the repository that match the criteria given in the properties. */
export interface IGetBaselineList {
    /** List with baselineIds which can be used to limit the result to baselines within this list that match the other filters.
If not supplied, all the baselines will be returned. */
    ids?: string[];
    /** Filter of activity that limits the baselines to only the active or inactive ones. If not supplied, all the baselines will be returned. */
    activityFilter?: ActivityFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
}

/** Request parameters to get the metadata of the document object by the language card identifier. */
export class GetDocumentObjectByLanguageCardIdParameters implements IGetDocumentObjectByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId!: number;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetDocumentObjectByLanguageCardIdParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.languageCardId = _data["languageCardId"];
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["field"])) {
                this.field = [] as any;
                for (let item of _data["field"])
                    this.field!.push(item);
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetDocumentObjectByLanguageCardIdParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectByLanguageCardIdParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["languageCardId"] = this.languageCardId;
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.field)) {
            data["field"] = [];
            for (let item of this.field)
                data["field"].push(item);
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request parameters to get the metadata of the document object by the language card identifier. */
export interface IGetDocumentObjectByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId: number;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request parameters to get the metadata of the document object specified by the logical identifier, version and language. */
export class GetDocumentObjectByLogicalIdParameters implements IGetDocumentObjectByLogicalIdParameters {
    /** The logical identifier of the document object. */
    logicalId!: string;
    /** The version of the document object. */
    version?: string | undefined;
    /** The language of the document object. */
    language?: string | undefined;
    /** The resolution of the document object. */
    resolution?: string | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetDocumentObjectByLogicalIdParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.logicalId = _data["logicalId"];
            this.version = _data["version"];
            this.language = _data["language"];
            this.resolution = _data["resolution"];
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["field"])) {
                this.field = [] as any;
                for (let item of _data["field"])
                    this.field!.push(item);
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetDocumentObjectByLogicalIdParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectByLogicalIdParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["logicalId"] = this.logicalId;
        data["version"] = this.version;
        data["language"] = this.language;
        data["resolution"] = this.resolution;
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.field)) {
            data["field"] = [];
            for (let item of this.field)
                data["field"].push(item);
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request parameters to get the metadata of the document object specified by the logical identifier, version and language. */
export interface IGetDocumentObjectByLogicalIdParameters {
    /** The logical identifier of the document object. */
    logicalId: string;
    /** The version of the document object. */
    version?: string | undefined;
    /** The language of the document object. */
    language?: string | undefined;
    /** The resolution of the document object. */
    resolution?: string | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request parameters to get the content of the document object specified by the language card identifier. */
export class GetDocumentObjectContentByLanguageCardIdParameters implements IGetDocumentObjectContentByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId!: number;

    constructor(data?: IGetDocumentObjectContentByLanguageCardIdParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.languageCardId = _data["languageCardId"];
        }
    }

    static fromJS(data: any): GetDocumentObjectContentByLanguageCardIdParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectContentByLanguageCardIdParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["languageCardId"] = this.languageCardId;
        return data;
    }
}

/** Request parameters to get the content of the document object specified by the language card identifier. */
export interface IGetDocumentObjectContentByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId: number;
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export class GetDocumentObjectList implements IGetDocumentObjectList {
    /** Type of the document. If not supplied, all the type of documents will be returned. */
    objectTypes?: DocumentObjectTypeFilter[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetDocumentObjectList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.statusFilter = StatusFilter.All;
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["objectTypes"])) {
                this.objectTypes = [] as any;
                for (let item of _data["objectTypes"])
                    this.objectTypes!.push(item);
            }
            this.statusFilter = _data["statusFilter"] !== undefined ? _data["statusFilter"] : StatusFilter.All;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetDocumentObjectList {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.objectTypes)) {
            data["objectTypes"] = [];
            for (let item of this.objectTypes)
                data["objectTypes"].push(item);
        }
        data["statusFilter"] = this.statusFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export interface IGetDocumentObjectList {
    /** Type of the document. If not supplied, all the type of documents will be returned. */
    objectTypes?: DocumentObjectTypeFilter[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export class GetDocumentObjectListByLanguageCardId implements IGetDocumentObjectListByLanguageCardId {
    /** Type of the document. If not supplied, all the type of documents will be returned. */
    objectTypes?: DocumentObjectTypeFilter[];
    /** Language card identifiers of the objects. */
    languageCardIds!: number[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetDocumentObjectListByLanguageCardId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.languageCardIds = [];
            this.statusFilter = StatusFilter.All;
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["objectTypes"])) {
                this.objectTypes = [] as any;
                for (let item of _data["objectTypes"])
                    this.objectTypes!.push(item);
            }
            if (Array.isArray(_data["languageCardIds"])) {
                this.languageCardIds = [] as any;
                for (let item of _data["languageCardIds"])
                    this.languageCardIds!.push(item);
            }
            this.statusFilter = _data["statusFilter"] !== undefined ? _data["statusFilter"] : StatusFilter.All;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetDocumentObjectListByLanguageCardId {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectListByLanguageCardId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.objectTypes)) {
            data["objectTypes"] = [];
            for (let item of this.objectTypes)
                data["objectTypes"].push(item);
        }
        if (Array.isArray(this.languageCardIds)) {
            data["languageCardIds"] = [];
            for (let item of this.languageCardIds)
                data["languageCardIds"].push(item);
        }
        data["statusFilter"] = this.statusFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export interface IGetDocumentObjectListByLanguageCardId {
    /** Type of the document. If not supplied, all the type of documents will be returned. */
    objectTypes?: DocumentObjectTypeFilter[];
    /** Language card identifiers of the objects. */
    languageCardIds: number[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export class GetDocumentObjectListByLogicalId implements IGetDocumentObjectListByLogicalId {
    /** Type of the document. If not supplied, all the type of documents will be returned. */
    objectTypes?: DocumentObjectTypeFilter[];
    /** Logical ids of the objects. */
    logicalIds!: string[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
    /** <tt>true</tt> to include partial items when the version or language is missing; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includePartialItems?: boolean;

    constructor(data?: IGetDocumentObjectListByLogicalId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.logicalIds = [];
            this.statusFilter = StatusFilter.All;
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
            this.includePartialItems = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["objectTypes"])) {
                this.objectTypes = [] as any;
                for (let item of _data["objectTypes"])
                    this.objectTypes!.push(item);
            }
            if (Array.isArray(_data["logicalIds"])) {
                this.logicalIds = [] as any;
                for (let item of _data["logicalIds"])
                    this.logicalIds!.push(item);
            }
            this.statusFilter = _data["statusFilter"] !== undefined ? _data["statusFilter"] : StatusFilter.All;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
            this.includePartialItems = _data["includePartialItems"] !== undefined ? _data["includePartialItems"] : false;
        }
    }

    static fromJS(data: any): GetDocumentObjectListByLogicalId {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectListByLogicalId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.objectTypes)) {
            data["objectTypes"] = [];
            for (let item of this.objectTypes)
                data["objectTypes"].push(item);
        }
        if (Array.isArray(this.logicalIds)) {
            data["logicalIds"] = [];
            for (let item of this.logicalIds)
                data["logicalIds"].push(item);
        }
        data["statusFilter"] = this.statusFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        data["includePartialItems"] = this.includePartialItems;
        return data;
    }
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export interface IGetDocumentObjectListByLogicalId {
    /** Type of the document. If not supplied, all the type of documents will be returned. */
    objectTypes?: DocumentObjectTypeFilter[];
    /** Logical ids of the objects. */
    logicalIds: string[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
    /** <tt>true</tt> to include partial items when the version or language is missing; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includePartialItems?: boolean;
}

/** Request object to get all objects in the repository that are referencing the given logical id. */
export class GetDocumentObjectListUsingDocumentObject implements IGetDocumentObjectListUsingDocumentObject {
    /** The type of the link. */
    linkType?: LinkType;
    /** Type of the document. If not supplied, all the type of documents will be returned. */
    objectTypes?: DocumentObjectTypeFilter[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** A collection of requested metadata fields. */
    fields?: RequestedField[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetDocumentObjectListUsingDocumentObject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.linkType = LinkType.All;
            this.statusFilter = StatusFilter.All;
            this.fieldGroup = FieldGroup.None;
            this.selectedProperties = SelectedProperties.Id;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.linkType = _data["linkType"] !== undefined ? _data["linkType"] : LinkType.All;
            if (Array.isArray(_data["objectTypes"])) {
                this.objectTypes = [] as any;
                for (let item of _data["objectTypes"])
                    this.objectTypes!.push(item);
            }
            this.statusFilter = _data["statusFilter"] !== undefined ? _data["statusFilter"] : StatusFilter.All;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetDocumentObjectListUsingDocumentObject {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectListUsingDocumentObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["linkType"] = this.linkType;
        if (Array.isArray(this.objectTypes)) {
            data["objectTypes"] = [];
            for (let item of this.objectTypes)
                data["objectTypes"].push(item);
        }
        data["statusFilter"] = this.statusFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all objects in the repository that are referencing the given logical id. */
export interface IGetDocumentObjectListUsingDocumentObject {
    /** The type of the link. */
    linkType?: LinkType;
    /** Type of the document. If not supplied, all the type of documents will be returned. */
    objectTypes?: DocumentObjectTypeFilter[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** A collection of requested metadata fields. */
    fields?: RequestedField[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request parameters to get all document objects in the Repository that are referencing a document object specified by the logical identifier. */
export class GetDocumentObjectListUsingDocumentObjectParameters implements IGetDocumentObjectListUsingDocumentObjectParameters {
    /** The logical identifier of the referenced document object. */
    logicalId!: string;

    constructor(data?: IGetDocumentObjectListUsingDocumentObjectParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.logicalId = _data["logicalId"];
        }
    }

    static fromJS(data: any): GetDocumentObjectListUsingDocumentObjectParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectListUsingDocumentObjectParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["logicalId"] = this.logicalId;
        return data;
    }
}

/** Request parameters to get all document objects in the Repository that are referencing a document object specified by the logical identifier. */
export interface IGetDocumentObjectListUsingDocumentObjectParameters {
    /** The logical identifier of the referenced document object. */
    logicalId: string;
}

/** Request parameters to get the location of the document object specified by the logical identifier in the folder structure. */
export class GetDocumentObjectLocationParameters implements IGetDocumentObjectLocationParameters {
    /** The logical identifier of the document object. */
    logicalId!: string;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetDocumentObjectLocationParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.logicalId = _data["logicalId"];
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["field"])) {
                this.field = [] as any;
                for (let item of _data["field"])
                    this.field!.push(item);
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetDocumentObjectLocationParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectLocationParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["logicalId"] = this.logicalId;
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.field)) {
            data["field"] = [];
            for (let item of this.field)
                data["field"].push(item);
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request parameters to get the location of the document object specified by the logical identifier in the folder structure. */
export interface IGetDocumentObjectLocationParameters {
    /** The logical identifier of the document object. */
    logicalId: string;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request parameters to get the possible target statuses for the document object specified by the language card identifier. */
export class GetDocumentObjectPossibleTargetStatusesByLanguageCardIdParameters implements IGetDocumentObjectPossibleTargetStatusesByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId!: number;
    /** Filter of activity that limits the possible target statuses to only the active or inactive ones. If not supplied, only the active ones will be returned. */
    activityFilter?: ActivityFilter;

    constructor(data?: IGetDocumentObjectPossibleTargetStatusesByLanguageCardIdParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.activityFilter = ActivityFilter.Active;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.languageCardId = _data["languageCardId"];
            this.activityFilter = _data["activityFilter"] !== undefined ? _data["activityFilter"] : ActivityFilter.Active;
        }
    }

    static fromJS(data: any): GetDocumentObjectPossibleTargetStatusesByLanguageCardIdParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectPossibleTargetStatusesByLanguageCardIdParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["languageCardId"] = this.languageCardId;
        data["activityFilter"] = this.activityFilter;
        return data;
    }
}

/** Request parameters to get the possible target statuses for the document object specified by the language card identifier. */
export interface IGetDocumentObjectPossibleTargetStatusesByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId: number;
    /** Filter of activity that limits the possible target statuses to only the active or inactive ones. If not supplied, only the active ones will be returned. */
    activityFilter?: ActivityFilter;
}

/** Request parameters to retrieve the logical identifiers of all document objects referenced by the document object specified by the language card identifier. */
export class GetDocumentObjectReferencesParameters implements IGetDocumentObjectReferencesParameters {
    /** The language card identifier of the document object. */
    languageCardId!: number;
    /** The enumeration indicating which link fields must be used. */
    linkType?: LinkType;

    constructor(data?: IGetDocumentObjectReferencesParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.linkType = LinkType.All;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.languageCardId = _data["languageCardId"];
            this.linkType = _data["linkType"] !== undefined ? _data["linkType"] : LinkType.All;
        }
    }

    static fromJS(data: any): GetDocumentObjectReferencesParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectReferencesParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["languageCardId"] = this.languageCardId;
        data["linkType"] = this.linkType;
        return data;
    }
}

/** Request parameters to retrieve the logical identifiers of all document objects referenced by the document object specified by the language card identifier. */
export interface IGetDocumentObjectReferencesParameters {
    /** The language card identifier of the document object. */
    languageCardId: number;
    /** The enumeration indicating which link fields must be used. */
    linkType?: LinkType;
}

/** Request parameters to get smart tags of an object. */
export class GetDocumentObjectSmartTagsByLanguageCardId implements IGetDocumentObjectSmartTagsByLanguageCardId {
    /** Specifies one or more metadata fields to with their current tag values. */
    fieldTags?: SetFieldTag[];

    constructor(data?: IGetDocumentObjectSmartTagsByLanguageCardId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fieldTags"])) {
                this.fieldTags = [] as any;
                for (let item of _data["fieldTags"])
                    this.fieldTags!.push(SetFieldTag.fromJS(item));
            }
        }
    }

    static fromJS(data: any): GetDocumentObjectSmartTagsByLanguageCardId {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectSmartTagsByLanguageCardId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fieldTags)) {
            data["fieldTags"] = [];
            for (let item of this.fieldTags)
                data["fieldTags"].push(item.toJSON());
        }
        return data;
    }
}

/** Request parameters to get smart tags of an object. */
export interface IGetDocumentObjectSmartTagsByLanguageCardId {
    /** Specifies one or more metadata fields to with their current tag values. */
    fieldTags?: SetFieldTag[];
}

/** Request parameters to retrieve smart tags for the document object specified by the language card identifier. */
export class GetDocumentObjectSmartTagsByLanguageCardIdParameters implements IGetDocumentObjectSmartTagsByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId!: number;

    constructor(data?: IGetDocumentObjectSmartTagsByLanguageCardIdParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.languageCardId = _data["languageCardId"];
        }
    }

    static fromJS(data: any): GetDocumentObjectSmartTagsByLanguageCardIdParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetDocumentObjectSmartTagsByLanguageCardIdParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["languageCardId"] = this.languageCardId;
        return data;
    }
}

/** Request parameters to retrieve smart tags for the document object specified by the language card identifier. */
export interface IGetDocumentObjectSmartTagsByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId: number;
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export class GetEventListByParentProgressId implements IGetEventListByParentProgressId {
    /** A list of event identifiers. */
    parentProgressIds!: number[];
    /** The enumeration value that specifies the event level at which to retrieve event actions/details. */
    levelFilter?: EventLevel;
    /** Identifier of the last event action/detail that was retrieved during a previous attempt. */
    lastDetailId?: number | undefined;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** FieldGroup allows to add a group of fields to the requested metadata. */
    fieldGroup?: FieldGroup;
    /** The requested metadata. */
    requestedMetadata?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetEventListByParentProgressId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.parentProgressIds = [];
            this.levelFilter = EventLevel.Information;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["parentProgressIds"])) {
                this.parentProgressIds = [] as any;
                for (let item of _data["parentProgressIds"])
                    this.parentProgressIds!.push(item);
            }
            this.levelFilter = _data["levelFilter"] !== undefined ? _data["levelFilter"] : EventLevel.Information;
            this.lastDetailId = _data["lastDetailId"];
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["requestedMetadata"])) {
                this.requestedMetadata = [] as any;
                for (let item of _data["requestedMetadata"])
                    this.requestedMetadata!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetEventListByParentProgressId {
        data = typeof data === 'object' ? data : {};
        let result = new GetEventListByParentProgressId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.parentProgressIds)) {
            data["parentProgressIds"] = [];
            for (let item of this.parentProgressIds)
                data["parentProgressIds"].push(item);
        }
        data["levelFilter"] = this.levelFilter;
        data["lastDetailId"] = this.lastDetailId;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.requestedMetadata)) {
            data["requestedMetadata"] = [];
            for (let item of this.requestedMetadata)
                data["requestedMetadata"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export interface IGetEventListByParentProgressId {
    /** A list of event identifiers. */
    parentProgressIds: number[];
    /** The enumeration value that specifies the event level at which to retrieve event actions/details. */
    levelFilter?: EventLevel;
    /** Identifier of the last event action/detail that was retrieved during a previous attempt. */
    lastDetailId?: number | undefined;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** FieldGroup allows to add a group of fields to the requested metadata. */
    fieldGroup?: FieldGroup;
    /** The requested metadata. */
    requestedMetadata?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export class GetEventListByProgressId implements IGetEventListByProgressId {
    /** A list of event identifiers. */
    progressIds!: number[];
    /** The enumeration value that specifies the event level at which to retrieve event actions/details. */
    levelFilter?: EventLevel;
    /** Identifier of the last event action/detail that was retrieved during a previous attempt. */
    lastDetailId?: number | undefined;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** FieldGroup allows to add a group of fields to the requested metadata. */
    fieldGroup?: FieldGroup;
    /** The requested metadata. */
    requestedMetadata?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetEventListByProgressId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.progressIds = [];
            this.levelFilter = EventLevel.Information;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["progressIds"])) {
                this.progressIds = [] as any;
                for (let item of _data["progressIds"])
                    this.progressIds!.push(item);
            }
            this.levelFilter = _data["levelFilter"] !== undefined ? _data["levelFilter"] : EventLevel.Information;
            this.lastDetailId = _data["lastDetailId"];
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["requestedMetadata"])) {
                this.requestedMetadata = [] as any;
                for (let item of _data["requestedMetadata"])
                    this.requestedMetadata!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetEventListByProgressId {
        data = typeof data === 'object' ? data : {};
        let result = new GetEventListByProgressId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.progressIds)) {
            data["progressIds"] = [];
            for (let item of this.progressIds)
                data["progressIds"].push(item);
        }
        data["levelFilter"] = this.levelFilter;
        data["lastDetailId"] = this.lastDetailId;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.requestedMetadata)) {
            data["requestedMetadata"] = [];
            for (let item of this.requestedMetadata)
                data["requestedMetadata"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export interface IGetEventListByProgressId {
    /** A list of event identifiers. */
    progressIds: number[];
    /** The enumeration value that specifies the event level at which to retrieve event actions/details. */
    levelFilter?: EventLevel;
    /** Identifier of the last event action/detail that was retrieved during a previous attempt. */
    lastDetailId?: number | undefined;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** FieldGroup allows to add a group of fields to the requested metadata. */
    fieldGroup?: FieldGroup;
    /** The requested metadata. */
    requestedMetadata?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export class GetEventOverview implements IGetEventOverview {
    /** A list of strings containing the event types to retrieve. */
    eventTypes?: string[];
    /** The enumeration value limiting the events that will be retrieved based on the status of the events. */
    statusFilter?: ProgressStatusFilter;
    /** A System.DateTime limiting the events that will be retrieved based on the last modification date of the events. */
    modifiedSince?: Date | undefined;
    /** The enumeration value limiting the events that will be retrieved based on the user associated with the events. */
    userFilter?: UserFilter;
    /** FieldGroup allows to add a group of fields to the requested metadata. */
    fieldGroup?: FieldGroup;
    /** The requested metadata. */
    requestedMetadata?: RequestedField[];

    constructor(data?: IGetEventOverview) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.statusFilter = ProgressStatusFilter.Busy;
            this.userFilter = UserFilter.All;
            this.fieldGroup = FieldGroup.None;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["eventTypes"])) {
                this.eventTypes = [] as any;
                for (let item of _data["eventTypes"])
                    this.eventTypes!.push(item);
            }
            this.statusFilter = _data["statusFilter"] !== undefined ? _data["statusFilter"] : ProgressStatusFilter.Busy;
            this.modifiedSince = _data["modifiedSince"] ? new Date(_data["modifiedSince"].toString()) : <any>undefined;
            this.userFilter = _data["userFilter"] !== undefined ? _data["userFilter"] : UserFilter.All;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["requestedMetadata"])) {
                this.requestedMetadata = [] as any;
                for (let item of _data["requestedMetadata"])
                    this.requestedMetadata!.push(RequestedField.fromJS(item));
            }
        }
    }

    static fromJS(data: any): GetEventOverview {
        data = typeof data === 'object' ? data : {};
        let result = new GetEventOverview();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.eventTypes)) {
            data["eventTypes"] = [];
            for (let item of this.eventTypes)
                data["eventTypes"].push(item);
        }
        data["statusFilter"] = this.statusFilter;
        data["modifiedSince"] = this.modifiedSince ? this.modifiedSince.toISOString() : <any>undefined;
        data["userFilter"] = this.userFilter;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.requestedMetadata)) {
            data["requestedMetadata"] = [];
            for (let item of this.requestedMetadata)
                data["requestedMetadata"].push(item.toJSON());
        }
        return data;
    }
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export interface IGetEventOverview {
    /** A list of strings containing the event types to retrieve. */
    eventTypes?: string[];
    /** The enumeration value limiting the events that will be retrieved based on the status of the events. */
    statusFilter?: ProgressStatusFilter;
    /** A System.DateTime limiting the events that will be retrieved based on the last modification date of the events. */
    modifiedSince?: Date | undefined;
    /** The enumeration value limiting the events that will be retrieved based on the user associated with the events. */
    userFilter?: UserFilter;
    /** FieldGroup allows to add a group of fields to the requested metadata. */
    fieldGroup?: FieldGroup;
    /** The requested metadata. */
    requestedMetadata?: RequestedField[];
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export class GetEventOverviewByProgressId implements IGetEventOverviewByProgressId {
    /** A list of event identifiers. */
    progressIds!: number[];
    /** The enumeration value limiting the events that will be retrieved based on the status of the events. */
    statusFilter?: ProgressStatusFilter;
    /** A System.DateTime limiting the events that will be retrieved based on the last modification date of the events. */
    modifiedSince?: Date | undefined;
    /** The enumeration value limiting the events that will be retrieved based on the user associated with the events. */
    userFilter?: UserFilter;
    /** FieldGroup allows to add a group of fields to the requested metadata. */
    fieldGroup?: FieldGroup;
    /** The requested metadata. */
    requestedMetadata?: RequestedField[];

    constructor(data?: IGetEventOverviewByProgressId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.progressIds = [];
            this.statusFilter = ProgressStatusFilter.Busy;
            this.userFilter = UserFilter.All;
            this.fieldGroup = FieldGroup.None;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["progressIds"])) {
                this.progressIds = [] as any;
                for (let item of _data["progressIds"])
                    this.progressIds!.push(item);
            }
            this.statusFilter = _data["statusFilter"] !== undefined ? _data["statusFilter"] : ProgressStatusFilter.Busy;
            this.modifiedSince = _data["modifiedSince"] ? new Date(_data["modifiedSince"].toString()) : <any>undefined;
            this.userFilter = _data["userFilter"] !== undefined ? _data["userFilter"] : UserFilter.All;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["requestedMetadata"])) {
                this.requestedMetadata = [] as any;
                for (let item of _data["requestedMetadata"])
                    this.requestedMetadata!.push(RequestedField.fromJS(item));
            }
        }
    }

    static fromJS(data: any): GetEventOverviewByProgressId {
        data = typeof data === 'object' ? data : {};
        let result = new GetEventOverviewByProgressId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.progressIds)) {
            data["progressIds"] = [];
            for (let item of this.progressIds)
                data["progressIds"].push(item);
        }
        data["statusFilter"] = this.statusFilter;
        data["modifiedSince"] = this.modifiedSince ? this.modifiedSince.toISOString() : <any>undefined;
        data["userFilter"] = this.userFilter;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.requestedMetadata)) {
            data["requestedMetadata"] = [];
            for (let item of this.requestedMetadata)
                data["requestedMetadata"].push(item.toJSON());
        }
        return data;
    }
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export interface IGetEventOverviewByProgressId {
    /** A list of event identifiers. */
    progressIds: number[];
    /** The enumeration value limiting the events that will be retrieved based on the status of the events. */
    statusFilter?: ProgressStatusFilter;
    /** A System.DateTime limiting the events that will be retrieved based on the last modification date of the events. */
    modifiedSince?: Date | undefined;
    /** The enumeration value limiting the events that will be retrieved based on the user associated with the events. */
    userFilter?: UserFilter;
    /** FieldGroup allows to add a group of fields to the requested metadata. */
    fieldGroup?: FieldGroup;
    /** The requested metadata. */
    requestedMetadata?: RequestedField[];
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export class GetFolderByFolderPathParameters implements IGetFolderByFolderPathParameters {
    /** The path of the folder. */
    path!: string;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** A collection of requested metadata fields. */
    fields?: string[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetFolderByFolderPathParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.fieldGroup = FieldGroup.None;
            this.selectedProperties = SelectedProperties.Id;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.path = _data["path"];
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(item);
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetFolderByFolderPathParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetFolderByFolderPathParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["path"] = this.path;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item);
        }
        data["selectedProperties"] = this.selectedProperties;
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export interface IGetFolderByFolderPathParameters {
    /** The path of the folder. */
    path: string;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** A collection of requested metadata fields. */
    fields?: string[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request folder to get all folders in the repository that match the criteria given in the properties. */
export class GetFolderList implements IGetFolderList {
    /** List with folderIds which can be used to limit the result to folders within this list that match the other filters. */
    ids!: string[];
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetFolderList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.ids = [];
            this.fieldGroup = FieldGroup.None;
            this.selectedProperties = SelectedProperties.Id;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["ids"])) {
                this.ids = [] as any;
                for (let item of _data["ids"])
                    this.ids!.push(item);
            }
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetFolderList {
        data = typeof data === 'object' ? data : {};
        let result = new GetFolderList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.ids)) {
            data["ids"] = [];
            for (let item of this.ids)
                data["ids"].push(item);
        }
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request folder to get all folders in the repository that match the criteria given in the properties. */
export interface IGetFolderList {
    /** List with folderIds which can be used to limit the result to folders within this list that match the other filters. */
    ids: string[];
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Represents an Inbox object list. */
export class GetInboxObjectList implements IGetInboxObjectList {
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetInboxObjectList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetInboxObjectList {
        data = typeof data === 'object' ? data : {};
        let result = new GetInboxObjectList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Represents an Inbox object list. */
export interface IGetInboxObjectList {
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Represents a get Lov list model. */
export class GetLovList implements IGetLovList {
    /** The identifiers of list of values */
    ids?: string[] | undefined;

    constructor(data?: IGetLovList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["ids"])) {
                this.ids = [] as any;
                for (let item of _data["ids"])
                    this.ids!.push(item);
            }
        }
    }

    static fromJS(data: any): GetLovList {
        data = typeof data === 'object' ? data : {};
        let result = new GetLovList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.ids)) {
            data["ids"] = [];
            for (let item of this.ids)
                data["ids"].push(item);
        }
        return data;
    }
}

/** Represents a get Lov list model. */
export interface IGetLovList {
    /** The identifiers of list of values */
    ids?: string[] | undefined;
}

/** Request parameters to get smart tags of given content. */
export class GetMetadataBindingSmartTags implements IGetMetadataBindingSmartTags {
    /** Specifies one or more metadata fields to with their current tag values. */
    fieldTags?: SetFieldTag[];
    /** Specifies the language of the content. */
    contentLanguage!: string;

    constructor(data?: IGetMetadataBindingSmartTags) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fieldTags"])) {
                this.fieldTags = [] as any;
                for (let item of _data["fieldTags"])
                    this.fieldTags!.push(SetFieldTag.fromJS(item));
            }
            this.contentLanguage = _data["contentLanguage"];
        }
    }

    static fromJS(data: any): GetMetadataBindingSmartTags {
        data = typeof data === 'object' ? data : {};
        let result = new GetMetadataBindingSmartTags();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fieldTags)) {
            data["fieldTags"] = [];
            for (let item of this.fieldTags)
                data["fieldTags"].push(item.toJSON());
        }
        data["contentLanguage"] = this.contentLanguage;
        return data;
    }
}

/** Request parameters to get smart tags of given content. */
export interface IGetMetadataBindingSmartTags {
    /** Specifies one or more metadata fields to with their current tag values. */
    fieldTags?: SetFieldTag[];
    /** Specifies the language of the content. */
    contentLanguage: string;
}

/** Request object to get metadata bound tags that match the criteria given in the properties. */
export class GetMetadataBindingTagList implements IGetMetadataBindingTagList {
    /** String used to filter the possible tags. */
    inputFilter?: string | undefined;
    /** Specify some fields of the object which might impact the possible tags.
For instance FTESTCOUNTRIES with value "Netherlands" will limit the result to "Amsterdam" */
    fields?: SetFieldValue[] | undefined;
    /** Maximum number of tags that should be returned. */
    maxTagsToReturn?: number;

    constructor(data?: IGetMetadataBindingTagList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.maxTagsToReturn = 20;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.inputFilter = _data["inputFilter"];
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
            this.maxTagsToReturn = _data["maxTagsToReturn"] !== undefined ? _data["maxTagsToReturn"] : 20;
        }
    }

    static fromJS(data: any): GetMetadataBindingTagList {
        data = typeof data === 'object' ? data : {};
        let result = new GetMetadataBindingTagList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["inputFilter"] = this.inputFilter;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["maxTagsToReturn"] = this.maxTagsToReturn;
        return data;
    }
}

/** Request object to get metadata bound tags that match the criteria given in the properties. */
export interface IGetMetadataBindingTagList {
    /** String used to filter the possible tags. */
    inputFilter?: string | undefined;
    /** Specify some fields of the object which might impact the possible tags.
For instance FTESTCOUNTRIES with value "Netherlands" will limit the result to "Amsterdam" */
    fields?: SetFieldValue[] | undefined;
    /** Maximum number of tags that should be returned. */
    maxTagsToReturn?: number;
}

/** Request object to get metadata bound tags structure that match the criteria given in the properties. */
export class GetMetadataBindingTagStructure implements IGetMetadataBindingTagStructure {
    /** Specify some fields of the object which might impact the possible tags structure.
For instance FTESTCOUNTRIES with value "Netherlands" will limit the result to "Amsterdam" */
    fields?: SetFieldValue[] | undefined;

    constructor(data?: IGetMetadataBindingTagStructure) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): GetMetadataBindingTagStructure {
        data = typeof data === 'object' ? data : {};
        let result = new GetMetadataBindingTagStructure();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Request object to get metadata bound tags structure that match the criteria given in the properties. */
export interface IGetMetadataBindingTagStructure {
    /** Specify some fields of the object which might impact the possible tags structure.
For instance FTESTCOUNTRIES with value "Netherlands" will limit the result to "Amsterdam" */
    fields?: SetFieldValue[] | undefined;
}

/** The request object to get current user preferences that match the criteria given in the properties. */
export class GetMyPreferencesParameters implements IGetMyPreferencesParameters {
    /** The name of the preference set to be retrieved, if the set name can not be found empty preference set is returned. */
    setName!: string;

    constructor(data?: IGetMyPreferencesParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.setName = _data["setName"];
        }
    }

    static fromJS(data: any): GetMyPreferencesParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetMyPreferencesParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["setName"] = this.setName;
        return data;
    }
}

/** The request object to get current user preferences that match the criteria given in the properties. */
export interface IGetMyPreferencesParameters {
    /** The name of the preference set to be retrieved, if the set name can not be found empty preference set is returned. */
    setName: string;
}

/** The request object to get a current user in the repository that match the criteria given in the properties. */
export class GetMyUserParameters implements IGetMyUserParameters {
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetMyUserParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["field"])) {
                this.field = [] as any;
                for (let item of _data["field"])
                    this.field!.push(item);
            }
            this.includeLinks = _data["includeLinks"];
        }
    }

    static fromJS(data: any): GetMyUserParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetMyUserParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.field)) {
            data["field"] = [];
            for (let item of this.field)
                data["field"].push(item);
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** The request object to get a current user in the repository that match the criteria given in the properties. */
export interface IGetMyUserParameters {
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all output formats in the repository that match the criteria given in the properties. */
export class GetOutputFormatList implements IGetOutputFormatList {
    /** List with outputFormatIds which can be used to limit the result to output formats within this list that match the other filters.
If not supplied, all the output formats will be returned. */
    ids?: string[];
    /** Filter of activity that limits the output formats to only the active or inactive ones. If not supplied, all the output formats will be returned. */
    activityFilter?: ActivityFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetOutputFormatList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.activityFilter = ActivityFilter.None;
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["ids"])) {
                this.ids = [] as any;
                for (let item of _data["ids"])
                    this.ids!.push(item);
            }
            this.activityFilter = _data["activityFilter"] !== undefined ? _data["activityFilter"] : ActivityFilter.None;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetOutputFormatList {
        data = typeof data === 'object' ? data : {};
        let result = new GetOutputFormatList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.ids)) {
            data["ids"] = [];
            for (let item of this.ids)
                data["ids"].push(item);
        }
        data["activityFilter"] = this.activityFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all output formats in the repository that match the criteria given in the properties. */
export interface IGetOutputFormatList {
    /** List with outputFormatIds which can be used to limit the result to output formats within this list that match the other filters.
If not supplied, all the output formats will be returned. */
    ids?: string[];
    /** Filter of activity that limits the output formats to only the active or inactive ones. If not supplied, all the output formats will be returned. */
    activityFilter?: ActivityFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get output format in the repository that match the criteria given in the properties. */
export class GetOutputFormatParameters implements IGetOutputFormatParameters {
    /** Identifier of the output format. */
    id!: string;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetOutputFormatParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["field"])) {
                this.field = [] as any;
                for (let item of _data["field"])
                    this.field!.push(item);
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetOutputFormatParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetOutputFormatParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.field)) {
            data["field"] = [];
            for (let item of this.field)
                data["field"].push(item);
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get output format in the repository that match the criteria given in the properties. */
export interface IGetOutputFormatParameters {
    /** Identifier of the output format. */
    id: string;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** The request object to get user preferences that match the criteria given in the properties. */
export class GetPreferencesParameters implements IGetPreferencesParameters {
    /** The identifier of the user. */
    id!: string;
    /** The name of the preference set to be retrieved, if the set name can not be found empty preference set is returned. */
    setName!: string;

    constructor(data?: IGetPreferencesParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.setName = _data["setName"];
        }
    }

    static fromJS(data: any): GetPreferencesParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetPreferencesParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        data["setName"] = this.setName;
        return data;
    }
}

/** The request object to get user preferences that match the criteria given in the properties. */
export interface IGetPreferencesParameters {
    /** The identifier of the user. */
    id: string;
    /** The name of the preference set to be retrieved, if the set name can not be found empty preference set is returned. */
    setName: string;
}

/** Represents a get project list model. */
export class GetProjectList implements IGetProjectList {
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specify one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetProjectList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetProjectList {
        data = typeof data === 'object' ? data : {};
        let result = new GetProjectList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Represents a get project list model. */
export interface IGetProjectList {
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specify one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export class GetProjectListByProjectId implements IGetProjectListByProjectId {
    /** Logical ids of the projects. */
    projectIds!: string[];
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specify one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetProjectListByProjectId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.projectIds = [];
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["projectIds"])) {
                this.projectIds = [] as any;
                for (let item of _data["projectIds"])
                    this.projectIds!.push(item);
            }
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetProjectListByProjectId {
        data = typeof data === 'object' ? data : {};
        let result = new GetProjectListByProjectId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.projectIds)) {
            data["projectIds"] = [];
            for (let item of this.projectIds)
                data["projectIds"].push(item);
        }
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export interface IGetProjectListByProjectId {
    /** Logical ids of the projects. */
    projectIds: string[];
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specify one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export class GetPublicationList implements IGetPublicationList {
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetPublicationList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.statusFilter = StatusFilter.All;
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.statusFilter = _data["statusFilter"] !== undefined ? _data["statusFilter"] : StatusFilter.All;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetPublicationList {
        data = typeof data === 'object' ? data : {};
        let result = new GetPublicationList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["statusFilter"] = this.statusFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all objects in the repository that match the criteria given in the properties. */
export interface IGetPublicationList {
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all publications in the repository that match the criteria given in the properties. */
export class GetPublicationListByLanguageCardId implements IGetPublicationListByLanguageCardId {
    /** Logical ids of the objects. */
    languageCardIds!: number[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetPublicationListByLanguageCardId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.languageCardIds = [];
            this.statusFilter = StatusFilter.All;
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["languageCardIds"])) {
                this.languageCardIds = [] as any;
                for (let item of _data["languageCardIds"])
                    this.languageCardIds!.push(item);
            }
            this.statusFilter = _data["statusFilter"] !== undefined ? _data["statusFilter"] : StatusFilter.All;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetPublicationListByLanguageCardId {
        data = typeof data === 'object' ? data : {};
        let result = new GetPublicationListByLanguageCardId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.languageCardIds)) {
            data["languageCardIds"] = [];
            for (let item of this.languageCardIds)
                data["languageCardIds"].push(item);
        }
        data["statusFilter"] = this.statusFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all publications in the repository that match the criteria given in the properties. */
export interface IGetPublicationListByLanguageCardId {
    /** Logical ids of the objects. */
    languageCardIds: number[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all publications in the repository that match the criteria given in the properties. */
export class GetPublicationListByLogicalId implements IGetPublicationListByLogicalId {
    /** Logical ids of the objects. */
    logicalIds!: string[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
    /** <tt>true</tt> to include the partial items; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includePartialItems?: boolean;

    constructor(data?: IGetPublicationListByLogicalId) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.logicalIds = [];
            this.statusFilter = StatusFilter.All;
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
            this.includePartialItems = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["logicalIds"])) {
                this.logicalIds = [] as any;
                for (let item of _data["logicalIds"])
                    this.logicalIds!.push(item);
            }
            this.statusFilter = _data["statusFilter"] !== undefined ? _data["statusFilter"] : StatusFilter.All;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
            this.includePartialItems = _data["includePartialItems"] !== undefined ? _data["includePartialItems"] : false;
        }
    }

    static fromJS(data: any): GetPublicationListByLogicalId {
        data = typeof data === 'object' ? data : {};
        let result = new GetPublicationListByLogicalId();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.logicalIds)) {
            data["logicalIds"] = [];
            for (let item of this.logicalIds)
                data["logicalIds"].push(item);
        }
        data["statusFilter"] = this.statusFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        data["includePartialItems"] = this.includePartialItems;
        return data;
    }
}

/** Request object to get all publications in the repository that match the criteria given in the properties. */
export interface IGetPublicationListByLogicalId {
    /** Logical ids of the objects. */
    logicalIds: string[];
    /** Filtering on a type of status using status settings. */
    statusFilter?: StatusFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[] | undefined;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[] | undefined;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
    /** <tt>true</tt> to include the partial items; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includePartialItems?: boolean;
}

/** Request body to get all publications in the Repository that are referencing a document object specified by the logical identifier and version. */
export class GetPublicationListUsingDocumentObject implements IGetPublicationListUsingDocumentObject {
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** A collection of requested metadata fields. */
    fields?: RequestedField[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetPublicationListUsingDocumentObject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.fieldGroup = FieldGroup.None;
            this.selectedProperties = SelectedProperties.Id;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetPublicationListUsingDocumentObject {
        data = typeof data === 'object' ? data : {};
        let result = new GetPublicationListUsingDocumentObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request body to get all publications in the Repository that are referencing a document object specified by the logical identifier and version. */
export interface IGetPublicationListUsingDocumentObject {
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** A collection of requested metadata fields. */
    fields?: RequestedField[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request parameters to get all publications in the Repository that are referencing a document object specified by the logical identifier and version. */
export class GetPublicationListUsingDocumentObjectParameters implements IGetPublicationListUsingDocumentObjectParameters {
    /** The logical identifier of the referenced document object. */
    logicalId!: string;
    /** The version of the referenced document object. */
    version!: string;

    constructor(data?: IGetPublicationListUsingDocumentObjectParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.logicalId = _data["logicalId"];
            this.version = _data["version"];
        }
    }

    static fromJS(data: any): GetPublicationListUsingDocumentObjectParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetPublicationListUsingDocumentObjectParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["logicalId"] = this.logicalId;
        data["version"] = this.version;
        return data;
    }
}

/** Request parameters to get all publications in the Repository that are referencing a document object specified by the logical identifier and version. */
export interface IGetPublicationListUsingDocumentObjectParameters {
    /** The logical identifier of the referenced document object. */
    logicalId: string;
    /** The version of the referenced document object. */
    version: string;
}

/** Request object to get settings in the repository that match the criteria given in the properties. */
export class GetSettingsParameters implements IGetSettingsParameters {
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;

    constructor(data?: IGetSettingsParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["field"])) {
                this.field = [] as any;
                for (let item of _data["field"])
                    this.field!.push(item);
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
        }
    }

    static fromJS(data: any): GetSettingsParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetSettingsParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.field)) {
            data["field"] = [];
            for (let item of this.field)
                data["field"].push(item);
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        return data;
    }
}

/** Request object to get settings in the repository that match the criteria given in the properties. */
export interface IGetSettingsParameters {
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
}

/** Request object to get all user groups in the repository that match the criteria given in the properties. */
export class GetUserGroupList implements IGetUserGroupList {
    /** List with userGroupIds which can be used to limit the result to user groups within this list that match the other filters.
If not supplied, all the user groups will be returned. */
    ids?: string[];
    /** Filter of activity that limits the user groups to only the active or inactive ones. If not supplied, all the user groups will be returned. */
    activityFilter?: ActivityFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetUserGroupList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.activityFilter = ActivityFilter.None;
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["ids"])) {
                this.ids = [] as any;
                for (let item of _data["ids"])
                    this.ids!.push(item);
            }
            this.activityFilter = _data["activityFilter"] !== undefined ? _data["activityFilter"] : ActivityFilter.None;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetUserGroupList {
        data = typeof data === 'object' ? data : {};
        let result = new GetUserGroupList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.ids)) {
            data["ids"] = [];
            for (let item of this.ids)
                data["ids"].push(item);
        }
        data["activityFilter"] = this.activityFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all user groups in the repository that match the criteria given in the properties. */
export interface IGetUserGroupList {
    /** List with userGroupIds which can be used to limit the result to user groups within this list that match the other filters.
If not supplied, all the user groups will be returned. */
    ids?: string[];
    /** Filter of activity that limits the user groups to only the active or inactive ones. If not supplied, all the user groups will be returned. */
    activityFilter?: ActivityFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get user group in the repository that match the criteria given in the properties. */
export class GetUserGroupParameters implements IGetUserGroupParameters {
    /** Identifier of the group. */
    id!: string;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetUserGroupParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["field"])) {
                this.field = [] as any;
                for (let item of _data["field"])
                    this.field!.push(item);
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetUserGroupParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetUserGroupParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.field)) {
            data["field"] = [];
            for (let item of this.field)
                data["field"].push(item);
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get user group in the repository that match the criteria given in the properties. */
export interface IGetUserGroupParameters {
    /** Identifier of the group. */
    id: string;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all users in the repository that match the criteria given in the properties. */
export class GetUserList implements IGetUserList {
    /** List with userIds which can be used to limit the result to users within this list that match the other filters.
If not supplied, all the users will be returned. */
    ids?: string[];
    /** Filter of activity that limits the users to only the active or inactive ones. If not supplied, all the users will be returned. */
    activityFilter?: ActivityFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetUserList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.activityFilter = ActivityFilter.None;
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["ids"])) {
                this.ids = [] as any;
                for (let item of _data["ids"])
                    this.ids!.push(item);
            }
            this.activityFilter = _data["activityFilter"] !== undefined ? _data["activityFilter"] : ActivityFilter.None;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetUserList {
        data = typeof data === 'object' ? data : {};
        let result = new GetUserList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.ids)) {
            data["ids"] = [];
            for (let item of this.ids)
                data["ids"].push(item);
        }
        data["activityFilter"] = this.activityFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all users in the repository that match the criteria given in the properties. */
export interface IGetUserList {
    /** List with userIds which can be used to limit the result to users within this list that match the other filters.
If not supplied, all the users will be returned. */
    ids?: string[];
    /** Filter of activity that limits the users to only the active or inactive ones. If not supplied, all the users will be returned. */
    activityFilter?: ActivityFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** The request object to get a user in the repository that match the criteria given in the properties. */
export class GetUserParameters implements IGetUserParameters {
    /** The identifier of the user. */
    id!: string;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetUserParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["field"])) {
                this.field = [] as any;
                for (let item of _data["field"])
                    this.field!.push(item);
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetUserParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetUserParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.field)) {
            data["field"] = [];
            for (let item of this.field)
                data["field"].push(item);
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** The request object to get a user in the repository that match the criteria given in the properties. */
export interface IGetUserParameters {
    /** The identifier of the user. */
    id: string;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get all user roles in the repository that match the criteria given in the properties. */
export class GetUserRoleList implements IGetUserRoleList {
    /** List with userRoleIds which can be used to limit the result to user roles within this list that match the other filters.
If not supplied, all the user roles will be returned. */
    ids?: string[];
    /** Filter of activity that limits the user roles to only the active or inactive ones. If not supplied, all the user roles will be returned. */
    activityFilter?: ActivityFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetUserRoleList) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.activityFilter = ActivityFilter.None;
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["ids"])) {
                this.ids = [] as any;
                for (let item of _data["ids"])
                    this.ids!.push(item);
            }
            this.activityFilter = _data["activityFilter"] !== undefined ? _data["activityFilter"] : ActivityFilter.None;
            if (Array.isArray(_data["filterFields"])) {
                this.filterFields = [] as any;
                for (let item of _data["filterFields"])
                    this.filterFields!.push(FilterFieldValue.fromJS(item));
            }
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(RequestedField.fromJS(item));
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetUserRoleList {
        data = typeof data === 'object' ? data : {};
        let result = new GetUserRoleList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.ids)) {
            data["ids"] = [];
            for (let item of this.ids)
                data["ids"].push(item);
        }
        data["activityFilter"] = this.activityFilter;
        if (Array.isArray(this.filterFields)) {
            data["filterFields"] = [];
            for (let item of this.filterFields)
                data["filterFields"].push(item.toJSON());
        }
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get all user roles in the repository that match the criteria given in the properties. */
export interface IGetUserRoleList {
    /** List with userRoleIds which can be used to limit the result to user roles within this list that match the other filters.
If not supplied, all the user roles will be returned. */
    ids?: string[];
    /** Filter of activity that limits the user roles to only the active or inactive ones. If not supplied, all the user roles will be returned. */
    activityFilter?: ActivityFilter;
    /** The filter fields that contain information to access a field, and the value associated with the field. */
    filterFields?: FilterFieldValue[];
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    fields?: RequestedField[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Request object to get user role in the repository that match the criteria given in the properties. */
export class GetUserRoleParameters implements IGetUserRoleParameters {
    /** Identifier of the role. */
    id!: string;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;

    constructor(data?: IGetUserRoleParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.selectedProperties = SelectedProperties.Id;
            this.fieldGroup = FieldGroup.None;
            this.includeLinks = false;
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.selectedProperties = _data["selectedProperties"] !== undefined ? _data["selectedProperties"] : SelectedProperties.Id;
            this.fieldGroup = _data["fieldGroup"] !== undefined ? _data["fieldGroup"] : FieldGroup.None;
            if (Array.isArray(_data["field"])) {
                this.field = [] as any;
                for (let item of _data["field"])
                    this.field!.push(item);
            }
            this.includeLinks = _data["includeLinks"] !== undefined ? _data["includeLinks"] : false;
        }
    }

    static fromJS(data: any): GetUserRoleParameters {
        data = typeof data === 'object' ? data : {};
        let result = new GetUserRoleParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        data["selectedProperties"] = this.selectedProperties;
        data["fieldGroup"] = this.fieldGroup;
        if (Array.isArray(this.field)) {
            data["field"] = [];
            for (let item of this.field)
                data["field"].push(item);
        }
        data["includeLinks"] = this.includeLinks;
        return data;
    }
}

/** Request object to get user role in the repository that match the criteria given in the properties. */
export interface IGetUserRoleParameters {
    /** Identifier of the role. */
    id: string;
    /** Specifies the properties that will be returned. If not supplied, only the identifier will be returned. */
    selectedProperties?: SelectedProperties;
    /** Group of metadata fields that will be returned. If not supplied, no fields will be returned. */
    fieldGroup?: FieldGroup;
    /** Specifies one or more metadata fields to return. */
    field?: string[];
    /** <tt>true</tt> to include the links; otherwise, <tt>false</tt>. Default is <tt>false</tt>. */
    includeLinks?: boolean;
}

/** Represents an Inbox definition. */
export class Inbox implements IInbox {
    /** The name of the inbox definition. */
    name?: string;
    /** The id of the inbox definition. */
    id?: string;
    /** The list of to-statuses. */
    toStatuses?: ToStatus[] | undefined;

    constructor(data?: IInbox) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.name = _data["name"];
            this.id = _data["id"];
            if (Array.isArray(_data["toStatuses"])) {
                this.toStatuses = [] as any;
                for (let item of _data["toStatuses"])
                    this.toStatuses!.push(ToStatus.fromJS(item));
            }
        }
    }

    static fromJS(data: any): Inbox {
        data = typeof data === 'object' ? data : {};
        let result = new Inbox();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["name"] = this.name;
        data["id"] = this.id;
        if (Array.isArray(this.toStatuses)) {
            data["toStatuses"] = [];
            for (let item of this.toStatuses)
                data["toStatuses"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an Inbox definition. */
export interface IInbox {
    /** The name of the inbox definition. */
    name?: string;
    /** The id of the inbox definition. */
    id?: string;
    /** The list of to-statuses. */
    toStatuses?: ToStatus[] | undefined;
}

export class ProblemDetails implements IProblemDetails {
    title?: string | undefined;
    status?: number | undefined;
    detail?: string | undefined;
    instance?: string | undefined;

    [key: string]: any;

    protected _discriminator: string;

    constructor(data?: IProblemDetails) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "ProblemDetails";
    }

    init(_data?: any) {
        if (_data) {
            for (var property in _data) {
                if (_data.hasOwnProperty(property))
                    this[property] = _data[property];
            }
            this.title = _data["title"];
            this.status = _data["status"];
            this.detail = _data["detail"];
            this.instance = _data["instance"];
        }
    }

    static fromJS(data: any): ProblemDetails {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "InfoShareProblemDetails") {
            let result = new InfoShareProblemDetails();
            result.init(data);
            return result;
        }
        let result = new ProblemDetails();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        for (var property in this) {
            if (this.hasOwnProperty(property))
                data[property] = this[property];
        }
        data["type"] = this._discriminator;
        data["title"] = this.title;
        data["status"] = this.status;
        data["detail"] = this.detail;
        data["instance"] = this.instance;
        return data;
    }
}

export interface IProblemDetails {
    title?: string | undefined;
    status?: number | undefined;
    detail?: string | undefined;
    instance?: string | undefined;

    [key: string]: any;
}

export class InfoShareProblemDetails extends ProblemDetails implements IInfoShareProblemDetails {
    /** The event identifier specific to this occurrence of the problem.. */
    eventId?: number;
    /** The even name specific to this occurrence of the problem. */
    eventName?: string | undefined;
    /** A list of errors related to this occurrence of the problem. */
    errors?: ErrorDto[] | undefined;
    /** A list of additional information related to this occurrence of the problem. */
    relatedInfo?: RelatedInfo[] | undefined;

    [key: string]: any;

    constructor(data?: IInfoShareProblemDetails) {
        super(data);
        this._discriminator = "InfoShareProblemDetails";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            for (var property in _data) {
                if (_data.hasOwnProperty(property))
                    this[property] = _data[property];
            }
            this.eventId = _data["eventId"];
            this.eventName = _data["eventName"];
            if (Array.isArray(_data["errors"])) {
                this.errors = [] as any;
                for (let item of _data["errors"])
                    this.errors!.push(ErrorDto.fromJS(item));
            }
            if (Array.isArray(_data["relatedInfo"])) {
                this.relatedInfo = [] as any;
                for (let item of _data["relatedInfo"])
                    this.relatedInfo!.push(RelatedInfo.fromJS(item));
            }
        }
    }

    static fromJS(data: any): InfoShareProblemDetails {
        data = typeof data === 'object' ? data : {};
        let result = new InfoShareProblemDetails();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        for (var property in this) {
            if (this.hasOwnProperty(property))
                data[property] = this[property];
        }
        data["eventId"] = this.eventId;
        data["eventName"] = this.eventName;
        if (Array.isArray(this.errors)) {
            data["errors"] = [];
            for (let item of this.errors)
                data["errors"].push(item.toJSON());
        }
        if (Array.isArray(this.relatedInfo)) {
            data["relatedInfo"] = [];
            for (let item of this.relatedInfo)
                data["relatedInfo"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

export interface IInfoShareProblemDetails extends IProblemDetails {
    /** The event identifier specific to this occurrence of the problem.. */
    eventId?: number;
    /** The even name specific to this occurrence of the problem. */
    eventName?: string | undefined;
    /** A list of errors related to this occurrence of the problem. */
    errors?: ErrorDto[] | undefined;
    /** A list of additional information related to this occurrence of the problem. */
    relatedInfo?: RelatedInfo[] | undefined;

    [key: string]: any;
}

/** Represents a field that contains information to access a field. */
export class IshField implements IIshField {
    /** The name/label of the InfoShare field (e.g. FTITLE). */
    name!: string;
    /** The level of the InfoShare field (e.g. logical, version, language). */
    level?: Level | undefined;

    constructor(data?: IIshField) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.name = _data["name"];
            this.level = _data["level"];
        }
    }

    static fromJS(data: any): IshField {
        data = typeof data === 'object' ? data : {};
        let result = new IshField();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["name"] = this.name;
        data["level"] = this.level;
        return data;
    }
}

/** Represents a field that contains information to access a field. */
export interface IIshField {
    /** The name/label of the InfoShare field (e.g. FTITLE). */
    name: string;
    /** The level of the InfoShare field (e.g. logical, version, language). */
    level?: Level | undefined;
}

/** Enumeration holding the visible InfoShare hierarchy levels. */
export enum Level {
    None = "none",
    Annotation = "annotation",
    Compute = "compute",
    Data = "data",
    EventProgressDetail = "eventProgressDetail",
    Language = "language",
    Logical = "logical",
    Object = "object",
    EventProgress = "eventProgress",
    Project = "project",
    ProjectAssignee = "projectAssignee",
    Reply = "reply",
    Version = "version",
}

/** Represents a HATEOAS link model. */
export class Link implements ILink {
    /** Gets or sets the URL for this Trisoft.Utilities.WebApi.Links.Link. */
    href?: string | undefined;
    /** Gets or sets the relation for this Trisoft.Utilities.WebApi.Links.Link. */
    rel?: string | undefined;
    /** Gets or sets the HTTP method for this Trisoft.Utilities.WebApi.Links.Link. */
    type?: string | undefined;

    constructor(data?: ILink) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.href = _data["href"];
            this.rel = _data["rel"];
            this.type = _data["type"];
        }
    }

    static fromJS(data: any): Link {
        data = typeof data === 'object' ? data : {};
        let result = new Link();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["href"] = this.href;
        data["rel"] = this.rel;
        data["type"] = this.type;
        return data;
    }
}

/** Represents a HATEOAS link model. */
export interface ILink {
    /** Gets or sets the URL for this Trisoft.Utilities.WebApi.Links.Link. */
    href?: string | undefined;
    /** Gets or sets the relation for this Trisoft.Utilities.WebApi.Links.Link. */
    rel?: string | undefined;
    /** Gets or sets the HTTP method for this Trisoft.Utilities.WebApi.Links.Link. */
    type?: string | undefined;
}

/** Indicates which link fields must be used in the GetParents/GetChildren methods. */
export enum LinkType {
    ContentLink = "contentLink",
    HyperLink = "hyperLink",
    All = "all",
}

export class LongFieldValue extends FieldValue implements ILongFieldValue {
    value?: number | undefined;

    constructor(data?: ILongFieldValue) {
        super(data);
        this._discriminator = "LongFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): LongFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new LongFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface ILongFieldValue extends IFieldValue {
    value?: number | undefined;
}

export class LongFilterFieldValue extends FilterFieldValue implements ILongFilterFieldValue {
    /** The filter field value. */
    value!: number[];

    constructor(data?: ILongFilterFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "LongFilterFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): LongFilterFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new LongFilterFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

export interface ILongFilterFieldValue extends IFilterFieldValue {
    /** The filter field value. */
    value: number[];
}

export class LovFieldValue extends FieldValue implements ILovFieldValue {
    /** Represents an item in a value list. */
    value?: LovValue | undefined;

    constructor(data?: ILovFieldValue) {
        super(data);
        this._discriminator = "LovFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"] ? LovValue.fromJS(_data["value"]) : <any>undefined;
        }
    }

    static fromJS(data: any): LovFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new LovFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value ? this.value.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

export interface ILovFieldValue extends IFieldValue {
    /** Represents an item in a value list. */
    value?: LovValue | undefined;
}

export class LovFilterFieldValue extends FilterFieldValue implements ILovFilterFieldValue {
    /** The filter field value. */
    value!: SetLovValue[];

    constructor(data?: ILovFilterFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "LovFilterFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(SetLovValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): LovFilterFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new LovFilterFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

export interface ILovFilterFieldValue extends IFilterFieldValue {
    /** The filter field value. */
    value: SetLovValue[];
}

export class LovLikeFilterFieldValue extends FilterFieldValue implements ILovLikeFilterFieldValue {
    /** The filter field value. */
    value!: string;

    constructor(data?: ILovLikeFilterFieldValue) {
        super(data);
        this._discriminator = "LovLikeFilterFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): LovLikeFilterFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new LovLikeFilterFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface ILovLikeFilterFieldValue extends IFilterFieldValue {
    /** The filter field value. */
    value: string;
}

/** Represents an item in a list of list of values. */
export class LovList extends BaseItem implements ILovList {

    constructor(data?: ILovList) {
        super(data);
        this._discriminator = "LovList";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): LovList {
        data = typeof data === 'object' ? data : {};
        let result = new LovList();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents an item in a list of list of values. */
export interface ILovList extends IBaseItem {
}

/** Represents search field value of type System.Collections.Generic.IList`1. */
export class LovSearchFieldValue extends SearchFieldValue implements ILovSearchFieldValue {
    /** Collection of values to search for. */
    value!: SetLovValue[];

    constructor(data?: ILovSearchFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "LovSearchFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(SetLovValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): LovSearchFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new LovSearchFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

/** Represents search field value of type System.Collections.Generic.IList`1. */
export interface ILovSearchFieldValue extends ISearchFieldValue {
    /** Collection of values to search for. */
    value: SetLovValue[];
}

/** Represents a metadata filter operator on a Trisoft.InfoShare.WebApi.V30.Models.Forms.FormField. */
export class MetadataFilterFormFieldOperator extends FormFieldOperator implements IMetadataFilterFormFieldOperator {
    /** Search operator that will be used in search operations. */
    operator?: MetadataFilterOperator | undefined;

    constructor(data?: IMetadataFilterFormFieldOperator) {
        super(data);
        this._discriminator = "MetadataFilterFormFieldOperator";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.operator = _data["operator"];
        }
    }

    static fromJS(data: any): MetadataFilterFormFieldOperator {
        data = typeof data === 'object' ? data : {};
        let result = new MetadataFilterFormFieldOperator();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["operator"] = this.operator;
        super.toJSON(data);
        return data;
    }
}

/** Represents a metadata filter operator on a Trisoft.InfoShare.WebApi.V30.Models.Forms.FormField. */
export interface IMetadataFilterFormFieldOperator extends IFormFieldOperator {
    /** Search operator that will be used in search operations. */
    operator?: MetadataFilterOperator | undefined;
}

/** Specifies the possible filter operators that can be used by `FilterFieldValue`. */
export enum MetadataFilterOperator {
    Equal = "equal",
    NotEqual = "notEqual",
    In = "in",
    NotIn = "notIn",
    Like = "like",
    GreaterThan = "greaterThan",
    LessThan = "lessThan",
    GreaterThanOrEqual = "greaterThanOrEqual",
    LessThanOrEqual = "lessThanOrEqual",
    Between = "between",
    Empty = "empty",
    NotEmpty = "notEmpty",
    CiLike = "ciLike",
}

/** Represents a move folder model. */
export class MoveFolder implements IMoveFolder {
    /** The card id of the folder that should be moved. */
    folderId?: number;
    /** The card id of the destination folder. */
    destinationId?: number;

    constructor(data?: IMoveFolder) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.folderId = _data["folderId"];
            this.destinationId = _data["destinationId"];
        }
    }

    static fromJS(data: any): MoveFolder {
        data = typeof data === 'object' ? data : {};
        let result = new MoveFolder();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["folderId"] = this.folderId;
        data["destinationId"] = this.destinationId;
        return data;
    }
}

/** Represents a move folder model. */
export interface IMoveFolder {
    /** The card id of the folder that should be moved. */
    folderId?: number;
    /** The card id of the destination folder. */
    destinationId?: number;
}

/** Represents a move object model. */
export class MoveObject implements IMoveObject {
    /** The logical identifier of the object that should be moved. */
    logicalId!: string;
    /** The card identifier of the destination folder. */
    destinationId?: number;

    constructor(data?: IMoveObject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.logicalId = _data["logicalId"];
            this.destinationId = _data["destinationId"];
        }
    }

    static fromJS(data: any): MoveObject {
        data = typeof data === 'object' ? data : {};
        let result = new MoveObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["logicalId"] = this.logicalId;
        data["destinationId"] = this.destinationId;
        return data;
    }
}

/** Represents a move object model. */
export interface IMoveObject {
    /** The logical identifier of the object that should be moved. */
    logicalId: string;
    /** The card identifier of the destination folder. */
    destinationId?: number;
}

export class MultiCardFieldValue extends FieldValue implements IMultiCardFieldValue {
    value?: BaseObject[] | undefined;

    constructor(data?: IMultiCardFieldValue) {
        super(data);
        this._discriminator = "MultiCardFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(BaseObject.fromJS(item));
            }
        }
    }

    static fromJS(data: any): MultiCardFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new MultiCardFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

export interface IMultiCardFieldValue extends IFieldValue {
    value?: BaseObject[] | undefined;
}

export class MultiDateTimeFieldValue extends FieldValue implements IMultiDateTimeFieldValue {
    value?: Date[] | undefined;

    constructor(data?: IMultiDateTimeFieldValue) {
        super(data);
        this._discriminator = "MultiDateTimeFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(new Date(item));
            }
        }
    }

    static fromJS(data: any): MultiDateTimeFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new MultiDateTimeFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toISOString());
        }
        super.toJSON(data);
        return data;
    }
}

export interface IMultiDateTimeFieldValue extends IFieldValue {
    value?: Date[] | undefined;
}

export class MultiLovFieldValue extends FieldValue implements IMultiLovFieldValue {
    value?: LovValue[] | undefined;

    constructor(data?: IMultiLovFieldValue) {
        super(data);
        this._discriminator = "MultiLovFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(LovValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): MultiLovFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new MultiLovFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

export interface IMultiLovFieldValue extends IFieldValue {
    value?: LovValue[] | undefined;
}

export class MultiNumberFieldValue extends FieldValue implements IMultiNumberFieldValue {
    value?: number[] | undefined;

    constructor(data?: IMultiNumberFieldValue) {
        super(data);
        this._discriminator = "MultiNumberFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): MultiNumberFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new MultiNumberFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

export interface IMultiNumberFieldValue extends IFieldValue {
    value?: number[] | undefined;
}

export class MultiStringFieldValue extends FieldValue implements IMultiStringFieldValue {
    value?: string[] | undefined;

    constructor(data?: IMultiStringFieldValue) {
        super(data);
        this._discriminator = "MultiStringFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): MultiStringFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new MultiStringFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

export interface IMultiStringFieldValue extends IFieldValue {
    value?: string[] | undefined;
}

export class MultiTagFieldValue extends FieldValue implements IMultiTagFieldValue {
    value?: Tag[] | undefined;

    constructor(data?: IMultiTagFieldValue) {
        super(data);
        this._discriminator = "MultiTagFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(Tag.fromJS(item));
            }
        }
    }

    static fromJS(data: any): MultiTagFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new MultiTagFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

export interface IMultiTagFieldValue extends IFieldValue {
    value?: Tag[] | undefined;
}

export class MultiVersionFieldValue extends FieldValue implements IMultiVersionFieldValue {
    value?: string[] | undefined;

    constructor(data?: IMultiVersionFieldValue) {
        super(data);
        this._discriminator = "MultiVersionFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): MultiVersionFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new MultiVersionFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

export interface IMultiVersionFieldValue extends IFieldValue {
    value?: string[] | undefined;
}

/** Represents next status element in the report configuration XML. */
export class NextStatus implements INextStatus {
    /** The value of the next status element in the report configuration XML. */
    value?: LovValue;

    constructor(data?: INextStatus) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.value = _data["value"] ? LovValue.fromJS(_data["value"]) : <any>undefined;
        }
    }

    static fromJS(data: any): NextStatus {
        data = typeof data === 'object' ? data : {};
        let result = new NextStatus();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value ? this.value.toJSON() : <any>undefined;
        return data;
    }
}

/** Represents next status element in the report configuration XML. */
export interface INextStatus {
    /** The value of the next status element in the report configuration XML. */
    value?: LovValue;
}

export class NumberFieldValue extends FieldValue implements INumberFieldValue {
    value?: number | undefined;

    constructor(data?: INumberFieldValue) {
        super(data);
        this._discriminator = "NumberFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): NumberFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new NumberFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface INumberFieldValue extends IFieldValue {
    value?: number | undefined;
}

export class NumberFilterFieldValue extends FilterFieldValue implements INumberFilterFieldValue {
    /** The filter field value. */
    value!: number[];

    constructor(data?: INumberFilterFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "NumberFilterFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): NumberFilterFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new NumberFilterFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

export interface INumberFilterFieldValue extends IFilterFieldValue {
    /** The filter field value. */
    value: number[];
}

/** Represents search field value of type System.Collections.Generic.IList`1. */
export class NumberSearchFieldValue extends SearchFieldValue implements INumberSearchFieldValue {
    /** Collection of values to search for. */
    value!: number[];

    constructor(data?: INumberSearchFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "NumberSearchFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): NumberSearchFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new NumberSearchFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

/** Represents search field value of type System.Collections.Generic.IList`1. */
export interface INumberSearchFieldValue extends ISearchFieldValue {
    /** Collection of values to search for. */
    value: number[];
}

export class ObjectFieldValue extends FieldValue implements IObjectFieldValue {
    value?: any | undefined;

    constructor(data?: IObjectFieldValue) {
        super(data);
        this._discriminator = "ObjectFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): ObjectFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new ObjectFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface IObjectFieldValue extends IFieldValue {
    value?: any | undefined;
}

/** Represents collection of search expression to be evaluated with OR logical operator. */
export class OrSearchExpression extends GroupSearchExpression implements IOrSearchExpression {

    constructor(data?: IOrSearchExpression) {
        super(data);
        this._discriminator = "OrSearchExpression";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): OrSearchExpression {
        data = typeof data === 'object' ? data : {};
        let result = new OrSearchExpression();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents collection of search expression to be evaluated with OR logical operator. */
export interface IOrSearchExpression extends IGroupSearchExpression {
}

/** Represents a output format. */
export class OutputFormat extends BaseObject implements IOutputFormat {

    constructor(data?: IOutputFormat) {
        super(data);
        this._discriminator = "OutputFormat";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): OutputFormat {
        data = typeof data === 'object' ? data : {};
        let result = new OutputFormat();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a output format. */
export interface IOutputFormat extends IBaseObject {
}

/** Represents user preference item */
export class PreferenceItem implements IPreferenceItem {
    /** The name of the preference item. */
    name?: string;
    /** The value of the  preference item. */
    value?: string | undefined;

    constructor(data?: IPreferenceItem) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.name = _data["name"];
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): PreferenceItem {
        data = typeof data === 'object' ? data : {};
        let result = new PreferenceItem();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["name"] = this.name;
        data["value"] = this.value;
        return data;
    }
}

/** Represents user preference item */
export interface IPreferenceItem {
    /** The name of the preference item. */
    name?: string;
    /** The value of the  preference item. */
    value?: string | undefined;
}

/** Represents user preference set */
export class PreferenceSet implements IPreferenceSet {
    /** The Name of the preference set */
    name?: string;
    /** The list of Trisoft.InfoShare.WebApi.V30.Users.Models.PreferenceItem contained in the Preference set */
    items?: PreferenceItem[] | undefined;

    constructor(data?: IPreferenceSet) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.name = _data["name"];
            if (Array.isArray(_data["items"])) {
                this.items = [] as any;
                for (let item of _data["items"])
                    this.items!.push(PreferenceItem.fromJS(item));
            }
        }
    }

    static fromJS(data: any): PreferenceSet {
        data = typeof data === 'object' ? data : {};
        let result = new PreferenceSet();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["name"] = this.name;
        if (Array.isArray(this.items)) {
            data["items"] = [];
            for (let item of this.items)
                data["items"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents user preference set */
export interface IPreferenceSet {
    /** The Name of the preference set */
    name?: string;
    /** The list of Trisoft.InfoShare.WebApi.V30.Users.Models.PreferenceItem contained in the Preference set */
    items?: PreferenceItem[] | undefined;
}

/** The Trisoft.InfoShare.WebApi.V30.Models.Enumerations.ProgressStatus indicates the status of an event. */
export enum ProgressStatus {
    Busy = "busy",
    Success = "success",
    Warning = "warning",
    Failed = "failed",
    Calculate = "calculate",
}

/** Used to specify which events should be retrieved by the event monitor. */
export enum ProgressStatusFilter {
    Busy = "busy",
    Success = "success",
    Warning = "warning",
    Failed = "failed",
    All = "all",
}

/** Represents a project. */
export class Project extends BaseObject implements IProject {
    /** The element name of the project. */
    projectId?: string;
    /** The CardId of the Assignee (if available). */
    assigneeCardId?: number | undefined;
    /** The title of the publication. */
    publicationTitle?: string | undefined;
    /** The version number of the publication version. */
    publicationVersion?: string | undefined;

    constructor(data?: IProject) {
        super(data);
        this._discriminator = "Project";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.projectId = _data["projectId"];
            this.assigneeCardId = _data["assigneeCardId"];
            this.publicationTitle = _data["publicationTitle"];
            this.publicationVersion = _data["publicationVersion"];
        }
    }

    static fromJS(data: any): Project {
        data = typeof data === 'object' ? data : {};
        let result = new Project();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["projectId"] = this.projectId;
        data["assigneeCardId"] = this.assigneeCardId;
        data["publicationTitle"] = this.publicationTitle;
        data["publicationVersion"] = this.publicationVersion;
        super.toJSON(data);
        return data;
    }
}

/** Represents a project. */
export interface IProject extends IBaseObject {
    /** The element name of the project. */
    projectId?: string;
    /** The CardId of the Assignee (if available). */
    assigneeCardId?: number | undefined;
    /** The title of the publication. */
    publicationTitle?: string | undefined;
    /** The version number of the publication version. */
    publicationVersion?: string | undefined;
}

/** Represents a publication. */
export class Publication extends BaseObject implements IPublication {
    /** The version card identifier. */
    versionCardId?: number | undefined;
    /** The language card identifier. */
    languageCardId?: number | undefined;
    /** The logical identifier. */
    logicalId?: string;
    /** The version. */
    version?: string | undefined;
    /** The output format identifier. */
    outputFormatId?: string | undefined;
    /** The language identifier combination. */
    languageCombinationIds?: string[] | undefined;

    constructor(data?: IPublication) {
        super(data);
        this._discriminator = "Publication";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.versionCardId = _data["versionCardId"];
            this.languageCardId = _data["languageCardId"];
            this.logicalId = _data["logicalId"];
            this.version = _data["version"];
            this.outputFormatId = _data["outputFormatId"];
            if (Array.isArray(_data["languageCombinationIds"])) {
                this.languageCombinationIds = [] as any;
                for (let item of _data["languageCombinationIds"])
                    this.languageCombinationIds!.push(item);
            }
        }
    }

    static fromJS(data: any): Publication {
        data = typeof data === 'object' ? data : {};
        let result = new Publication();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["versionCardId"] = this.versionCardId;
        data["languageCardId"] = this.languageCardId;
        data["logicalId"] = this.logicalId;
        data["version"] = this.version;
        data["outputFormatId"] = this.outputFormatId;
        if (Array.isArray(this.languageCombinationIds)) {
            data["languageCombinationIds"] = [];
            for (let item of this.languageCombinationIds)
                data["languageCombinationIds"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

/** Represents a publication. */
export interface IPublication extends IBaseObject {
    /** The version card identifier. */
    versionCardId?: number | undefined;
    /** The language card identifier. */
    languageCardId?: number | undefined;
    /** The logical identifier. */
    logicalId?: string;
    /** The version. */
    version?: string | undefined;
    /** The output format identifier. */
    outputFormatId?: string | undefined;
    /** The language identifier combination. */
    languageCombinationIds?: string[] | undefined;
}

/** Represents a publish model for publication. */
export class PublishPublication implements IPublishPublication {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to publish the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication. */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IPublishPublication) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): PublishPublication {
        data = typeof data === 'object' ? data : {};
        let result = new PublishPublication();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a publish model for publication. */
export interface IPublishPublication {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to publish the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication. */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Represents a release model for publication. */
export class ReleasePublication implements IReleasePublication {
    /** Fields that will be used in concurrency check. */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IReleasePublication) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): ReleasePublication {
        data = typeof data === 'object' ? data : {};
        let result = new ReleasePublication();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a release model for publication. */
export interface IReleasePublication {
    /** Fields that will be used in concurrency check. */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Represents logical identifier model. */
export class RemoveShortcut implements IRemoveShortcut {
    /** Specify logical identifier of the document object or publication for which to remove a shortcut. */
    logicalId!: string;

    constructor(data?: IRemoveShortcut) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.logicalId = _data["logicalId"];
        }
    }

    static fromJS(data: any): RemoveShortcut {
        data = typeof data === 'object' ? data : {};
        let result = new RemoveShortcut();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["logicalId"] = this.logicalId;
        return data;
    }
}

/** Represents logical identifier model. */
export interface IRemoveShortcut {
    /** Specify logical identifier of the document object or publication for which to remove a shortcut. */
    logicalId: string;
}

/** Represents the report configuration. */
export class ReportSettings implements IReportSettings {
    /** List of baseline resolution in the report configuration XML. */
    baselineResolutions?: LovValue[] | undefined;

    protected _discriminator: string;

    constructor(data?: IReportSettings) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "ReportSettings";
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["baselineResolutions"])) {
                this.baselineResolutions = [] as any;
                for (let item of _data["baselineResolutions"])
                    this.baselineResolutions!.push(LovValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): ReportSettings {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "WorkflowReportSettings") {
            let result = new WorkflowReportSettings();
            result.init(data);
            return result;
        }
        if (data["type"] === "TranslationReportSettings") {
            let result = new TranslationReportSettings();
            result.init(data);
            return result;
        }
        let result = new ReportSettings();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        if (Array.isArray(this.baselineResolutions)) {
            data["baselineResolutions"] = [];
            for (let item of this.baselineResolutions)
                data["baselineResolutions"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents the report configuration. */
export interface IReportSettings {
    /** List of baseline resolution in the report configuration XML. */
    baselineResolutions?: LovValue[] | undefined;
}

/** Represents a requested metadata field. */
export class RequestedField implements IRequestedField {
    /** The field with information about the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;

    constructor(data?: IRequestedField) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.ishField = new IshField();
        }
    }

    init(_data?: any) {
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
        }
    }

    static fromJS(data: any): RequestedField {
        data = typeof data === 'object' ? data : {};
        let result = new RequestedField();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        return data;
    }
}

/** Represents a requested metadata field. */
export interface IRequestedField {
    /** The field with information about the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
}

/** Represents a revision history item. */
export class RevisionHistoryItem extends BaseObject implements IRevisionHistoryItem {
    /** The sequence number of a revision history item. */
    sequence?: number;
    /** The datetime of the modification on the document object. */
    modifiedOn?: Date;
    /** The user who modified the document object. */
    modifiedBy?: User;
    /** The status of the document object. */
    status?: LovValue | undefined;
    /** Indicates whether the revision is removed from the Repository. */
    isRemoved?: boolean;

    constructor(data?: IRevisionHistoryItem) {
        super(data);
        this._discriminator = "RevisionHistoryItem";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.sequence = _data["sequence"];
            this.modifiedOn = _data["modifiedOn"] ? new Date(_data["modifiedOn"].toString()) : <any>undefined;
            this.modifiedBy = _data["modifiedBy"] ? User.fromJS(_data["modifiedBy"]) : <any>undefined;
            this.status = _data["status"] ? LovValue.fromJS(_data["status"]) : <any>undefined;
            this.isRemoved = _data["isRemoved"];
        }
    }

    static fromJS(data: any): RevisionHistoryItem {
        data = typeof data === 'object' ? data : {};
        let result = new RevisionHistoryItem();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["sequence"] = this.sequence;
        data["modifiedOn"] = this.modifiedOn ? this.modifiedOn.toISOString() : <any>undefined;
        data["modifiedBy"] = this.modifiedBy ? this.modifiedBy.toJSON() : <any>undefined;
        data["status"] = this.status ? this.status.toJSON() : <any>undefined;
        data["isRemoved"] = this.isRemoved;
        super.toJSON(data);
        return data;
    }
}

/** Represents a revision history item. */
export interface IRevisionHistoryItem extends IBaseObject {
    /** The sequence number of a revision history item. */
    sequence?: number;
    /** The datetime of the modification on the document object. */
    modifiedOn?: Date;
    /** The user who modified the document object. */
    modifiedBy?: User;
    /** The status of the document object. */
    status?: LovValue | undefined;
    /** Indicates whether the revision is removed from the Repository. */
    isRemoved?: boolean;
}

/** Represents a revision info. */
export class RevisionInfo extends BaseObject implements IRevisionInfo {

    constructor(data?: IRevisionInfo) {
        super(data);
        this._discriminator = "RevisionInfo";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): RevisionInfo {
        data = typeof data === 'object' ? data : {};
        let result = new RevisionInfo();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a revision info. */
export interface IRevisionInfo extends IBaseObject {
}

/** Class representing a schema validation error. */
export class SchemaValidationError extends RelatedInfo implements ISchemaValidationError {
    /** Path to the schema where validation failed. */
    path?: string | undefined;

    constructor(data?: ISchemaValidationError) {
        super(data);
        this._discriminator = "SchemaValidationError";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.path = _data["path"];
        }
    }

    static fromJS(data: any): SchemaValidationError {
        data = typeof data === 'object' ? data : {};
        let result = new SchemaValidationError();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["path"] = this.path;
        super.toJSON(data);
        return data;
    }
}

/** Class representing a schema validation error. */
export interface ISchemaValidationError extends IRelatedInfo {
    /** Path to the schema where validation failed. */
    path?: string | undefined;
}

/** Represents a search order criteria based on SolrLucene  score. */
export class ScoreSearchSortField extends BaseSearchSortField implements IScoreSearchSortField {

    constructor(data?: IScoreSearchSortField) {
        super(data);
        this._discriminator = "ScoreSearchSortField";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): ScoreSearchSortField {
        data = typeof data === 'object' ? data : {};
        let result = new ScoreSearchSortField();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a search order criteria based on SolrLucene  score. */
export interface IScoreSearchSortField extends IBaseSearchSortField {
}

/** Represents a search object. */
export class SearchObject extends BaseObject implements ISearchObject {

    constructor(data?: ISearchObject) {
        super(data);
        this._discriminator = "SearchObject";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): SearchObject {
        data = typeof data === 'object' ? data : {};
        let result = new SearchObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a search object. */
export interface ISearchObject extends IBaseObject {
}

/** Enumeration holding search object type options. */
export enum SearchObjectTypeFilter {
    Any = "any",
    Illustration = "illustration",
    Library = "library",
    Map = "map",
    Other = "other",
    Topic = "topic",
}

/** Represents search request criteria to find document objects. */
export class SearchRequest implements ISearchRequest {
    /** Search expressions group.
Use Trisoft.InfoShare.WebApi.V30.Search.Models.AnywhereSearchFieldValue for filtering anywhere. */
    expression?: GroupSearchExpression;
    /** Represents list of fields to be used to sort the search result.
Use Trisoft.InfoShare.WebApi.V30.Search.Models.ScoreSearchSortField for sorting on the SolrLucene score. Trisoft.InfoShare.WebApi.V30.Search.Models.ScoreSearchSortField sort fields are used for SolrLucene by default. */
    sortFields?: BaseSearchSortField[] | undefined;
    /** Search version filter options. */
    versionFilter?: SearchVersionFilter;
    /** Search object type filter. */
    objectTypes?: SearchObjectTypeFilter[];
    /** The languages list to be be included in the search result. */
    languages?: string[] | undefined;
    /** The resolutions list to be be included in the search result. */
    resolutions?: string[] | undefined;
    /** The maximum number of objects to return. */
    sizeLimit?: number;

    constructor(data?: ISearchRequest) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.expression = _data["expression"] ? GroupSearchExpression.fromJS(_data["expression"]) : <any>undefined;
            if (Array.isArray(_data["sortFields"])) {
                this.sortFields = [] as any;
                for (let item of _data["sortFields"])
                    this.sortFields!.push(BaseSearchSortField.fromJS(item));
            }
            this.versionFilter = _data["versionFilter"];
            if (Array.isArray(_data["objectTypes"])) {
                this.objectTypes = [] as any;
                for (let item of _data["objectTypes"])
                    this.objectTypes!.push(item);
            }
            if (Array.isArray(_data["languages"])) {
                this.languages = [] as any;
                for (let item of _data["languages"])
                    this.languages!.push(item);
            }
            if (Array.isArray(_data["resolutions"])) {
                this.resolutions = [] as any;
                for (let item of _data["resolutions"])
                    this.resolutions!.push(item);
            }
            this.sizeLimit = _data["sizeLimit"];
        }
    }

    static fromJS(data: any): SearchRequest {
        data = typeof data === 'object' ? data : {};
        let result = new SearchRequest();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["expression"] = this.expression ? this.expression.toJSON() : <any>undefined;
        if (Array.isArray(this.sortFields)) {
            data["sortFields"] = [];
            for (let item of this.sortFields)
                data["sortFields"].push(item.toJSON());
        }
        data["versionFilter"] = this.versionFilter;
        if (Array.isArray(this.objectTypes)) {
            data["objectTypes"] = [];
            for (let item of this.objectTypes)
                data["objectTypes"].push(item);
        }
        if (Array.isArray(this.languages)) {
            data["languages"] = [];
            for (let item of this.languages)
                data["languages"].push(item);
        }
        if (Array.isArray(this.resolutions)) {
            data["resolutions"] = [];
            for (let item of this.resolutions)
                data["resolutions"].push(item);
        }
        data["sizeLimit"] = this.sizeLimit;
        return data;
    }
}

/** Represents search request criteria to find document objects. */
export interface ISearchRequest {
    /** Search expressions group.
Use Trisoft.InfoShare.WebApi.V30.Search.Models.AnywhereSearchFieldValue for filtering anywhere. */
    expression?: GroupSearchExpression;
    /** Represents list of fields to be used to sort the search result.
Use Trisoft.InfoShare.WebApi.V30.Search.Models.ScoreSearchSortField for sorting on the SolrLucene score. Trisoft.InfoShare.WebApi.V30.Search.Models.ScoreSearchSortField sort fields are used for SolrLucene by default. */
    sortFields?: BaseSearchSortField[] | undefined;
    /** Search version filter options. */
    versionFilter?: SearchVersionFilter;
    /** Search object type filter. */
    objectTypes?: SearchObjectTypeFilter[];
    /** The languages list to be be included in the search result. */
    languages?: string[] | undefined;
    /** The resolutions list to be be included in the search result. */
    resolutions?: string[] | undefined;
    /** The maximum number of objects to return. */
    sizeLimit?: number;
}

/** Represents the search response. */
export class SearchResponse implements ISearchResponse {
    /** The total number of hits for the current search. */
    totalHitsFound?: number;
    /** Collection of search result entries. */
    entries?: SearchResultEntry[];

    constructor(data?: ISearchResponse) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.totalHitsFound = _data["totalHitsFound"];
            if (Array.isArray(_data["entries"])) {
                this.entries = [] as any;
                for (let item of _data["entries"])
                    this.entries!.push(SearchResultEntry.fromJS(item));
            }
        }
    }

    static fromJS(data: any): SearchResponse {
        data = typeof data === 'object' ? data : {};
        let result = new SearchResponse();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["totalHitsFound"] = this.totalHitsFound;
        if (Array.isArray(this.entries)) {
            data["entries"] = [];
            for (let item of this.entries)
                data["entries"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents the search response. */
export interface ISearchResponse {
    /** The total number of hits for the current search. */
    totalHitsFound?: number;
    /** Collection of search result entries. */
    entries?: SearchResultEntry[];
}

/** Represents a search result entry. */
export class SearchResultEntry implements ISearchResultEntry {
    /** The document object type. */
    documentObjectType?: DocumentObjectType;
    /** The document object logical id. */
    logicalId?: string;
    /** The document object version card id. */
    versionCardId?: number;
    /** The document object language card id. */
    languageCardId?: number;
    /** The search result entry sort sequence. */
    sequence?: number;

    constructor(data?: ISearchResultEntry) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.documentObjectType = _data["documentObjectType"];
            this.logicalId = _data["logicalId"];
            this.versionCardId = _data["versionCardId"];
            this.languageCardId = _data["languageCardId"];
            this.sequence = _data["sequence"];
        }
    }

    static fromJS(data: any): SearchResultEntry {
        data = typeof data === 'object' ? data : {};
        let result = new SearchResultEntry();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["documentObjectType"] = this.documentObjectType;
        data["logicalId"] = this.logicalId;
        data["versionCardId"] = this.versionCardId;
        data["languageCardId"] = this.languageCardId;
        data["sequence"] = this.sequence;
        return data;
    }
}

/** Represents a search result entry. */
export interface ISearchResultEntry {
    /** The document object type. */
    documentObjectType?: DocumentObjectType;
    /** The document object logical id. */
    logicalId?: string;
    /** The document object version card id. */
    versionCardId?: number;
    /** The document object language card id. */
    languageCardId?: number;
    /** The search result entry sort sequence. */
    sequence?: number;
}

/** Represents a search order criteria. */
export class SearchSortField extends BaseSearchSortField implements ISearchSortField {
    /** The sorting field. */
    ishField!: IshField;

    constructor(data?: ISearchSortField) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SearchSortField";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
        }
    }

    static fromJS(data: any): SearchSortField {
        data = typeof data === 'object' ? data : {};
        let result = new SearchSortField();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

/** Represents a search order criteria. */
export interface ISearchSortField extends IBaseSearchSortField {
    /** The sorting field. */
    ishField: IshField;
}

/** Enumeration holding search sort order options. */
export enum SearchSortOrder {
    Ascending = "ascending",
    Descending = "descending",
}

/** Enumeration holding search version filter options. */
export enum SearchVersionFilter {
    Latest = "latest",
    All = "all",
}

/** Enumeration holding the selected properties. */
export enum SelectedProperties {
    Id = "id",
    TitleAndDescription = "titleAndDescription",
}

/** Represents an object. */
export class SetBaseObject implements ISetBaseObject {

    protected _discriminator: string;

    constructor(data?: ISetBaseObject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "SetBaseObject";
    }

    init(_data?: any) {
    }

    static fromJS(data: any): SetBaseObject {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "SetUser") {
            let result = new SetUser();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetUserRole") {
            let result = new SetUserRole();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetUserGroup") {
            let result = new SetUserGroup();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetSetting") {
            let result = new SetSetting();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetPublication") {
            let result = new SetPublication();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetManagedObject") {
            let result = new SetManagedObject();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetDocumentObject") {
            let result = new SetDocumentObject();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetOutputFormat") {
            let result = new SetOutputFormat();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetFolder") {
            let result = new SetFolder();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetElectronicDocumentType") {
            let result = new SetElectronicDocumentType();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetBaseline") {
            let result = new SetBaseline();
            result.init(data);
            return result;
        }
        let result = new SetBaseObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        return data;
    }
}

/** Represents an object. */
export interface ISetBaseObject {
}

/** Represents a baseline. */
export class SetBaseline extends SetBaseObject implements ISetBaseline {
    /** The identifier. */
    id!: string;

    constructor(data?: ISetBaseline) {
        super(data);
        this._discriminator = "SetBaseline";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): SetBaseline {
        data = typeof data === 'object' ? data : {};
        let result = new SetBaseline();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        super.toJSON(data);
        return data;
    }
}

/** Represents a baseline. */
export interface ISetBaseline extends ISetBaseObject {
    /** The identifier. */
    id: string;
}

/** Represents a field value that contains information to access a field, and the value associated with the field. */
export class SetFieldValue implements ISetFieldValue {

    protected _discriminator: string;

    constructor(data?: ISetFieldValue) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "SetFieldValue";
    }

    init(_data?: any) {
    }

    static fromJS(data: any): SetFieldValue {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "SetCardFieldValue") {
            let result = new SetCardFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetDateTimeFieldValue") {
            let result = new SetDateTimeFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetLovFieldValue") {
            let result = new SetLovFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetMultiCardFieldValue") {
            let result = new SetMultiCardFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetMultiDateTimeFieldValue") {
            let result = new SetMultiDateTimeFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetMultiLovFieldValue") {
            let result = new SetMultiLovFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetMultiNumberFieldValue") {
            let result = new SetMultiNumberFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetMultiStringFieldValue") {
            let result = new SetMultiStringFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetMultiTagFieldValue") {
            let result = new SetMultiTagFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetMultiVersionFieldValue") {
            let result = new SetMultiVersionFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetNumberFieldValue") {
            let result = new SetNumberFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetObjectFieldValue") {
            let result = new SetObjectFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetStringFieldValue") {
            let result = new SetStringFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetTagFieldValue") {
            let result = new SetTagFieldValue();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetVersionFieldValue") {
            let result = new SetVersionFieldValue();
            result.init(data);
            return result;
        }
        let result = new SetFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        return data;
    }
}

/** Represents a field value that contains information to access a field, and the value associated with the field. */
export interface ISetFieldValue {
}

export class SetCardFieldValue extends SetFieldValue implements ISetCardFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: SetBaseObject | undefined;

    constructor(data?: ISetCardFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetCardFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            this.value = _data["value"] ? SetBaseObject.fromJS(_data["value"]) : <any>undefined;
        }
    }

    static fromJS(data: any): SetCardFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetCardFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        data["value"] = this.value ? this.value.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

export interface ISetCardFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: SetBaseObject | undefined;
}

export class SetDateTimeFieldValue extends SetFieldValue implements ISetDateTimeFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: Date | undefined;

    constructor(data?: ISetDateTimeFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetDateTimeFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            this.value = _data["value"] ? new Date(_data["value"].toString()) : <any>undefined;
        }
    }

    static fromJS(data: any): SetDateTimeFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetDateTimeFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        data["value"] = this.value ? this.value.toISOString() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

export interface ISetDateTimeFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: Date | undefined;
}

/** Represents an object to set a Document object or Publication. */
export class SetManagedObject extends SetBaseObject implements ISetManagedObject {
    /** The language card identifier. */
    languageCardId?: number | undefined;
    /** The version card identifier. */
    versionCardId?: number | undefined;
    /** The logical identifier. */
    logicalId?: string | undefined;

    protected _discriminator: string;

    constructor(data?: ISetManagedObject) {
        super(data);
        this._discriminator = "SetManagedObject";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.languageCardId = _data["languageCardId"];
            this.versionCardId = _data["versionCardId"];
            this.logicalId = _data["logicalId"];
        }
    }

    static fromJS(data: any): SetManagedObject {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "SetPublication") {
            let result = new SetPublication();
            result.init(data);
            return result;
        }
        if (data["type"] === "SetDocumentObject") {
            let result = new SetDocumentObject();
            result.init(data);
            return result;
        }
        let result = new SetManagedObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        data["languageCardId"] = this.languageCardId;
        data["versionCardId"] = this.versionCardId;
        data["logicalId"] = this.logicalId;
        super.toJSON(data);
        return data;
    }
}

/** Represents an object to set a Document object or Publication. */
export interface ISetManagedObject extends ISetBaseObject {
    /** The language card identifier. */
    languageCardId?: number | undefined;
    /** The version card identifier. */
    versionCardId?: number | undefined;
    /** The logical identifier. */
    logicalId?: string | undefined;
}

/** Represents a document. <remarks>"SetDocumentObject" must be identified by only one identifier either "LogicalId", "VersionCardId" or "LanguageCardId". </remarks> */
export class SetDocumentObject extends SetManagedObject implements ISetDocumentObject {

    constructor(data?: ISetDocumentObject) {
        super(data);
        this._discriminator = "SetDocumentObject";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): SetDocumentObject {
        data = typeof data === 'object' ? data : {};
        let result = new SetDocumentObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a document. <remarks>"SetDocumentObject" must be identified by only one identifier either "LogicalId", "VersionCardId" or "LanguageCardId". </remarks> */
export interface ISetDocumentObject extends ISetManagedObject {
}

/** Represents a edt. */
export class SetElectronicDocumentType extends SetBaseObject implements ISetElectronicDocumentType {
    /** The identifier. */
    id!: string;

    constructor(data?: ISetElectronicDocumentType) {
        super(data);
        this._discriminator = "SetElectronicDocumentType";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): SetElectronicDocumentType {
        data = typeof data === 'object' ? data : {};
        let result = new SetElectronicDocumentType();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        super.toJSON(data);
        return data;
    }
}

/** Represents a edt. */
export interface ISetElectronicDocumentType extends ISetBaseObject {
    /** The identifier. */
    id: string;
}

/** Represents a field tag that contains information to access a field, and the tags associated with the field. */
export class SetFieldTag implements ISetFieldTag {
    /** The list of tags. */
    tags?: SetTag[];
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;

    constructor(data?: ISetFieldTag) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.ishField = new IshField();
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["tags"])) {
                this.tags = [] as any;
                for (let item of _data["tags"])
                    this.tags!.push(SetTag.fromJS(item));
            }
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
        }
    }

    static fromJS(data: any): SetFieldTag {
        data = typeof data === 'object' ? data : {};
        let result = new SetFieldTag();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.tags)) {
            data["tags"] = [];
            for (let item of this.tags)
                data["tags"].push(item.toJSON());
        }
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        return data;
    }
}

/** Represents a field tag that contains information to access a field, and the tags associated with the field. */
export interface ISetFieldTag {
    /** The list of tags. */
    tags?: SetTag[];
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
}

/** Represents a folder. */
export class SetFolder extends SetBaseObject implements ISetFolder {
    /** The identifier. */
    id!: string;

    constructor(data?: ISetFolder) {
        super(data);
        this._discriminator = "SetFolder";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): SetFolder {
        data = typeof data === 'object' ? data : {};
        let result = new SetFolder();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        super.toJSON(data);
        return data;
    }
}

/** Represents a folder. */
export interface ISetFolder extends ISetBaseObject {
    /** The identifier. */
    id: string;
}

export class SetLovFieldValue extends SetFieldValue implements ISetLovFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: SetLovValue | undefined;

    constructor(data?: ISetLovFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetLovFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            this.value = _data["value"] ? SetLovValue.fromJS(_data["value"]) : <any>undefined;
        }
    }

    static fromJS(data: any): SetLovFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetLovFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        data["value"] = this.value ? this.value.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

export interface ISetLovFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: SetLovValue | undefined;
}

/** Represents a settable item in a value list. */
export class SetLovValue implements ISetLovValue {
    /** The identifier. */
    id!: string;

    constructor(data?: ISetLovValue) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): SetLovValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetLovValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** Represents a settable item in a value list. */
export interface ISetLovValue {
    /** The identifier. */
    id: string;
}

export class SetMultiCardFieldValue extends SetFieldValue implements ISetMultiCardFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: SetBaseObject[];

    constructor(data?: ISetMultiCardFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetMultiCardFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(SetBaseObject.fromJS(item));
            }
        }
    }

    static fromJS(data: any): SetMultiCardFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetMultiCardFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

export interface ISetMultiCardFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: SetBaseObject[];
}

export class SetMultiDateTimeFieldValue extends SetFieldValue implements ISetMultiDateTimeFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: Date[];

    constructor(data?: ISetMultiDateTimeFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetMultiDateTimeFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(new Date(item));
            }
        }
    }

    static fromJS(data: any): SetMultiDateTimeFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetMultiDateTimeFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toISOString());
        }
        super.toJSON(data);
        return data;
    }
}

export interface ISetMultiDateTimeFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: Date[];
}

export class SetMultiLovFieldValue extends SetFieldValue implements ISetMultiLovFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: SetLovValue[];

    constructor(data?: ISetMultiLovFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetMultiLovFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(SetLovValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): SetMultiLovFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetMultiLovFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

export interface ISetMultiLovFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: SetLovValue[];
}

export class SetMultiNumberFieldValue extends SetFieldValue implements ISetMultiNumberFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: number[];

    constructor(data?: ISetMultiNumberFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetMultiNumberFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): SetMultiNumberFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetMultiNumberFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

export interface ISetMultiNumberFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: number[];
}

export class SetMultiStringFieldValue extends SetFieldValue implements ISetMultiStringFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: string[];

    constructor(data?: ISetMultiStringFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetMultiStringFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): SetMultiStringFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetMultiStringFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

export interface ISetMultiStringFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: string[];
}

export class SetMultiTagFieldValue extends SetFieldValue implements ISetMultiTagFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: SetTag[];

    constructor(data?: ISetMultiTagFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetMultiTagFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(SetTag.fromJS(item));
            }
        }
    }

    static fromJS(data: any): SetMultiTagFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetMultiTagFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

export interface ISetMultiTagFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: SetTag[];
}

export class SetMultiVersionFieldValue extends SetFieldValue implements ISetMultiVersionFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: string[];

    constructor(data?: ISetMultiVersionFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetMultiVersionFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): SetMultiVersionFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetMultiVersionFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

export interface ISetMultiVersionFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: string[];
}

/** The request object to set current user preferences that match the criteria given in the properties. */
export class SetMyPreferencesParameters implements ISetMyPreferencesParameters {
    /** The name of the preference set to be updated. */
    setName!: string;

    constructor(data?: ISetMyPreferencesParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.setName = _data["setName"];
        }
    }

    static fromJS(data: any): SetMyPreferencesParameters {
        data = typeof data === 'object' ? data : {};
        let result = new SetMyPreferencesParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["setName"] = this.setName;
        return data;
    }
}

/** The request object to set current user preferences that match the criteria given in the properties. */
export interface ISetMyPreferencesParameters {
    /** The name of the preference set to be updated. */
    setName: string;
}

export class SetNumberFieldValue extends SetFieldValue implements ISetNumberFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: number | undefined;

    constructor(data?: ISetNumberFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetNumberFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): SetNumberFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetNumberFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface ISetNumberFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: number | undefined;
}

export class SetObjectFieldValue extends SetFieldValue implements ISetObjectFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: any | undefined;

    constructor(data?: ISetObjectFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetObjectFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): SetObjectFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetObjectFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface ISetObjectFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: any | undefined;
}

/** Represents an OutputFormat. */
export class SetOutputFormat extends SetBaseObject implements ISetOutputFormat {
    /** The identifier. */
    id!: string;

    constructor(data?: ISetOutputFormat) {
        super(data);
        this._discriminator = "SetOutputFormat";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): SetOutputFormat {
        data = typeof data === 'object' ? data : {};
        let result = new SetOutputFormat();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        super.toJSON(data);
        return data;
    }
}

/** Represents an OutputFormat. */
export interface ISetOutputFormat extends ISetBaseObject {
    /** The identifier. */
    id: string;
}

/** Represents user preference item. */
export class SetPreferenceItem implements ISetPreferenceItem {
    /** The name of the preference item. */
    name!: string;
    /** The value of the  preference item. */
    value?: string | undefined;

    constructor(data?: ISetPreferenceItem) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.name = _data["name"];
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): SetPreferenceItem {
        data = typeof data === 'object' ? data : {};
        let result = new SetPreferenceItem();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["name"] = this.name;
        data["value"] = this.value;
        return data;
    }
}

/** Represents user preference item. */
export interface ISetPreferenceItem {
    /** The name of the preference item. */
    name: string;
    /** The value of the  preference item. */
    value?: string | undefined;
}

/** The request object to set user preferences that match the criteria given in the properties. */
export class SetPreferencesParameters implements ISetPreferencesParameters {
    /** The identifier of the user. */
    id!: string;
    /** The name of the preference set to be updated. */
    setName!: string;

    constructor(data?: ISetPreferencesParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
            this.setName = _data["setName"];
        }
    }

    static fromJS(data: any): SetPreferencesParameters {
        data = typeof data === 'object' ? data : {};
        let result = new SetPreferencesParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        data["setName"] = this.setName;
        return data;
    }
}

/** The request object to set user preferences that match the criteria given in the properties. */
export interface ISetPreferencesParameters {
    /** The identifier of the user. */
    id: string;
    /** The name of the preference set to be updated. */
    setName: string;
}

/** Represents a publication. <remarks>"SetPublication" must be identified by only one identifier either "LogicalId", "VersionCardId" or "LanguageCardId". </remarks> */
export class SetPublication extends SetManagedObject implements ISetPublication {

    constructor(data?: ISetPublication) {
        super(data);
        this._discriminator = "SetPublication";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): SetPublication {
        data = typeof data === 'object' ? data : {};
        let result = new SetPublication();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a publication. <remarks>"SetPublication" must be identified by only one identifier either "LogicalId", "VersionCardId" or "LanguageCardId". </remarks> */
export interface ISetPublication extends ISetManagedObject {
}

/** Represents a setting. */
export class SetSetting extends SetBaseObject implements ISetSetting {
    /** The identifier. */
    id!: string;

    constructor(data?: ISetSetting) {
        super(data);
        this._discriminator = "SetSetting";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): SetSetting {
        data = typeof data === 'object' ? data : {};
        let result = new SetSetting();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        super.toJSON(data);
        return data;
    }
}

/** Represents a setting. */
export interface ISetSetting extends ISetBaseObject {
    /** The identifier. */
    id: string;
}

export class SetStringFieldValue extends SetFieldValue implements ISetStringFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: string | undefined;

    constructor(data?: ISetStringFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetStringFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): SetStringFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetStringFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface ISetStringFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: string | undefined;
}

/** Represents a tag. */
export class SetTag implements ISetTag {
    /** The identifier. */
    id!: string;

    constructor(data?: ISetTag) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): SetTag {
        data = typeof data === 'object' ? data : {};
        let result = new SetTag();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** Represents a tag. */
export interface ISetTag {
    /** The identifier. */
    id: string;
}

export class SetTagFieldValue extends SetFieldValue implements ISetTagFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: SetTag | undefined;

    constructor(data?: ISetTagFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetTagFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            this.value = _data["value"] ? SetTag.fromJS(_data["value"]) : <any>undefined;
        }
    }

    static fromJS(data: any): SetTagFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetTagFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        data["value"] = this.value ? this.value.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

export interface ISetTagFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: SetTag | undefined;
}

/** Represents a user. */
export class SetUser extends SetBaseObject implements ISetUser {
    /** The identifier. */
    id!: string;

    constructor(data?: ISetUser) {
        super(data);
        this._discriminator = "SetUser";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): SetUser {
        data = typeof data === 'object' ? data : {};
        let result = new SetUser();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        super.toJSON(data);
        return data;
    }
}

/** Represents a user. */
export interface ISetUser extends ISetBaseObject {
    /** The identifier. */
    id: string;
}

/** Represents a user group. */
export class SetUserGroup extends SetBaseObject implements ISetUserGroup {
    /** The identifier. */
    id!: string;

    constructor(data?: ISetUserGroup) {
        super(data);
        this._discriminator = "SetUserGroup";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): SetUserGroup {
        data = typeof data === 'object' ? data : {};
        let result = new SetUserGroup();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        super.toJSON(data);
        return data;
    }
}

/** Represents a user group. */
export interface ISetUserGroup extends ISetBaseObject {
    /** The identifier. */
    id: string;
}

/** Represents a user role. */
export class SetUserRole extends SetBaseObject implements ISetUserRole {
    /** The identifier. */
    id!: string;

    constructor(data?: ISetUserRole) {
        super(data);
        this._discriminator = "SetUserRole";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): SetUserRole {
        data = typeof data === 'object' ? data : {};
        let result = new SetUserRole();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        super.toJSON(data);
        return data;
    }
}

/** Represents a user role. */
export interface ISetUserRole extends ISetBaseObject {
    /** The identifier. */
    id: string;
}

export class SetVersionFieldValue extends SetFieldValue implements ISetVersionFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField!: IshField;
    /** The field value. */
    value?: string | undefined;

    constructor(data?: ISetVersionFieldValue) {
        super(data);
        if (!data) {
            this.ishField = new IshField();
        }
        this._discriminator = "SetVersionFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.ishField = _data["ishField"] ? IshField.fromJS(_data["ishField"]) : new IshField();
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): SetVersionFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new SetVersionFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["ishField"] = this.ishField ? this.ishField.toJSON() : <any>undefined;
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface ISetVersionFieldValue extends ISetFieldValue {
    /** The field with information the name/label of the InfoShare field (e.g. FTITLE) and the level of the InfoShare field (e.g. logical, version, lng). */
    ishField: IshField;
    /** The field value. */
    value?: string | undefined;
}

/** Represents a setting. */
export class Setting extends BaseObject implements ISetting {

    constructor(data?: ISetting) {
        super(data);
        this._discriminator = "Setting";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): Setting {
        data = typeof data === 'object' ? data : {};
        let result = new Setting();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a setting. */
export interface ISetting extends IBaseObject {
}

/** List of Severity Levels */
export enum SeverityLevel {
    Error = "error",
    Warning = "warning",
    Message = "message",
    Info = "info",
}

/** Represents status element in the report configuration XML. */
export class Status implements IStatus {
    /** The value of the status element in the report configuration XML. */
    value?: LovValue;
    /** List of the possible next statuses. */
    nextStatuses?: NextStatus[] | undefined;

    constructor(data?: IStatus) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.value = _data["value"] ? LovValue.fromJS(_data["value"]) : <any>undefined;
            if (Array.isArray(_data["nextStatuses"])) {
                this.nextStatuses = [] as any;
                for (let item of _data["nextStatuses"])
                    this.nextStatuses!.push(NextStatus.fromJS(item));
            }
        }
    }

    static fromJS(data: any): Status {
        data = typeof data === 'object' ? data : {};
        let result = new Status();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value ? this.value.toJSON() : <any>undefined;
        if (Array.isArray(this.nextStatuses)) {
            data["nextStatuses"] = [];
            for (let item of this.nextStatuses)
                data["nextStatuses"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents status element in the report configuration XML. */
export interface IStatus {
    /** The value of the status element in the report configuration XML. */
    value?: LovValue;
    /** List of the possible next statuses. */
    nextStatuses?: NextStatus[] | undefined;
}

/** Represents an item in a value list. */
export class StatusDefinition implements IStatusDefinition {
    /** Status: A Trisoft.InfoShare.WebApi.V30.Models.LovValue describing the status value of the definition. */
    status?: LovValue;
    /** StatusType: Type of the status described in Trisoft.InfoShare.WebApi.V30.Workflows.Models.StatusDefinition.Status. */
    statusType?: StatusType;

    constructor(data?: IStatusDefinition) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.status = _data["status"] ? LovValue.fromJS(_data["status"]) : <any>undefined;
            this.statusType = _data["statusType"];
        }
    }

    static fromJS(data: any): StatusDefinition {
        data = typeof data === 'object' ? data : {};
        let result = new StatusDefinition();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["status"] = this.status ? this.status.toJSON() : <any>undefined;
        data["statusType"] = this.statusType;
        return data;
    }
}

/** Represents an item in a value list. */
export interface IStatusDefinition {
    /** Status: A Trisoft.InfoShare.WebApi.V30.Models.LovValue describing the status value of the definition. */
    status?: LovValue;
    /** StatusType: Type of the status described in Trisoft.InfoShare.WebApi.V30.Workflows.Models.StatusDefinition.Status. */
    statusType?: StatusType;
}

/** Allows explicit filtering on the language level status field. <remarks> Depending on which status filter is specified, the objects with following status types can be returned: <table class="table"><thead><tr><th>Status filter</th><th>Returned status types</th></tr></thead><tbody><tr><td>All</td><td>All status types</td></tr><tr><td>LatestReleased</td><td>Latest released excluding out-of-date</td></tr><tr><td>DraftOrLatestReleased</td><td>Draft and latest released excluding out-of-date</td></tr><tr><td>AllReleased</td><td>All released including out-of-date</td></tr></tbody></table></remarks> */
export enum StatusFilter {
    All = "all",
    LatestReleased = "latestReleased",
    DraftOrLatestReleased = "draftOrLatestReleased",
    AllReleased = "allReleased",
}

/** Represents status group element in the report configuration XML. */
export class StatusGroup implements IStatusGroup {
    /** The status group title. */
    title?: string;
    /** List of the possible statuses. */
    statuses?: Status[];

    constructor(data?: IStatusGroup) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.title = _data["title"];
            if (Array.isArray(_data["statuses"])) {
                this.statuses = [] as any;
                for (let item of _data["statuses"])
                    this.statuses!.push(Status.fromJS(item));
            }
        }
    }

    static fromJS(data: any): StatusGroup {
        data = typeof data === 'object' ? data : {};
        let result = new StatusGroup();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["title"] = this.title;
        if (Array.isArray(this.statuses)) {
            data["statuses"] = [];
            for (let item of this.statuses)
                data["statuses"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents status group element in the report configuration XML. */
export interface IStatusGroup {
    /** The status group title. */
    title?: string;
    /** List of the possible statuses. */
    statuses?: Status[];
}

/** Represents statistics element in the report configuration XML. */
export class StatusStatistics implements IStatusStatistics {
    /** The source language list of status groups. */
    sourceLanguageStatusGroups?: StatusGroup[];

    protected _discriminator: string;

    constructor(data?: IStatusStatistics) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        this._discriminator = "StatusStatistics";
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["sourceLanguageStatusGroups"])) {
                this.sourceLanguageStatusGroups = [] as any;
                for (let item of _data["sourceLanguageStatusGroups"])
                    this.sourceLanguageStatusGroups!.push(StatusGroup.fromJS(item));
            }
        }
    }

    static fromJS(data: any): StatusStatistics {
        data = typeof data === 'object' ? data : {};
        if (data["type"] === "TranslationStatusStatistics") {
            let result = new TranslationStatusStatistics();
            result.init(data);
            return result;
        }
        let result = new StatusStatistics();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["type"] = this._discriminator;
        if (Array.isArray(this.sourceLanguageStatusGroups)) {
            data["sourceLanguageStatusGroups"] = [];
            for (let item of this.sourceLanguageStatusGroups)
                data["sourceLanguageStatusGroups"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents statistics element in the report configuration XML. */
export interface IStatusStatistics {
    /** The source language list of status groups. */
    sourceLanguageStatusGroups?: StatusGroup[];
}

/** Enumeration with the possible status types */
export enum StatusType {
    Draft = "draft",
    Released = "released",
}

export class StringFieldValue extends FieldValue implements IStringFieldValue {
    value?: string | undefined;

    constructor(data?: IStringFieldValue) {
        super(data);
        this._discriminator = "StringFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): StringFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new StringFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface IStringFieldValue extends IFieldValue {
    value?: string | undefined;
}

export class StringFilterFieldValue extends FilterFieldValue implements IStringFilterFieldValue {
    /** The filter field value. */
    value!: string[];

    constructor(data?: IStringFilterFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "StringFilterFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): StringFilterFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new StringFilterFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

export interface IStringFilterFieldValue extends IFilterFieldValue {
    /** The filter field value. */
    value: string[];
}

/** Represents search field value of type System.Collections.Generic.IList`1. */
export class StringSearchFieldValue extends SearchFieldValue implements IStringSearchFieldValue {
    /** Collection of values to search for. */
    value!: string[];

    constructor(data?: IStringSearchFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "StringSearchFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(item);
            }
        }
    }

    static fromJS(data: any): StringSearchFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new StringSearchFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item);
        }
        super.toJSON(data);
        return data;
    }
}

/** Represents search field value of type System.Collections.Generic.IList`1. */
export interface IStringSearchFieldValue extends ISearchFieldValue {
    /** Collection of values to search for. */
    value: string[];
}

/** Represents a tag. */
export class Tag extends BaseItem implements ITag {
    /** The annotated title of the tag. */
    annotatedTitle?: string | undefined;
    /** A value that indicates whether the tag can be selected. */
    isSelectable?: boolean;
    /** A value that indicates whether the tag is valid. */
    isValid?: boolean;

    constructor(data?: ITag) {
        super(data);
        this._discriminator = "Tag";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.annotatedTitle = _data["annotatedTitle"];
            this.isSelectable = _data["isSelectable"];
            this.isValid = _data["isValid"];
        }
    }

    static fromJS(data: any): Tag {
        data = typeof data === 'object' ? data : {};
        let result = new Tag();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["annotatedTitle"] = this.annotatedTitle;
        data["isSelectable"] = this.isSelectable;
        data["isValid"] = this.isValid;
        super.toJSON(data);
        return data;
    }
}

/** Represents a tag. */
export interface ITag extends IBaseItem {
    /** The annotated title of the tag. */
    annotatedTitle?: string | undefined;
    /** A value that indicates whether the tag can be selected. */
    isSelectable?: boolean;
    /** A value that indicates whether the tag is valid. */
    isValid?: boolean;
}

export class TagFieldValue extends FieldValue implements ITagFieldValue {
    /** Represents a tag. */
    value?: Tag | undefined;

    constructor(data?: ITagFieldValue) {
        super(data);
        this._discriminator = "TagFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"] ? Tag.fromJS(_data["value"]) : <any>undefined;
        }
    }

    static fromJS(data: any): TagFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new TagFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value ? this.value.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

export interface ITagFieldValue extends IFieldValue {
    /** Represents a tag. */
    value?: Tag | undefined;
}

export class TagFilterFieldValue extends FilterFieldValue implements ITagFilterFieldValue {
    /** The filter field value. */
    value!: SetTag[];

    constructor(data?: ITagFilterFieldValue) {
        super(data);
        if (!data) {
            this.value = [];
        }
        this._discriminator = "TagFilterFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["value"])) {
                this.value = [] as any;
                for (let item of _data["value"])
                    this.value!.push(SetTag.fromJS(item));
            }
        }
    }

    static fromJS(data: any): TagFilterFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new TagFilterFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.value)) {
            data["value"] = [];
            for (let item of this.value)
                data["value"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

export interface ITagFilterFieldValue extends IFilterFieldValue {
    /** The filter field value. */
    value: SetTag[];
}

/** Represents a tag relation. */
export class TagRelation implements ITagRelation {
    /** The from tag id. If this property is null or System.String.Empty, it indicates that this term appears as a root in the tree. */
    fromId?: string | undefined;
    /** The to tag id. */
    toId?: string;

    constructor(data?: ITagRelation) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.fromId = _data["fromId"];
            this.toId = _data["toId"];
        }
    }

    static fromJS(data: any): TagRelation {
        data = typeof data === 'object' ? data : {};
        let result = new TagRelation();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["fromId"] = this.fromId;
        data["toId"] = this.toId;
        return data;
    }
}

/** Represents a tag relation. */
export interface ITagRelation {
    /** The from tag id. If this property is null or System.String.Empty, it indicates that this term appears as a root in the tree. */
    fromId?: string | undefined;
    /** The to tag id. */
    toId?: string;
}

/** Represents a tags structure. */
export class TagStructure implements ITagStructure {
    /** The list of tags. */
    tags?: Tag[];
    /** The list of tag relations. */
    relations?: TagRelation[];
    /** The list of messages. */
    messages?: Message[] | undefined;

    constructor(data?: ITagStructure) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["tags"])) {
                this.tags = [] as any;
                for (let item of _data["tags"])
                    this.tags!.push(Tag.fromJS(item));
            }
            if (Array.isArray(_data["relations"])) {
                this.relations = [] as any;
                for (let item of _data["relations"])
                    this.relations!.push(TagRelation.fromJS(item));
            }
            if (Array.isArray(_data["messages"])) {
                this.messages = [] as any;
                for (let item of _data["messages"])
                    this.messages!.push(Message.fromJS(item));
            }
        }
    }

    static fromJS(data: any): TagStructure {
        data = typeof data === 'object' ? data : {};
        let result = new TagStructure();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.tags)) {
            data["tags"] = [];
            for (let item of this.tags)
                data["tags"].push(item.toJSON());
        }
        if (Array.isArray(this.relations)) {
            data["relations"] = [];
            for (let item of this.relations)
                data["relations"].push(item.toJSON());
        }
        if (Array.isArray(this.messages)) {
            data["messages"] = [];
            for (let item of this.messages)
                data["messages"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a tags structure. */
export interface ITagStructure {
    /** The list of tags. */
    tags?: Tag[];
    /** The list of tag relations. */
    relations?: TagRelation[];
    /** The list of messages. */
    messages?: Message[] | undefined;
}

/** Represents a terminate event model. */
export class TerminateEvent implements ITerminateEvent {
    /** Final status of the event.
<remarks>Busy status is not allowed.</remarks> */
    status!: ProgressStatus;
    /** The current position within the progress range. */
    currentProgress?: number | undefined;
    /** The maximum progress you expect for this type of event. */
    maximumProgress?: number | undefined;

    constructor(data?: ITerminateEvent) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.status = _data["status"];
            this.currentProgress = _data["currentProgress"];
            this.maximumProgress = _data["maximumProgress"];
        }
    }

    static fromJS(data: any): TerminateEvent {
        data = typeof data === 'object' ? data : {};
        let result = new TerminateEvent();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["status"] = this.status;
        data["currentProgress"] = this.currentProgress;
        data["maximumProgress"] = this.maximumProgress;
        return data;
    }
}

/** Represents a terminate event model. */
export interface ITerminateEvent {
    /** Final status of the event.
<remarks>Busy status is not allowed.</remarks> */
    status: ProgressStatus;
    /** The current position within the progress range. */
    currentProgress?: number | undefined;
    /** The maximum progress you expect for this type of event. */
    maximumProgress?: number | undefined;
}

/** Request parameters identifying the terminate event. */
export class TerminateEventParameters implements ITerminateEventParameters {
    progressId!: number;

    constructor(data?: ITerminateEventParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.progressId = _data["progressId"];
        }
    }

    static fromJS(data: any): TerminateEventParameters {
        data = typeof data === 'object' ? data : {};
        let result = new TerminateEventParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["progressId"] = this.progressId;
        return data;
    }
}

/** Request parameters identifying the terminate event. */
export interface ITerminateEventParameters {
    progressId: number;
}

/** Represents a ToStatus. */
export class ToStatus implements IToStatus {
    /** The Label of the ToStatus. */
    label?: string;
    /** The LovValue. */
    lovValue?: LovValue;

    constructor(data?: IToStatus) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.label = _data["label"];
            this.lovValue = _data["lovValue"] ? LovValue.fromJS(_data["lovValue"]) : <any>undefined;
        }
    }

    static fromJS(data: any): ToStatus {
        data = typeof data === 'object' ? data : {};
        let result = new ToStatus();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["label"] = this.label;
        data["lovValue"] = this.lovValue ? this.lovValue.toJSON() : <any>undefined;
        return data;
    }
}

/** Represents a ToStatus. */
export interface IToStatus {
    /** The Label of the ToStatus. */
    label?: string;
    /** The LovValue. */
    lovValue?: LovValue;
}

/** Represents the translation report configuration. */
export class TranslationReportSettings extends ReportSettings implements ITranslationReportSettings {
    /** Represents status statistic configuration. */
    statistics?: TranslationStatusStatistics;

    constructor(data?: ITranslationReportSettings) {
        super(data);
        this._discriminator = "TranslationReportSettings";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.statistics = _data["statistics"] ? TranslationStatusStatistics.fromJS(_data["statistics"]) : <any>undefined;
        }
    }

    static fromJS(data: any): TranslationReportSettings {
        data = typeof data === 'object' ? data : {};
        let result = new TranslationReportSettings();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["statistics"] = this.statistics ? this.statistics.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

/** Represents the translation report configuration. */
export interface ITranslationReportSettings extends IReportSettings {
    /** Represents status statistic configuration. */
    statistics?: TranslationStatusStatistics;
}

/** Represents statistics element in the report configuration XML. */
export class TranslationStatusStatistics extends StatusStatistics implements ITranslationStatusStatistics {
    /** The target language list of status groups. */
    targetLanguageStatusGroups?: StatusGroup[];

    constructor(data?: ITranslationStatusStatistics) {
        super(data);
        this._discriminator = "TranslationStatusStatistics";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            if (Array.isArray(_data["targetLanguageStatusGroups"])) {
                this.targetLanguageStatusGroups = [] as any;
                for (let item of _data["targetLanguageStatusGroups"])
                    this.targetLanguageStatusGroups!.push(StatusGroup.fromJS(item));
            }
        }
    }

    static fromJS(data: any): TranslationStatusStatistics {
        data = typeof data === 'object' ? data : {};
        let result = new TranslationStatusStatistics();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.targetLanguageStatusGroups)) {
            data["targetLanguageStatusGroups"] = [];
            for (let item of this.targetLanguageStatusGroups)
                data["targetLanguageStatusGroups"].push(item.toJSON());
        }
        super.toJSON(data);
        return data;
    }
}

/** Represents statistics element in the report configuration XML. */
export interface ITranslationStatusStatistics extends IStatusStatistics {
    /** The target language list of status groups. */
    targetLanguageStatusGroups?: StatusGroup[];
}

/** Represents model to undo checkout of a document */
export class UndoCheckoutDocumentObject implements IUndoCheckoutDocumentObject {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to undo checkout the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];

    constructor(data?: IUndoCheckoutDocumentObject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UndoCheckoutDocumentObject {
        data = typeof data === 'object' ? data : {};
        let result = new UndoCheckoutDocumentObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents model to undo checkout of a document */
export interface IUndoCheckoutDocumentObject {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to undo checkout the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];
}

/** Request parameters to undo the checkout of the document object specified by the language card identifier. */
export class UndoCheckoutDocumentObjectParameters implements IUndoCheckoutDocumentObjectParameters {
    /** The language card identifier of the document object. */
    languageCardId!: number;

    constructor(data?: IUndoCheckoutDocumentObjectParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.languageCardId = _data["languageCardId"];
        }
    }

    static fromJS(data: any): UndoCheckoutDocumentObjectParameters {
        data = typeof data === 'object' ? data : {};
        let result = new UndoCheckoutDocumentObjectParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["languageCardId"] = this.languageCardId;
        return data;
    }
}

/** Request parameters to undo the checkout of the document object specified by the language card identifier. */
export interface IUndoCheckoutDocumentObjectParameters {
    /** The language card identifier of the document object. */
    languageCardId: number;
}

/** Represents an unpublish model for publication. */
export class UnpublishPublication implements IUnpublishPublication {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to publish the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication. */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IUnpublishPublication) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UnpublishPublication {
        data = typeof data === 'object' ? data : {};
        let result = new UnpublishPublication();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an unpublish model for publication. */
export interface IUnpublishPublication {
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to publish the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication. */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Model representing parameters for unreleasing a publication */
export class UnreleasePublication implements IUnreleasePublication {
    /** Fields that will be used in concurrency check. */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IUnreleasePublication) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UnreleasePublication {
        data = typeof data === 'object' ? data : {};
        let result = new UnreleasePublication();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Model representing parameters for unreleasing a publication */
export interface IUnreleasePublication {
    /** Fields that will be used in concurrency check. */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Represents a document. */
export class UpdateDocumentObject implements IUpdateDocumentObject {
    /** The list of field values to be changed. */
    fields!: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];

    constructor(data?: IUpdateDocumentObject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.fields = [];
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdateDocumentObject {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateDocumentObject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents a document. */
export interface IUpdateDocumentObject {
    /** The list of field values to be changed. */
    fields: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];
}

/** Request parameters to update the document object specified by the language card identifier. */
export class UpdateDocumentObjectByLanguageCardIdParameters implements IUpdateDocumentObjectByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId!: number;

    constructor(data?: IUpdateDocumentObjectByLanguageCardIdParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.languageCardId = _data["languageCardId"];
        }
    }

    static fromJS(data: any): UpdateDocumentObjectByLanguageCardIdParameters {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateDocumentObjectByLanguageCardIdParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["languageCardId"] = this.languageCardId;
        return data;
    }
}

/** Request parameters to update the document object specified by the language card identifier. */
export interface IUpdateDocumentObjectByLanguageCardIdParameters {
    /** The language card identifier of the document object. */
    languageCardId: number;
}

/** Request parameters to update the document object specified by the logical identifier, version, language and resolution. */
export class UpdateDocumentObjectByLogicalIdParameters implements IUpdateDocumentObjectByLogicalIdParameters {
    /** The logical identifier of the document object. */
    logicalId!: string;
    /** The version of the document object. */
    version?: string | undefined;
    /** The language of the document object. */
    language?: string | undefined;
    /** The resolution of the document object. */
    resolution?: string | undefined;

    constructor(data?: IUpdateDocumentObjectByLogicalIdParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.logicalId = _data["logicalId"];
            this.version = _data["version"];
            this.language = _data["language"];
            this.resolution = _data["resolution"];
        }
    }

    static fromJS(data: any): UpdateDocumentObjectByLogicalIdParameters {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateDocumentObjectByLogicalIdParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["logicalId"] = this.logicalId;
        data["version"] = this.version;
        data["language"] = this.language;
        data["resolution"] = this.resolution;
        return data;
    }
}

/** Request parameters to update the document object specified by the logical identifier, version, language and resolution. */
export interface IUpdateDocumentObjectByLogicalIdParameters {
    /** The logical identifier of the document object. */
    logicalId: string;
    /** The version of the document object. */
    version?: string | undefined;
    /** The language of the document object. */
    language?: string | undefined;
    /** The resolution of the document object. */
    resolution?: string | undefined;
}

/** Request object to update object content in the repository that match the criteria given in the properties. */
export class UpdateDocumentObjectContent implements IUpdateDocumentObjectContent {
    /** The list of field values to be changed. */
    fields?: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];

    constructor(data?: IUpdateDocumentObjectContent) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdateDocumentObjectContent {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateDocumentObjectContent();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Request object to update object content in the repository that match the criteria given in the properties. */
export interface IUpdateDocumentObjectContent {
    /** The list of field values to be changed. */
    fields?: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.DocumentObjects.Models.DocumentObject */
    requiredCurrentFields?: SetFieldValue[];
}

/** Represents an update folder model. */
export class UpdateFolder implements IUpdateFolder {
    /** The list of field values. */
    fields!: SetFieldValue[];

    constructor(data?: IUpdateFolder) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.fields = [];
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdateFolder {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateFolder();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an update folder model. */
export interface IUpdateFolder {
    /** The list of field values. */
    fields: SetFieldValue[];
}

/** Represents an update lov Value model. */
export class UpdateLovValue implements IUpdateLovValue {
    /** The lov value title */
    title!: string;
    /** The lov value description */
    description!: string;
    /** The lov value active status */
    active?: boolean;

    constructor(data?: IUpdateLovValue) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.title = _data["title"];
            this.description = _data["description"];
            this.active = _data["active"];
        }
    }

    static fromJS(data: any): UpdateLovValue {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateLovValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["title"] = this.title;
        data["description"] = this.description;
        data["active"] = this.active;
        return data;
    }
}

/** Represents an update lov Value model. */
export interface IUpdateLovValue {
    /** The lov value title */
    title: string;
    /** The lov value description */
    description: string;
    /** The lov value active status */
    active?: boolean;
}

/** Represents an update output format model */
export class UpdateOutputFormat implements IUpdateOutputFormat {
    /** The list of field values. */
    fields!: SetFieldValue[];

    constructor(data?: IUpdateOutputFormat) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.fields = [];
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdateOutputFormat {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateOutputFormat();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an update output format model */
export interface IUpdateOutputFormat {
    /** The list of field values. */
    fields: SetFieldValue[];
}

/** Represents an update output format model */
export class UpdateOutputFormatParameters implements IUpdateOutputFormatParameters {
    /** Identifier of the output format. */
    id!: string;

    constructor(data?: IUpdateOutputFormatParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): UpdateOutputFormatParameters {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateOutputFormatParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** Represents an update output format model */
export interface IUpdateOutputFormatParameters {
    /** Identifier of the output format. */
    id: string;
}

/** Represents an update current user preference set model. */
export class UpdatePreferenceSet implements IUpdatePreferenceSet {
    /** The list of preference items. */
    items!: SetPreferenceItem[];

    constructor(data?: IUpdatePreferenceSet) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.items = [];
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["items"])) {
                this.items = [] as any;
                for (let item of _data["items"])
                    this.items!.push(SetPreferenceItem.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdatePreferenceSet {
        data = typeof data === 'object' ? data : {};
        let result = new UpdatePreferenceSet();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.items)) {
            data["items"] = [];
            for (let item of this.items)
                data["items"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an update current user preference set model. */
export interface IUpdatePreferenceSet {
    /** The list of preference items. */
    items: SetPreferenceItem[];
}

/** Represents an update project model. */
export class UpdateProject implements IUpdateProject {
    /** The list of field values to be changed. */
    fields?: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.Projects.Models.Project */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IUpdateProject) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdateProject {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateProject();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an update project model. */
export interface IUpdateProject {
    /** The list of field values to be changed. */
    fields?: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.Projects.Models.Project */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Represent update project's assignee model. */
export class UpdateProjectAssignee implements IUpdateProjectAssignee {
    /** The list of field values to be changed. */
    fields?: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the assignee. */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IUpdateProjectAssignee) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdateProjectAssignee {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateProjectAssignee();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represent update project's assignee model. */
export interface IUpdateProjectAssignee {
    /** The list of field values to be changed. */
    fields?: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the assignee. */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Represents an update model for publication. */
export class UpdatePublication implements IUpdatePublication {
    /** The list of field values to be changed. */
    fields?: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication */
    requiredCurrentFields?: SetFieldValue[] | undefined;

    constructor(data?: IUpdatePublication) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdatePublication {
        data = typeof data === 'object' ? data : {};
        let result = new UpdatePublication();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an update model for publication. */
export interface IUpdatePublication {
    /** The list of field values to be changed. */
    fields?: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.Publications.Models.Publication */
    requiredCurrentFields?: SetFieldValue[] | undefined;
}

/** Represents an update settings model. */
export class UpdateSettings implements IUpdateSettings {
    /** The list of field values to be updated. */
    fields!: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.Settings.Models.Setting */
    requiredCurrentFields?: SetFieldValue[];

    constructor(data?: IUpdateSettings) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.fields = [];
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
            if (Array.isArray(_data["requiredCurrentFields"])) {
                this.requiredCurrentFields = [] as any;
                for (let item of _data["requiredCurrentFields"])
                    this.requiredCurrentFields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdateSettings {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateSettings();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        if (Array.isArray(this.requiredCurrentFields)) {
            data["requiredCurrentFields"] = [];
            for (let item of this.requiredCurrentFields)
                data["requiredCurrentFields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an update settings model. */
export interface IUpdateSettings {
    /** The list of field values to be updated. */
    fields: SetFieldValue[];
    /** Fields that will be used in concurrency check.
Each individual field in this collection should have the same exact value in the database in order to update the Trisoft.InfoShare.WebApi.V30.Settings.Models.Setting */
    requiredCurrentFields?: SetFieldValue[];
}

/** Represents an update status definition model. */
export class UpdateStatusDefinition implements IUpdateStatusDefinition {
    /** The status definition title */
    title!: string;
    /** The status definition description */
    description!: string;
    /** The status definition active status */
    active!: boolean;

    constructor(data?: IUpdateStatusDefinition) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.title = _data["title"];
            this.description = _data["description"];
            this.active = _data["active"];
        }
    }

    static fromJS(data: any): UpdateStatusDefinition {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateStatusDefinition();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["title"] = this.title;
        data["description"] = this.description;
        data["active"] = this.active;
        return data;
    }
}

/** Represents an update status definition model. */
export interface IUpdateStatusDefinition {
    /** The status definition title */
    title: string;
    /** The status definition description */
    description: string;
    /** The status definition active status */
    active: boolean;
}

/** Represents an update user model. */
export class UpdateUser implements IUpdateUser {
    /** The list of field values. */
    fields!: SetFieldValue[];

    constructor(data?: IUpdateUser) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.fields = [];
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdateUser {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateUser();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an update user model. */
export interface IUpdateUser {
    /** The list of field values. */
    fields: SetFieldValue[];
}

/** Represents an update user group model */
export class UpdateUserGroup implements IUpdateUserGroup {
    /** The list of field values. */
    fields!: SetFieldValue[];

    constructor(data?: IUpdateUserGroup) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.fields = [];
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdateUserGroup {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateUserGroup();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an update user group model */
export interface IUpdateUserGroup {
    /** The list of field values. */
    fields: SetFieldValue[];
}

/** Represents an update user group model */
export class UpdateUserGroupParameters implements IUpdateUserGroupParameters {
    /** Identifier of the group. */
    id!: string;

    constructor(data?: IUpdateUserGroupParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): UpdateUserGroupParameters {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateUserGroupParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** Represents an update user group model */
export interface IUpdateUserGroupParameters {
    /** Identifier of the group. */
    id: string;
}

/** The request object to update a user that match the criteria given in the properties. */
export class UpdateUserParameters implements IUpdateUserParameters {
    /** The identifier of the user. */
    id!: string;

    constructor(data?: IUpdateUserParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): UpdateUserParameters {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateUserParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** The request object to update a user that match the criteria given in the properties. */
export interface IUpdateUserParameters {
    /** The identifier of the user. */
    id: string;
}

/** Represents an update user role model */
export class UpdateUserRole implements IUpdateUserRole {
    /** The list of field values. */
    fields!: SetFieldValue[];

    constructor(data?: IUpdateUserRole) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
        if (!data) {
            this.fields = [];
        }
    }

    init(_data?: any) {
        if (_data) {
            if (Array.isArray(_data["fields"])) {
                this.fields = [] as any;
                for (let item of _data["fields"])
                    this.fields!.push(SetFieldValue.fromJS(item));
            }
        }
    }

    static fromJS(data: any): UpdateUserRole {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateUserRole();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        if (Array.isArray(this.fields)) {
            data["fields"] = [];
            for (let item of this.fields)
                data["fields"].push(item.toJSON());
        }
        return data;
    }
}

/** Represents an update user role model */
export interface IUpdateUserRole {
    /** The list of field values. */
    fields: SetFieldValue[];
}

/** Represents an update user role model */
export class UpdateUserRoleParameters implements IUpdateUserRoleParameters {
    /** Identifier of the role. */
    id!: string;

    constructor(data?: IUpdateUserRoleParameters) {
        if (data) {
            for (var property in data) {
                if (data.hasOwnProperty(property))
                    (<any>this)[property] = (<any>data)[property];
            }
        }
    }

    init(_data?: any) {
        if (_data) {
            this.id = _data["id"];
        }
    }

    static fromJS(data: any): UpdateUserRoleParameters {
        data = typeof data === 'object' ? data : {};
        let result = new UpdateUserRoleParameters();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["id"] = this.id;
        return data;
    }
}

/** Represents an update user role model */
export interface IUpdateUserRoleParameters {
    /** Identifier of the role. */
    id: string;
}

/** Represents a user. */
export class User extends BaseObject implements IUser {

    constructor(data?: IUser) {
        super(data);
        this._discriminator = "User";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): User {
        data = typeof data === 'object' ? data : {};
        let result = new User();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a user. */
export interface IUser extends IBaseObject {
}

/** Enumeration holding the possible filters on a user column/field */
export enum UserFilter {
    All = "all",
    Current = "current",
}

/** Represents a user group. */
export class UserGroup extends BaseObject implements IUserGroup {

    constructor(data?: IUserGroup) {
        super(data);
        this._discriminator = "UserGroup";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): UserGroup {
        data = typeof data === 'object' ? data : {};
        let result = new UserGroup();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a user group. */
export interface IUserGroup extends IBaseObject {
}

/** Represents a user role. */
export class UserRole extends BaseObject implements IUserRole {

    constructor(data?: IUserRole) {
        super(data);
        this._discriminator = "UserRole";
    }

    init(_data?: any) {
        super.init(_data);
    }

    static fromJS(data: any): UserRole {
        data = typeof data === 'object' ? data : {};
        let result = new UserRole();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        super.toJSON(data);
        return data;
    }
}

/** Represents a user role. */
export interface IUserRole extends IBaseObject {
}

export class VersionFieldValue extends FieldValue implements IVersionFieldValue {
    value?: string | undefined;

    constructor(data?: IVersionFieldValue) {
        super(data);
        this._discriminator = "VersionFieldValue";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.value = _data["value"];
        }
    }

    static fromJS(data: any): VersionFieldValue {
        data = typeof data === 'object' ? data : {};
        let result = new VersionFieldValue();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["value"] = this.value;
        super.toJSON(data);
        return data;
    }
}

export interface IVersionFieldValue extends IFieldValue {
    value?: string | undefined;
}

/** Represents the workflow report configuration. */
export class WorkflowReportSettings extends ReportSettings implements IWorkflowReportSettings {
    /** Represents status statistic configuration. */
    statistics?: StatusStatistics;

    constructor(data?: IWorkflowReportSettings) {
        super(data);
        this._discriminator = "WorkflowReportSettings";
    }

    init(_data?: any) {
        super.init(_data);
        if (_data) {
            this.statistics = _data["statistics"] ? StatusStatistics.fromJS(_data["statistics"]) : <any>undefined;
        }
    }

    static fromJS(data: any): WorkflowReportSettings {
        data = typeof data === 'object' ? data : {};
        let result = new WorkflowReportSettings();
        result.init(data);
        return result;
    }

    toJSON(data?: any) {
        data = typeof data === 'object' ? data : {};
        data["statistics"] = this.statistics ? this.statistics.toJSON() : <any>undefined;
        super.toJSON(data);
        return data;
    }
}

/** Represents the workflow report configuration. */
export interface IWorkflowReportSettings extends IReportSettings {
    /** Represents status statistic configuration. */
    statistics?: StatusStatistics;
}

export interface FileParameter {
    data: any;
    fileName: string;
}

export interface FileResponse {
    data: Blob;
    status: number;
    fileName?: string;
    headers?: { [name: string]: any };
}

export class ApiException extends Error {
    message: string;
    status: number;
    response: string;
    headers: { [key: string]: any; };
    result: any;

    constructor(message: string, status: number, response: string, headers: { [key: string]: any; }, result: any) {
        super();

        this.message = message;
        this.status = status;
        this.response = response;
        this.headers = headers;
        this.result = result;
    }

    protected isApiException = true;

    static isApiException(obj: any): obj is ApiException {
        return obj.isApiException === true;
    }
}

function throwException(message: string, status: number, response: string, headers: { [key: string]: any; }, result?: any): any {
    if (result !== null && result !== undefined)
        throw result;
    else
        throw new ApiException(message, status, response, headers, null);
}